SOLIDWORKS Installation and Administration

This guide describes installation, licensing, upgrading, and administration of SOLIDWORKS products for both individual installations and multiple installations.

Individual Installations | Deploying Multiple Installations
Installation Installation on one or a few computers. | Installation Creation of an administrative image that is deployed to a number of client computers.
Licensing Machine activation, online licensing, or network licensing. | Licensing Machine activation, online licensing, or network licensing.
Upgrades Moving individual computers to a new release. | Upgrades Moving multiple computers to a new release by updating the administrative image used to install on those computers.
Administration Modifying, repairing, and removing installations, upgrading to new releases. | Administration Upgrading administrative images and clients, and network licensing administration.

SOLIDWORKS Installation Manager enables you to configure settings for SOLIDWORKS product components, including SOLIDWORKS, SOLIDWORKS Toolbox, PhotoView 360, SOLIDWORKS Electrical, SOLIDWORKS Manage, SOLIDWORKS PDM, SOLIDWORKS PCB, SOLIDWORKS Visualize, and SOLIDWORKS SolidNetWork License Manager.

SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.

The SOLIDWORKS Admin Portal is a cloud-based asset and service management system that lets you assign and manage online licenses. Assigning licenses is only required for online licensing. For other license types, license assignment is optional.

Contents

  • Individual Installation or Administrative Image

    Should you install SOLIDWORKS products on each computer individually, or should you create an administrative image and deploy the installation to all clients with one command?

  • Check System and Software Requirements

    Before installation, verify that your system meets hardware, operating system and Microsoft products requirements. Note that add-ins, such as SOLIDWORKS Electrical and SOLIDWORKS Visualize, and eDrawings have additional requirements.

  • Download Installation Media from the Customer Portal

    All your installation media is available from the SOLIDWORKS Customer Portal.


Individual Installation or Administrative Image

Should you install SOLIDWORKS products on each computer individually, or should you create an administrative image and deploy the installation to all clients with one command?

If you are installing on only one computer, or if you manage dozens or hundreds of computers, the choice is obvious. For situations in between, consider the following comparisons.

Individual installation | Administrative image
Users can do their own SOLIDWORKS administration. | The system administrator can customize multiple installations using the Option Editor, specifying installation options such as creating a new installation or updating an existing one, running the installation as an administrative user, running external commands before or after the installation, different product groupings, and so on.
The computers must be physically accessible to the person performing the installation. | Client computers can be distantly located as long as they are accessible from the same network.
You can install different versions, service packs, or products on different computers, with independent settings. | Using the Option Editor, administrative images can maintain consistency in versions, service packs, products, and settings for multiple installations.
The computers must have network or email access. A network or email connection is required to activate SOLIDWORKS and download files. Network access is also required when collecting licenses from a network license server.

A local network connection is required to deploy the application; media drives are not required on client computers.

Clients can be updated automatically. All clients deployed from the same administrative image are at the same service pack. To maintain multiple versions, you can create multiple administrative images.

License activation can be automated.

An administrative image requires additional disk space on the server; clients require the same space as individual installations.

Parent topic SOLIDWORKS Installation and Administration
Check System and Software Requirements
Download Installation Media from the Customer Portal


Check System and Software Requirements

Before installation, verify that your system meets hardware, operating system and Microsoft products requirements. Note that add-ins, such as SOLIDWORKS Electrical and SOLIDWORKS Visualize, and eDrawings have additional requirements.

To access current system requirements, see http://solidworks.com/System_Requirements.

Parent topic SOLIDWORKS Installation and Administration
Individual Installation or Administrative Image
Download Installation Media from the Customer Portal


Download Installation Media from the Customer Portal

All your installation media is available from the SOLIDWORKS Customer Portal.

If you cannot access the Customer Portal, contact your Value Added Reseller to obtain DVDs.

To download the installation media from the Customer Portal:

  1. Log in to the SOLIDWORKS Customer Portal as a Subscription Service Customer, using your email address and password, or your SOLIDWORKS serial number.
  2. In the Download section, click Downloads and Updates.
  3. In the Downloads page, in Select Version, select the year.
  4. Select the SOLIDWORKS tab for SOLIDWORKS products.
  5. In the Product area, select a service pack.
    For the latest major release, select SOLIDWORKS Products version 0.0.
  6. Click Accept Agreement and Continue in the SOLIDWORKS Download EULA page.
  7. Click Download.
    The Installation Manager downloads the installation media for you.
    To download the installation files selectively, follow the prompts to select the manual download method.
Parent topic SOLIDWORKS Installation and Administration
Individual Installation or Administrative Image
Check System and Software Requirements


Individual Installations

Contents

  • Installation on Individual Computers

    You can install SOLIDWORKS on an individual computer using several installation methods.

  • Administration of Individual Installations

    Typically, administration of individual installations consists of modifying, repairing, removing, and upgrading installations.


Installation on Individual Computers

You can install SOLIDWORKS on an individual computer using several installation methods.

The SOLIDWORKS Installation Manager performs the installation, tailoring the installation to the products you have purchased. Before you start the installation:

  • Have your SOLIDWORKS serial number available.
  • Verify that you have a working internet connection. The connection is required for checking entitlement.

SOLIDWORKS Installation Manager requires various Microsoft components, including Microsoft Windows Installer, Microsoft Visual Studio Tools for Applications, Visual Basic, and .NET Framework. If the correct versions of all Windows prerequisite components are not installed on the computer, SOLIDWORKS Installation Manager installs them automatically before installing SOLIDWORKS products. The Bonjour service for Windows is also a required component.

Installation Method Summary of the Process
Downloading from the SOLIDWORKS Customer Portal
  1. Browse to the SOLIDWORKS Customer Portal.
  2. Log in as a Subscription Service Customer, using your email address and password, or your SOLIDWORKS serial number.
  3. Under Self Service, click Download Software and Updates.
  4. Under Download Software, click the SOLIDWORKS version you want to install.
You must have a working internet connection and you must be a Subscription Service Customer with login access to the Customer Portal site.
Using a download directory on a server In the download directory, double-click setup.exe.

The download directory must be accessible from the computer on which you are installing SOLIDWORKS products, and it must contain all of the SOLIDWORKS installation files before installation can begin. SOLIDWORKS Installation Manager can help you find missing files if you have internet access and write access to the download directory.

Using the SOLIDWORKS installation media
  • Acquire DVDs from your Value Added Reseller and insert the disks into the computer disk drive.
Updating an existing SOLIDWORKS installation using Check for Updates Do one of the following:
  • In SOLIDWORKS, click Help > Check for Updates.
  • In Windows, click Start > All Programs > SOLIDWORKS Installation Manager > Check for Updates.
You must have a working internet connection and administrator privileges on the machine.

In the SOLIDWORKS Installation Manager, you can also choose the option to Download and share all files, including the prerequisite software. This option is useful if you are installing the software on a few machines and you want to copy the download using a portable drive or a network drive. It is also helpful for installing service packs because the full version and service pack are contained in one install.

When the installation is complete, start the SOLIDWORKS application and activate the license.

To display a listing of products that are installed on your machine, from the SOLIDWORKS main menu, click Help > My Products. The check marks in the dialog box indicate products, that you or your organization own based on your activation and network licenses. You can also learn more about SOLIDWORKS products by clicking the link at the top of each product category.

To see what licenses are in use, in Windows, click Start > SOLIDWORKS <version> > SOLIDWORKS Tools > SolidNetWork License Manager Client > License Usage tab.

Parent topic Individual Installations
Administration of Individual Installations
Tips for Using SOLIDWORKS with Microsoft Windows 8


Administration of Individual Installations

Typically, administration of individual installations consists of modifying, repairing, removing, and upgrading installations.

Contents

  • Modifying an Installation

    You can modify an installation to install products that have not been installed or to remove products, provided that the previous installation was completed with a full set of installation files. This option is not available if you upgraded the previous installation with a service pack.

  • Repairing an Installation

    If you encounter problems with an installed SOLIDWORKS product, you can use the SOLIDWORKS Installation Manager to repair the installation.

  • Rolling Back an Individual Installation to a Previous Service Pack

  • Removing an Installation

    You can remove an installation on an individual computer or in a client/server environment.

  • Upgrading to a New Release

    There are several methods for upgrading an individual installation to a new SOLIDWORKS release.

  • Product Coexistence Rules

    These product coexistence rules determine how new products are installed and existing products are upgraded.

Parent topic Individual Installations
Installation on Individual Computers


Modifying an Installation

You can modify an installation to install products that have not been installed or to remove products, provided that the previous installation was completed with a full set of installation files. This option is not available if you upgraded the previous installation with a service pack.

If you installed SOLIDWORKS and purchased an add-in at a later time, you can modify the installation to include the new add-in. You must install the add-in on each individual machine.

  1. Make sure no SOLIDWORKS sessions are active.
  2. In Windows 7 or later, click Start > Control Panel > Programs and Features.
  3. Select the SOLIDWORKS installation you want to modify and then click Change.
  4. On the Welcome to the SOLIDWORKS Installation Manager screen, click Modify the individual installation (on this computer).
  5. On the Serial Number screen, verify that the appropriate serial numbers are specified.
  6. On the Product Selection screen, select the products to install or remove.
    When modifying an installation:
    • No products are installed or removed by default, even if you specify a new serial number. You must change the installation action of each product or feature component.
    • To view the projected action for a particular component, click the component name (but not the check box). The intended installation action appears in the information field below the product listing.
    • You can click the check box next to the product component to change the installation action for that component. (For example, if you are installing or removing components, selecting the check box specifies that the component is to be installed or removed and clearing the check box specifies that the component is not to be installed or removed.)
    • When you change a component installation action from the initial specification, an asterisk (*) appears next to that component in the listing.
    • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
    • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.
  7. On the Summary screen, click Modify Now.
  8. On the Installation is Complete screen, click Finish.
Parent topic Administration of Individual Installations
Repairing an Installation
Rolling Back an Individual Installation to a Previous Service Pack
Removing an Installation
Upgrading to a New Release
Product Coexistence Rules


Repairing an Installation

If you encounter problems with an installed SOLIDWORKS product, you can use the SOLIDWORKS Installation Manager to repair the installation.

To repair an installation, your machine must have all the source files from the previous installation and any applied service packs, in the location where they were originally installed.

You can repair an individual installation. You cannot repair an administrative image; you must uninstall and then reinstall the administrative image.
  1. Open the Windows Control Panel and click Programs > Programs and Features.
  2. Select the SOLIDWORKS version that you want to repair and click Change.
  3. On the Welcome to SOLIDWORKS Installation Manager screen, click Repair your installation.
  4. On the Products to Repair screen, select the product to repair.
  5. Clear the rest of the products on the screen.
  6. Click Repair.
Parent topic Administration of Individual Installations
Parent topic Installation Errors/Installation Cancelled
Modifying an Installation
Rolling Back an Individual Installation to a Previous Service Pack
Removing an Installation
Upgrading to a New Release
Product Coexistence Rules
Recovering from a Failed or Canceled Installation
Contacting the SOLIDWORKS Reseller


Rolling Back an Individual Installation to a Previous Service Pack

To roll back an individual installation to a previous service pack release in the current major release family, uninstall the service pack version currently installed on the computer and then re-install the earlier version.
Parent topic Administration of Individual Installations
Modifying an Installation
Repairing an Installation
Removing an Installation
Upgrading to a New Release
Product Coexistence Rules


Removing an Installation

You can remove an installation on an individual computer or in a client/server environment.

  1. Make sure no SOLIDWORKS sessions are active.
  2. If you wish to move the SOLIDWORKS license to another computer, deactivate the license to that computer before removing the SOLIDWORKS installation on this computer.
    For more information, see Moving a License.
  3. In Windows 7 or later, launch the Control Panel > Programs and Features.
  4. Select the product component to remove.
    In some cases, you might find multiple SOLIDWORKS Service Pack components for a given major release version. To remove a SOLIDWORKS major release, remove all Service Pack elements for that major release.
  5. On the Uninstall screen:
    1. Select the products to remove. By default, all product components are selected.
    2. Clear the products that you do not want to remove.
    3. Choose whether to perform a custom or complete uninstall. By default, the SOLIDWORKS Installation Manager performs a standard uninstall and removes the Program Files and Folders.
      1. Click Change in Advanced Options.

        The Advanced Options screen appears and the Program Files and Folders option is selected

      2. Select one or more options to perform a custom uninstall, or select all options to perform a complete uninstall.
      3. Click Back to Summary.
      4. On the Summary screen, expand Advanced Options to display the uninstall method and entries.
    4. Click Remove Items.
Parent topic Administration of Individual Installations
Parent topic Administration of Multiple Installations
Modifying an Installation
Repairing an Installation
Rolling Back an Individual Installation to a Previous Service Pack
Upgrading to a New Release
Product Coexistence Rules
Upgrading Administrative Images to a New Release
Service Pack Product Update Administration
Moving a License


Upgrading to a New Release

There are several methods for upgrading an individual installation to a new SOLIDWORKS release.

You can upgrade to a new release when you:
  • Receive new installation media
  • Are notified of upgrades when starting SOLIDWORKS
  • Check for updates manually
  • Start a new instance of SOLIDWORKS Installation Manager

When installing a new major release, you can upgrade a previously installed major release or install the new release in parallel. If you are installing a Service Pack release for a previously installed major release, that release is updated automatically.

Parent topic Administration of Individual Installations
Modifying an Installation
Repairing an Installation
Rolling Back an Individual Installation to a Previous Service Pack
Removing an Installation
Product Coexistence Rules

Checking for Updates Manually

If you have administrator privileges on the machine, you can check for updates for a currently installed SOLIDWORKS release using one of these methods.

  • In SOLIDWORKS, click Help > Check for Updates.
  • In Microsoft Windows, click Start > All Programs > SOLIDWORKS Installation Manager > Check for Updates.

Upgrade Caveats

Products that can have multiple installations with different major versions do not always support major upgrades, or the ability to upgrade between major versions as a single operation.

In this case, SOLIDWORKS Installation Manager simulates the upgrade by first installing the new version, then removing the old one. At this time, the core SOLIDWORKS product supports major upgrades, while the other products do not.

The consequences of this are:
  • When upgrading the core SOLIDWORKS product between major versions:
    • Your existing installed location does not change.
    • The upgrade can be rolled back if an error occurs or you cancel during the upgrade.
  • When other products are upgraded between major versions:
    • Each product is first installed as a new product to a new location, then the original installation is removed.
    • Once started, the upgrade cannot be rolled back if an error occurs or if you cancel during the upgrade.


Product Coexistence Rules

These product coexistence rules determine how new products are installed and existing products are upgraded.

Rule | Examples
Multiple major release versions of the core SOLIDWORKS product are allowed, with the exception of the products mentioned below. | SOLIDWORKS 2019 SP3.0 and SOLIDWORKS 2020 SP0.0 can coexist on the same computer.
Multiple service packs from the same major release version are not allowed. | SOLIDWORKS 2020 SP0.0 and 2020 SP1.0 cannot coexist on the same computer. If you install SOLIDWORKS 2020 SP1.0 on a computer where SOLIDWORKS 2020 SP0.0 is already installed, SOLIDWORKS Installation Manager will replace SP0.0 with SP1.0.
Only one version of the following products is allowed on the computer:
  • SolidNetWork License Manager
 If SOLIDWORKS 2020 SP0.0 is installed, SolidNetWork License Manager is upgraded to 2020 SP0.0, even if an earlier major release of SOLIDWORKS remains on the computer.
Only one version of the following product is allowed on the computer:
  • SOLIDWORKS Electrical
 If you create a new installation of SOLIDWORKS Electrical 2020 SP1.0, SOLIDWORKS Installation Manager will automatically remove earlier versions of SOLIDWORKS Electrical from the machine. Backup your SOLIDWORKS Electrical environment before upgrading.
Only one version of the following products is allowed on the computer:
  • SOLIDWORKS PDM Client
  • SOLIDWORKS PDM Server

If you install SOLIDWORKS 2020 SP0.0 or SP1.0, you should also upgrade to SOLIDWORKS 2020 PDM Server and PDM Client.

If you install SOLIDWORKS 2020 PDM Server, you should use the PDM Server installation process to install the SOLIDWORKS PDM Client. Do not install the SOLIDWORKS PDM Client separately with the client installation process.

SOLIDWORKS PDM Client must be the same release version and service pack as SOLIDWORKS PDM Server on the same machine.

See Installing a PDM Server with SLDIM topic for more information.

Only one version of an included product can be installed for any major release version of SOLIDWORKS. However, versions of included products from different major release versions of SOLIDWORKS can coexist. | If SOLIDWORKS 2020 SP0.0 is upgraded to 2020 SP1.0, SOLIDWORKS Composer 2020 SP0.0 will automatically be upgraded to 2020 SP1.0. However, SOLIDWORKS Composer 2019 SP4.0 can coexist with SOLIDWORKS Composer 2020 SP0.0 or with SOLIDWORKS Composer 2020 SP1.0.
Parent topic Administration of Individual Installations
Modifying an Installation
Repairing an Installation
Rolling Back an Individual Installation to a Previous Service Pack
Removing an Installation
Upgrading to a New Release


Multiple Installations

Contents

  • Deploying to Multiple Clients

    You can install the SOLIDWORKS product on multiple clients by creating an administrative image and then deploying the installation to clients.

  • Using Administrative Images

    An administrative image allows configurable installations of SOLIDWORKS products from a single network location.

  • Deploying an Administrative Image to Clients Through Email

    Once you have created a shared administrative image directory, you can notify clients by email.

  • Command-Line Deployment

    You can automatically deploy an administrative image using a command prompt or batch file (silent installation).

  • Administration of Multiple Installations

    For multiple installations, administrative tasks include upgrading administrative images to new releases, applying service pack updates, and removing installations.


Deploying to Multiple Clients

You can install the SOLIDWORKS product on multiple clients by creating an administrative image and then deploying the installation to clients.

The process for deploying to multiple clients is:
  1. Create an administrative image.
    • Creating an Administrative Image from SOLIDWORKS Installation Manager
  2. Deploy the administrative image to clients.
    • Deploying an Administrative Image to Clients Through Email
    • Installing from the Administrative Image Using the Command Line
  3. Implement licensing.
    • Administering Individual Licenses
    • Administering Licenses Using a SolidNetWork License Manager
Parent topic Multiple Installations
Using Administrative Images
Deploying an Administrative Image to Clients Through Email
Command-Line Deployment
Administration of Multiple Installations
Tips for Using SOLIDWORKS with Microsoft Windows 8


Using Administrative Images

An administrative image allows configurable installations of SOLIDWORKS products from a single network location.

You can install the administrative image from any computer on the network, including a client computer.
  • The administrative image must be in a shared folder.
  • If you include all products, the administrative image disk space requirements can be 7GB or more.
  • If you update the share name when you upgrade the administrative image, the client upgrades automatically the next time the application is started. For details, see Upgrading Clients from Administrative Images.
  • When deploying an administrative image, the path to the image must be less than 58 characters long.
  • Clients must have administrative privileges on their computers. If a client has insufficient privileges, a client can run an installation as a different user. This option is useful when an individual user does not have local administrative permissions on the machine, which is required to install SOLIDWORKS products.

    See Deploying Installations from the Option Editor. It also describes an alternate method for installing images, when a client has insufficient privileges.

  • If Windows logging is enabled or if you use the status functionality in the Administrative Image Option Editor, you must have read/write permissions to this folder: {Administrative image directory}\x64\Logs.

Once you have created an administrative image, the Administrative Image Option Editor can manage installation option settings for users and groups installing from that image. For details, see Administrative Image Option Editor.

Contents

  • Creating an Administrative Image from SOLIDWORKS Installation Manager

    If you are installing SOLIDWORKS on multiple computers, you can create an administrative image and then deploy the application to other computers.

Parent topic Multiple Installations
Deploying to Multiple Clients
Deploying an Administrative Image to Clients Through Email
Command-Line Deployment
Administration of Multiple Installations
Upgrading Clients from Administrative Images
Administrative Image Option Editor


Creating an Administrative Image from SOLIDWORKS Installation Manager

If you are installing SOLIDWORKS on multiple computers, you can create an administrative image and then deploy the application to other computers.

  1. Start SOLIDWORKS Installation Manager. See Initiating SOLIDWORKS Installation.
  2. On the Welcome screen, select Administrative image.
    Administrative image creation options appear.
    Option | Description
    Create a new image using default settings. | Create the image using the default configuration settings (that is, not based on the settings currently established for an existing administrative image at your site
    Create a new image using settings and files from an existing image. | Create the image using configuration settings specified for an existing administrative image at your site. Click Browse to specify the installation directory for the existing administrative image.
  3. Follow the on-screen instructions.

Contents

  • Administrative Image Option Editor

    The Administrative Image Option Editor lets you customize installation parameter settings in an administrative image for individual machines and for groups of machines.

Parent topic Using Administrative Images
Initiating SOLIDWORKS Installation


Administrative Image Option Editor

The Administrative Image Option Editor lets you customize installation parameter settings in an administrative image for individual machines and for groups of machines.

After creating an administrative image, SOLIDWORKS Installation Manager asks you to start the Option Editor. You can also start the Option Editor by double-clicking sldAdminOptionEditor.exe in the administrative image folder.

To specify different installation configurations for groups of machines or individual machines, in the Option Editor, select machines by specifying any of the following:
  • machine name
  • IP address
  • IP address range
Then specify the installation options for those machines.
All dialog boxes, that prompt for a file or folder path, include an option where you can assign a selected folder to an environment variable. For example, if you select C:\Program Files\SOLIDWORKS Corp, the file path is mapped to %ProgramFiles%\SOLIDWORKS Corp . The most common variables are %ProgramFiles% and %SystemDrive%. Also, you cannot convert all paths into environment variables. For example, Z:\SOLIDWORKS Data cannot be mapped to an environment variable.

Contents

  • Adding and Deleting Groups and Machines

    The Administrative Image Option Editor lets you specify different installation configurations for groups of machines and for individual machines.

  • Viewing and Editing Option Settings

    SOLIDWORKS Administrative Image Option Editor enables you to view and change option settings for groups and machines specified for the image.

  • Settings Administrator Tool

  • Deploying Installations from the Option Editor

    You can deploy installations directly from the Option Editor by using either a manual or push method.

  • Exiting the Option Editor

    You can click OK or Close to exit the Option Editor.

  • Creating a Desktop Shortcut to the Option Editor

    You can create a Windows desktop shortcut to the Option Editor for a particular Administrative Image from within the application.

Parent topic Creating an Administrative Image from SOLIDWORKS Installation Manager


Adding and Deleting Groups and Machines

The Administrative Image Option Editor lets you specify different installation configurations for groups of machines and for individual machines.

For example, you might want to configure several machines to use a particular subset of the product components available in the image while another group might use a different subset of product components. Even though you are using one administrative image, the Option Editor group settings enable you to install different product subsets to different groups of machines.

To add a group:
  1. Right-click Global Settings and then click Add Group.
  2. Enter the group name.

To add machines:
  1. Right-click an existing group or Global Settings and then click Add Machine.
    If you right-click an existing group, machines are added to that group. Otherwise, they are added at the top level.
  2. Do one of the following:
    • Select By Machine Name and enter one or more machine names. Multiple machines can be separated by a line break, space, tab, comma, period, colon, or semi-colon. You can copy and paste a list of machine names from an external file. Machine names cannot include domain qualifiers. For example, pluto.solidworks.com is invalid.
    • Select By IP Address and enter the IP address of a machine.
    • Select By IP Address Range and enter the starting IP address and the ending IP address of the range.
    • Click Add Multiple Machines to select machines from the network.

To move an existing machine to a group:

Drag the machine onto the group.

To move a machine out of a group:

Drag the machine onto Global Settings or onto a different group.

To delete a group or machine:

Right-click the group or machine and then click Delete Group or Delete Machine.

If you delete a group, all machines within that group are deleted.

To delete all groups and machines:

Right-click Global Settings and then click Delete All.

Parent topic Administrative Image Option Editor
Viewing and Editing Option Settings
Settings Administrator Tool
Deploying Installations from the Option Editor
Exiting the Option Editor
Creating a Desktop Shortcut to the Option Editor


Viewing and Editing Option Settings

SOLIDWORKS Administrative Image Option Editor enables you to view and change option settings for groups and machines specified for the image.

  • When you first start the Option Editor, option settings are displayed in read-only mode. The Edit icon is not shaded.

    Clicking on Global Settings, a group, or a machine displays a summary of option settings for that item:

    Scope | Option Settings Displayed
    Global Settings | All option settings specified for the administrative image
    Group | Changes in the group settings relative to the Global Settings
    Machine | Changes in the machine settings relative to the group
  • To make changes to option settings, click on the Edit icon. The icon becomes shaded and a more detailed option settings listing appears.

    Clicking on Global Settings, a group, or a machine lets you change option settings for that item. When you make a change in an option setting that differs from the inherited Global Settings or group settings, that option setting is highlighted.

    If you click the Edit icon again, the display reverts to read-only mode.

    If you make changes, the Option Editor prompts you to save or discard them when you exit.

Contents

  • Specifying Option Settings for Groups and Machines

    You can specify option settings for all machines (Global Settings), groups of machines, and individual machines.

  • Administrative Image Option Settings

    The Option Editor enables you to specify option settings for individual clients or groups, including serial numbers, client installation options, which software components to install, and toolbox location.

  • Inheritance of Global and Group Option Settings

    Option settings for Global Settings or groups are inherited by items underneath them.

  • Customize Settings for Each Machine

    You can also modify settings that you have applied to specific machines by right clicking the machine name.

Parent topic Administrative Image Option Editor
Adding and Deleting Groups and Machines
Settings Administrator Tool
Deploying Installations from the Option Editor
Exiting the Option Editor
Creating a Desktop Shortcut to the Option Editor


Specifying Option Settings for Groups and Machines

You can specify option settings for all machines (Global Settings), groups of machines, and individual machines.

  1. In the Option Editor, click the object to modify (Global Settings, a group, or a machine).
  2. On the right, click the Edit icon.
    The Edit icon becomes shaded and a more detailed option settings listing appears.
  3. Make option setting changes by clicking option settings on the right for the item selected on the left.
    Changes in option settings that override Global Settings or group settings are highlighted.
  4. Click OK or Close to save your changes.
    Option | Description
    OK | The Option Editor saves your changes and exits.
    Close | The Option Editor asks if you want to save your changes and then exits.
Parent topic Viewing and Editing Option Settings
Administrative Image Option Settings
Inheritance of Global and Group Option Settings
Customize Settings for Each Machine


Administrative Image Option Settings

The Option Editor enables you to specify option settings for individual clients or groups, including serial numbers, client installation options, which software components to install, and toolbox location.

Serial Numbers

Enter the serial numbers to install products on client machines.
Because there are multiple ways to purchase SOLIDWORKS products, some serial numbers can cover two or more products. For example, a SOLIDWORKS serial number might enable you to install SOLIDWORKS Simulation without entering a separate SOLIDWORKS Simulation serial number. In addition, some products do not require a serial number. If you have any questions about your serial numbers, contact your VAR.
If you are managing licensing using SolidNetWork Licensing:
  • In the first serial number field, enter the SolidNetWork serial number.
  • In the SNL Server port@server field, enter the SolidNetWork License Manager server name and port in the form nnnnn@servername. Separate multiple entries using semicolons.

For details about SolidNetWork licensing, see Installing and Configuring SolidNetWork Licensing.

Client Installation Options

How do you want to perform client installations of major versions? You can specify how client installations handle an existing prior major version installation:
  • Upgrade an existing major version (if one exists).

    Specify this option to replace the prior major version installation with the new version installation

  • Create a new major version.

    Specify this option to keep the prior major version and create a new installation for the new major version. To specify a location for the new version installation, click Browse.
Do you want to uninstall the most recent previous version before installing a new major version? You can specify whether to uninstall the existing prior major version installation:
  • No, do not uninstall first.

    Specify this option to retain the prior major version installation.

  • Yes, perform a custom uninstall.

    Select this option to remove these items: Data Files and Folders created by an earlier install.

How do you want to apply SOLIDWORKS settings? You can specify a settings file when starting the software. Client installations reference a settings file. Store the settings (*.sldsettings) file on a shared UNC path that is visible to all installations. Specify a *.sldsettings path before installing SOLIDWORKS. Client installations detect the *.sldsettings file path during the installation.
Secure the *.sldsettings file by setting Windows file permissions to allow write access to designated users only.

To create or edit a*.sldsettings, click Launch Settings Administrator. The SOLIDWORKS Settings Administrator tool lets you define which SOLIDWORKS system options to apply and optionally lock for end users. You can also define how and when to apply the settings to individual installations, and you can modify *.sldsettings file at any time by running the Settings Administrator tool and overwriting the existing file.

You can use different *.sldsettings files for different machines or groups.

The path to *.sldsettings sets at install time. Once deployed, do not rename or move the *.sldsettings file.

You must have an existing SOLIDWORKS [current major version] installation to run the Settings Administrator tool.
How do you want to activate client installations? You can specify whether to complete product activation automatically after running the installation, or require that the user perform product activation manually after installation.
  • Activate automatically when each client installation completes.

    Selecting this option setting specifies that product activation runs automatically using a SOLIDWORKS Product Activation file. Click Browse to find an existing activation file, or New to start SOLIDWORKS Product Activation to create a new activation file.

  • Do not activate automatically.

    Selecting this option setting specifies that no automated product activation occurs. The client user performs product activation after installation.

Administrative Options

Create a diagnostic log during each installation. | A client installation can create a diagnostic log to troubleshoot installation problems. Creating this log can make the client installation run slower. The log file is stored in Administrative image directory}\x64\Logs\<machine_name>\Status.xml.
Run the installation as a different user.

A client installation can run as a different user. This option is useful when individual users do not have local administrative permissions on their machines, which are required to install SOLIDWORKS products.

An alternate method of deployment and installation is available when clients do not have administrative privileges. See Deploying Installations from the Option Editor.
Run a program before or after installation. | You can specify that a custom program runs before or after the client installation.
Do you want clients to participate in the SOLIDWORKS Customer Experience Program? | You can specify that client machines participate in the SOLIDWORKS Customer Experience Program. Performance information is sent to SOLIDWORKS Corporation to help improve the product. The process is transparent and confidential. For details, see Customer Experience Improvement Program Website.

Limitations on the Run a Program Before and After Installation Options

These options let you run other installation programs or scripts on the client machines before or after deploying SOLIDWORKS, for example a script that installs Microsoft Office.

If you are deploying automatically to Windows 10 client machines, there is a limitation on using these options. A failure occurs if you use either option to deploy an installation program or script that displays a user interface, for example a script that displays dialog boxes. When the automatic deployment of SOLIDWORKS runs, it will fail to install SOLIDWORKS on the target machines. This limitation does not occur with Windows 7 client machines.

To use the Run a program before installation and Run a program after installation options, select only programs that can be installed in silent mode.

Software to Install

You can specify what SOLIDWORKS product components to install.
  • Selecting the check box next to the product component specifies that the component installs during the client installation.
  • Clearing the check box specifies that the component does not install.
  • If a component has optional installation subcomponents in it, a + icon appears next to the component. To see the available subcomponents for a component, click the + icon.
  • If a component has been expanded to show optional subcomponents, a - icon appears next to the component. To collapse the subcomponent listing, click the - icon.
The Languages specification limits the languages that are installed for the SOLIDWORKS product only. Other product installations are not affected by this specification. For example, eDrawings® installs all languages.

Toolbox Options

You can specify which standards to support and the default Toolbox location for client installations.

It is common to have multiple users accessing a shared Toolbox, typically through a network location (for example, a UNC path, a shared folder, or a common network drive specification).

If the location contains an older major version of Toolbox, the client installation upgrades that Toolbox to the new major version. The files are no longer be compatible with previous major versions of SOLIDWORKS.
If some clients continue to use an older version of SOLIDWORKS, you must specify a different Toolbox network location for clients that are upgrading to the newer version.

For details about SOLIDWORKS Toolbox administration, see the Toolbox information in SOLIDWORKS Help.

Installing Toolbox Software Without Installing Toolbox Data

If your environment has a PDM or shared Toolbox/Hole Wizard location, you can set client installations to not install or upgrade Toolbox data in that location.

Do this if:
  • You did not yet set up the SOLIDWORKS PDM local view before installing the SOLIDWORKS software.
  • The files in the location are in use and could block SOLIDWORKS installations from completing.
  • The location is unavailable and could block SOLIDWORKS installations from completing.

When you set client installations to not install Toolbox data, the SOLIDWORKS software and settings point to the Toolbox/Hole Wizard location, but you must install the data in a central location later.

To install the SOLIDWORKS software without including Toolbox/Hole Wizard data:
  • When asked if you want this client to install/upgrade the Toolbox files, select No, install the Toolbox software without including the data files.

At least one person, typically the CAD Administrator, must install or upgrade the Toolbox/Hole Wizard data in the central location or the software does not function properly. Anyone in the organization can handle this task with a single manual installation of the SOLIDWORKS software. If you manage Toolbox inside of SOLIDWORKS PDM, follow the steps outlined in the Toolbox section of the SOLIDWORKS PDM Administrator Guide to install or upgrade the Toolbox data.

SOLIDWORKS PDM Client Options

You can select the following options for deploying SOLIDWORKS PDM clients and add-ins:

  • PDM product type
  • PDM client type
  • Features

See the section on SOLIDWORKS PDM for more information about these clients and add-ins.

Electrical Options

You can specify the following parameters for the administrative components of SOLIDWORKS Electrical:
  • Data path
  • Collaborative Server machine name and port number
  • SQL Server machine name and password

See the section on SOLIDWORKS Electrical for more information about these components.

Parent topic Viewing and Editing Option Settings
Specifying Option Settings for Groups and Machines
Inheritance of Global and Group Option Settings
Customize Settings for Each Machine
Installing and Configuring SolidNetWork Licensing
Deploying Installations from the Option Editor
SOLIDWORKS Electrical


Inheritance of Global and Group Option Settings

Option settings for Global Settings or groups are inherited by items underneath them.

For example:
  • Settings defined for Global Settings are inherited by all groups and machines.
  • Settings defined for a group are inherited by all machines within that group.

You can change option settings for a machine or group to override default or inherited settings. When you change an option setting from the default or its inherited value, that option is highlighted.

To revert option settings to the original inherited values, right-click the group or machine and then click Revert to Global Settings (for a group or machine that is not a group member) or Revert to Group Settings (for a machine that is a group member).
Parent topic Viewing and Editing Option Settings
Specifying Option Settings for Groups and Machines
Administrative Image Option Settings
Customize Settings for Each Machine


Customize Settings for Each Machine

You can also modify settings that you have applied to specific machines by right clicking the machine name.

From the shortcut menu, you can do the following tasks for each machine:
  • Delete the machine from the editor
  • Revert to global settings
  • Add or edit notes
  • Edit options

Edit options allows you to modify all of the options for the machine, such as the client installation options and the administrative options.

Parent topic Viewing and Editing Option Settings
Specifying Option Settings for Groups and Machines
Administrative Image Option Settings
Inheritance of Global and Group Option Settings


Settings Administrator Tool

You can use the Settings Administrator Tool to set system options that are applied when deploying or upgrading the SOLIDWORKS software, and to prevent users from changing those options. This tool replaces the Copy Settings Wizard for deploying settings, although that wizard is still available for copying settings.

There are three steps to using the Settings Administrator Tool:
  1. Create an administrative image to access the tool.
  2. Use the Settings Administrator to generate an *.sldSettings file which contains your selected SOLIDWORKS options.
  3. Include the *.sldSettings file in SOLIDWORKS installations.

Contents

  • Accessing the Settings Administrator Tool

    To access the Settings Administrator Tool, you must create an administrative image first.

  • Using the Settings Administrator Tool

  • Applying and Locking Options

  • Finish Setting Options

  • Including an .sldSettings File in SOLIDWORKS Installations

Parent topic Administrative Image Option Editor
Adding and Deleting Groups and Machines
Viewing and Editing Option Settings
Deploying Installations from the Option Editor
Exiting the Option Editor
Creating a Desktop Shortcut to the Option Editor


Accessing the Settings Administrator Tool

To access the Settings Administrator Tool, you must create an administrative image first.

You can launch the Settings Administrator Tool from within an administrative image.

To access the Settings Administrator Tool:

  1. Run sldAdminOptionEditor.exe in the administrative image folder.
  2. In the Administration Image Option Editor, click Edit Settings.
  3. In the Client Installation Options section, do the following:
    1. Click Use a settings file exported from the SOLIDWORKS Settings Administrator.
    2. Click Launch Settings Administrator.
Parent topic Settings Administrator Tool


Using the Settings Administrator Tool

To use the Settings Administrator Tool:

  1. On the Welcome tab, select from the following options:
    • Default set of options to start for this release of SOLIDWORKS.
    • Import SOLIDWORKS 2020 options from this computer.
    • Browse to an existing sldreg file.
    • Browse to an existing sldSettings file.
    The *.sldreg file is generated by the Copy Settings Wizard, and the *.sldSettings file is generated by the Settings Administrator Tool.
  2. Click Next.
Parent topic Settings Administrator Tool


Applying and Locking Options

In the System Options tab, two columns of check boxes let you select which of these options to apply, and which of the applied options to lock so users cannot change them.

When users access the System Options dialog box in the SOLIDWORKS software, the locked options appear unavailable with a lock icon [image]. However, you can create a password that allows users to unlock options. When users hover over a locked option, a tooltip displays your name and email, so they can contact you and request that password.

To apply and lock options:

  1. In the System Options tab, do the following:
    1. To apply a system option, select the option and check the corresponding box in the Apply column.
    2. To lock a system option, select the option and check the corresponding boxes in both the Apply and Lock columns.
      When users access the System Options tab, these options display with a lock [image].
  2. Depending on the option, you might have to specify additional parameters for the option.
  3. You can also block users from dismissing messages by applying controls for Messages/Errors/Warnings.
    1. Click Messages/Errors/Warnings.
    2. Select Apply and optionally select Lock for the messages you want to manage.
    3. Set the message to Show or Don't Show.

      If you select Show, the message is removed from a user's dismissed message list, and displays to the user at the appropriate time. If you select Don't Show, the message is automatically added to a user's dismissed messages list, and does not display when the user is working on a model.

      This table describes the behavior in the software:
      Apply | Lock | Show | Don't Show | Behavior
      X | X | Force the message to show.
      X | X | Dismisses the message and adds the message to the dismissed message list.
      X | X | X | Forces the message to show and disables the option to Don't show again in the message box.
      X | X | X | Dismisses the message and bars user from enabling it in Tools > Options > Messages/Errors/Warnings.
  4. In the System Options tab, click Next.
Parent topic Settings Administrator Tool


Finish Setting Options

To finish setting options:

  1. On the Finish tab, select when system options apply:
    • the first time a user starts the software.
    • every time the software starts.
    • and whether customizations apply at the same time.
  2. You can choose to apply locked options when users are off the network, and allow the API to override locked options.
  3. For locked system options, you must provide your Name and Email address. The SOLIDWORKS software displays this information in a tooltip when users hover over a locked option.
  4. You can also allow users to override locked options. You must then specify a Password that you can supply to users.
  5. Click Save to generate an .sldSettings file for deployment.
Parent topic Settings Administrator Tool


Including an .sldSettings File in SOLIDWORKS Installations

To include an *.sldSettings file in your installation:

  1. Double click sldAdminOptionEditor.exe in the administrative image folder.
  2. In the Administration Image Option Editor, click Edit Settings.
  3. In the Client Installation Options section, do the following:
    1. Click Use a settings file exported from the SOLIDWORKS Settings Administrator.
    2. Click Edit Path and browse to the *.sldSettings file.
    You can create and apply different *.sldSettings file for different groups or machines.
  4. Deploy and install the SOLIDWORKS software.

After deployment, you can repeat step 2 to modify an existing *.sldSettings at any time. The SOLIDWORKS software reads the modified *.sldSettings the next time it starts.

Parent topic Settings Administrator Tool


Deploying Installations from the Option Editor

You can deploy installations directly from the Option Editor by using either a manual or push method.

  • Use the Deploy Manually page of the Option Editor to email instructions to users on how to start the installation. Use this method when users have administrative privileges for their client machines.
  • Use the Deploy Automatically page of the Option Editor to push installations automatically to target machines. Custom uninstalls can also be performed. Use this method when users do not have administrative privileges to install software on their systems.

To use either method, you must change the administrative image installation directory to a Windows shared directory, so it is available through a network location (for example, \\machine\shared_directory or copy the whole image to a local directory on each machine, such as C:\SOLIDWORKS Admin\SOLIDWORKS 2020 SP0).

Contents

  • Using a Mapped Drive to Deploy an Administrative Image

    A UNC path (\\machine_name\share_name) is the recommended method for specifying a network location for the administrative image installation directory. However, you can use a mapped drive as the location for the StartSWInstall.hta file in the administrative image (for example, U:\StartSWInstall.hta), provided the installing users all have that same drive letter mapped to the administrative image shared directory.

  • Using StartSWInstall.exe to Deploy an Administrative Image

  • Deploying Manually

    Use this method if users have the privileges required to install on their systems.

  • Prerequisites for Deploying Automatically

    With automatic deployment, installation tasks are pushed to target machines and carried out by the Microsoft Task Scheduler on each system, without requiring any actions by users. You can use this method when users do not have administrative privileges to install software on their systems.

  • Deploying Automatically

  • Testing a Setup for a Push Deployment

    The Deploy Automatically tab in the Administrative Image Option Editor contains a test feature.

Parent topic Administrative Image Option Editor
Adding and Deleting Groups and Machines
Viewing and Editing Option Settings
Settings Administrator Tool
Exiting the Option Editor
Creating a Desktop Shortcut to the Option Editor


Using a Mapped Drive to Deploy an Administrative Image

A UNC path (\\machine_name\share_name) is the recommended method for specifying a network location for the administrative image installation directory. However, you can use a mapped drive as the location for the StartSWInstall.hta file in the administrative image (for example, U:\StartSWInstall.hta), provided the installing users all have that same drive letter mapped to the administrative image shared directory.

For example, if you mapped the U: drive to the administrative image shared directory, the notification email will instruct the users to click a link to file://U:\StartSWIOnstall.hta. Users receiving the email can successfully install provided that the U: drive is mapped to the UNC location for the administrative image (\\machine_name\share_name).

Parent topic Deploying Installations from the Option Editor


Using StartSWInstall.exe to Deploy an Administrative Image

You can install or uninstall an administrative image on clients by running the command admin_image_install_dir\StartSWInstall.exe. This method installs SOLIDWORKS using the options, machines and groups defined in the Administrative Image Option Editor.

You can append the following switches to the StartSWInstall.exe command:
/install | Installs the administrative image on client machines.
/uninstall Uninstalls the software from client machines, with two optional switches:

/removedata

Available for uninstall only. Removes SOLIDWORKS data files and folders during uninstall.

/removeregistry

Available for uninstall only. Removes SOLIDWORKS registry entries during uninstall.
/showui | Displays a progress window for the SOLIDWORKS Installation Manager. Otherwise the SOLIDWORKS Installation Manager is hidden from the user.
/now | Starts the install or uninstall immediately. The 5 minute warning dialog box does not appear.

StartSWInstall.exe is preferred to using StartSWInstall.hta in cases where you want the installation to proceed without any user interaction, but do not want to use automatic deployment from the Administrative Image Option Editor.

Parent topic Deploying Installations from the Option Editor


Deploying Manually

Use this method if users have the privileges required to install on their systems.

To deploy installations manually using email:

  1. In the Option Editor, click Deploy.
    Installation availability and status for each machine appears.
  2. Click Send Email.
  3. Specify the network path to the administrative image installation directory.
    Typically, the directory path to the administrative image installation directory is shown initially as a Windows file path (for example, C:\SOLIDWORKS Admin\SOLIDWORKS 2020 SP0). The dialog box indicates This path is not a network path.
    1. Click Browse to specify the network location for this administrative image installation directory.
    2. Navigate to the computer where the administrative image is installed, and select the Windows shared directory specified for the administrative image installation directory.
      Do not navigate inside the administrative image shared directory (for example, into the 64bit subdirectories).
    3. Click OK.
      The dialog box indicates This path is a network path.
    An email is created to instruct the machine owner how to install from the administrative image using the network location for the StartSWInstall.hta file in the administrative image.
  4. Send the email to the users responsible for installing SOLIDWORKS.

Users can double-click the link to the network location for StartSWInstall.hta in the email to install SOLIDWORKS from the administrative image.

In the Option Editor, Installation Status shows:
Pending | The user has not yet run the installation on this machine.
Successful | The user successfully completed the installation on this machine.
Failed | The user ran the installation on this machine, but it failed.

Other status messages that might display are: Installed Successfully, Uninstalled Successfully, Installing, Uninstalling, Requires Reboot, Install Failed, and Uninstall Failed.

Parent topic Deploying Installations from the Option Editor


Prerequisites for Deploying Automatically

With automatic deployment, installation tasks are pushed to target machines and carried out by the Microsoft Task Scheduler on each system, without requiring any actions by users. You can use this method when users do not have administrative privileges to install software on their systems.

With a push installation, the Task Scheduler starts SOLIDWORKS Installation Manager to run under credentials specified by an administrator. The Task Scheduler runs under the computer's LocalSystem account. This account is represented on the network as a computer security principle. The computer security principle must have the following access:
  • Read access to the Admin Images folder.
  • Read and write access to the Admin Images folder\x64\logs folder.

In Active Directory, when you add a computer to a group of a Shared Folder, select Object Types and Computers.

In addition, the computer serving the administrative image and the target client machines must be members of the same Active Directory domain.

Parent topic Deploying Installations from the Option Editor


Deploying Automatically

To deploy automatically by pushing installations to user systems:

  1. In the Option Editor, click the Deploy Automatically tab.
    Installation availability and status for each machine appears.
  2. Under the Deploy column, select the target client machines, and groups in the Deploy column.
    Select one or more machines or groups under the Deploy column before initiating the deployment process.
  3. Under Install Time, select Now to deploy immediately or Later to schedule a specific date and time for the deployment.
  4. Under Client Options, select the following:
    • Install or Upgrade SOLIDWORKS 2020
    • Uninstall SOLIDWORKS 2020
      If you select to uninstall, you can specify whether to uninstall registry entries and data files and folders along with the program files and folders.
  5. Select Reboot computer automatically if you want one or more target machines to reboot if required during or after the deployment.
  6. Enter the Client Credentials of one or more target machines.
  7. Click Deploy to initiate the deployment process.
In the Option Editor, Installation Status shows:
Pending | The installation has not yet run on this machine.
Successful | The installation successfully completed on this machine.
Failed | The installation on this machine failed.

Other status messages that might display are: Installed Successfully, Uninstalled Successfully, Scheduling, Connecting, Installing, Uninstalling, Requires Reboot, Install Scheduled, Uninstall Scheduled, Install Failed, Uninstall Failed, Connection Failed, and Scheduling Failed.

Parent topic Deploying Installations from the Option Editor


Testing a Setup for a Push Deployment

The Deploy Automatically tab in the Administrative Image Option Editor contains a test feature.

You can run a mock installation that exercises the systems used for the deployment, such as:
  • Connecting to the target computer.
  • Creating an install task on that computer.
  • Completing the install task on that computer.
  • Updating the status and logs on the administrative image.
  • Detecting a program to run before or after the installation.

The test checks for file paths, validates permissions, and reports that the installation ended successfully. It does not install any software or modify the registry on the target system. If any one of the systems fails on any of the target computers, the test indicates which system failed.

Tooltips provide more information about failures. You can export the results to an .xml spreadsheet (or .csv), which is helpful for reviewing multiple failures or sharing results with other support personnel.

To test a setup for a push deployment:

  1. Using the Installation Manager, create an Administrative image.
  2. Start the Administrative Image Option Editor.

    You can start the option after the Installation Manager completes creating the administrative image or double-click sldAdminOptionEditor.exe in the administrative image folder.

  3. On the Setup tab, add one or more computers.
  4. Click Deploy Automatically:
    1. Supply a domain administrator's username and password.
    2. Select one or more computers to test.
    3. Click Test.
  5. When the Setup Test appears, click Run Test.
  6. Allow several minutes for the test to complete or click Cancel Test at any time.
  7. Review and correct any setup problems.
Parent topic Deploying Installations from the Option Editor


Exiting the Option Editor

You can click OK or Close to exit the Option Editor.

Click OK, Close, or use the Windows application Close button to apply changes and exit the Option Editor.
  • Click OK to apply any option setting changes and exit the Option Editor.
  • Click Close to exit the Option Editor.

    If there are changes to be applied, you are asked whether you want to save those changes.

  • Click the Windows application Close button (X). If there are changes to be applied, you are asked whether you want to save those changes.
Parent topic Administrative Image Option Editor
Adding and Deleting Groups and Machines
Viewing and Editing Option Settings
Settings Administrator Tool
Deploying Installations from the Option Editor
Creating a Desktop Shortcut to the Option Editor


Creating a Desktop Shortcut to the Option Editor

You can create a Windows desktop shortcut to the Option Editor for a particular Administrative Image from within the application.

  1. Start the Option Editor.
    For example, in File Explorer, navigate to the administrative image installation directory and double-click sldAdminOptionEditor.exe.
  2. Click Create Desktop Shortcut to this Option Editor.
    A shortcut to the Option Editor for the administrative image appears on the Windows desktop.
Parent topic Administrative Image Option Editor
Adding and Deleting Groups and Machines
Viewing and Editing Option Settings
Settings Administrator Tool
Deploying Installations from the Option Editor
Exiting the Option Editor


Deploying an Administrative Image to Clients Through Email

Once you have created a shared administrative image directory, you can notify clients by email.

Configure the administrative image directory to be shared on a machine that is accessible to other computers (for example, through a UNC path).

You can send an email containing a link to admin_image_install_dir\StartSWInstall.hta to all clients. Clients then can click this link and then click Install SOLIDWORKS products now to start the installation from the administrative image.

If you are upgrading an administrative image to a new SOLIDWORKS version, you can configure your administrative image location and share properties so that any clients that installed previously using that image will upgrade automatically. For details, see Upgrading Clients from Administrative Images.
Parent topic Multiple Installations
Deploying to Multiple Clients
Using Administrative Images
Command-Line Deployment
Administration of Multiple Installations
Upgrading Clients from Administrative Images


Command-Line Deployment

You can automatically deploy an administrative image using a command prompt or batch file (silent installation).

To deploy an administrative image using the command line for SOLIDWORKS PDM clients, see the SOLIDWORKS PDM Installation Guide.

Contents

  • Preparing Clients for Command-Line Installation from an Administrative Image

    After creating the administrative image and before notifying clients, you must install Microsoft Windows components that cannot be installed by administrative images created using the command line or Microsoft Active Directory.

  • Installing from the Administrative Image Using the Command Line

    You can deploy installations from an administrative image using the command line.

  • Command-Line Properties

    Command-line properties describe here include feature properties, global properties, product-specific properties and Windows location conventions.

  • Deploying an Administrative Image Using Microsoft Active Directory

    Microsoft Active Directory Deployment is supported for deployment of the core SOLIDWORKS product to clients.

  • Installing Windows Prerequisites Using Microsoft Active Directory

    Follow this process to prepare an existing administrative image that will install SOLIDWORKS onto client computers using Microsoft Windows Active Directory.

Parent topic Multiple Installations
Deploying to Multiple Clients
Using Administrative Images
Deploying an Administrative Image to Clients Through Email
Administration of Multiple Installations


Preparing Clients for Command-Line Installation from an Administrative Image

After creating the administrative image and before notifying clients, you must install Microsoft Windows components that cannot be installed by administrative images created using the command line or Microsoft Active Directory.

Installing these Windows components manually is required only if you are installing from an administrative image using the command line or through Microsoft Active Directory. If you use SOLIDWORKS Installation Manager to create and install the administrative image, these Windows components are installed automatically.
Here is a summary of the files required by SOLIDWORKS in the Windows components:
Windows Performance Toolkit: |
Visual C++ 2008, 2010, 2012, 2013, and 2015 Redistributable Package | Contains runtime components for Microsoft Visual C++. The 2008, 2010, 2012, 2013, and 2015 versions must be installed.
Visual Basic for Applications 7.1 | Provides support for Visual Basic macros.
Visual Studio Tools for Application 2005 | Contains a tool set supporting Visual Studio 2005 applications. As of SOLIDWORKS 2013, installing Microsoft Visual Studio Tools for Applications (VSTA) is optional. VSTA 2005 is dependent on Microsoft .NET Framework 3.5 being installed on your computer. For Windows 7 and later, .NET Framework is a feature of the operating system. If you need to install .NET Framework 3.5, it is available on your Windows media and on the internet. If you cannot locate your Windows media, do not have an internet connection, or do not have permission to install Microsoft .NET Framework 3.5 on your computer, contact your Administrator for assistance.
Visual Studio Tools for Application 2015 | Optional. Contains a tool set supporting Visual Studio 2015 applications.
Visual Studio Remote Debugger | Provides a debugging environment for 64-bit operating systems.
.NET Framework 4.6.2 | Contains the common language runtime and .NET Framework components that are necessary to run .NET Framework 4.6.2 applications.
Bonjour service for Windows | Provides the ability to discover services on a local area network.
Visual C++ Redistributable Package and .NET Framework 4.6.2 are required for all SOLIDWORKS products, not just the core SOLIDWORKS product.

These components must be included in subdirectories of the administrative image directory.

The following tables identify the specific files that are required for each supported operating system.
Operating System: Windows Server 2016 64-bit and Windows Server 2019 64-bit
Operating System: Windows Server 2012 R2 64-bit
Installation on Windows Server 2012 R2, 2016, and 2019 is supported for SOLIDWORKS PDM Server and SOLIDWORKS SolidNetWork License Manager.
Windows Performance Toolkit: | WPTx64-x86_en-us.msi
Visual C++ 2008 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2010 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2012 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2013 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2015 Redistributable Package: | vc_redist_x86.exe vc_redist_x64.exe Both must be installed.
Visual Studio Tools for Applications 2005: (optional) | vsta_aide.msi
If VSTA 2005 is installed, .NET 3.5 Framework (dotnetfx35.exe) is required. For Windows 7, .NET Framework 3.5 is a feature of the operating system.
Visual Studio Tools for Applications 2015 (optional): | vsta_setup.exe
Visual Studio Remote Debugger: | rdbgexp.msi
Visual Basic 7.1: | vba71_1033.msi Plus an optional language pack.
.NET Framework 4.6.2: | NDP462-KB2901907-x86-x64-AllOS-ENU.exe
Bonjour service for Windows: | bonjour64.msi
Installation on Windows Server 2012 R2 is supported for SOLIDWORKS PDM Server and SOLIDWORKS SolidNetWork License Manager.
Windows Performance Toolkit: | WPTx64-x86_en-us.msi
Visual C++ 2008 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2010 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2012 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2013 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2015 Redistributable Package: | vc_redist_x86.exe vc_redist_x64.exe Both must be installed.
Visual Studio Tools for Applications 2005: (optional) | vsta_aide.msi
If VSTA 2005 is installed, .NET 3.5 Framework (dotnetfx35.exe) is required. For Windows 7, .NET Framework 3.5 is a feature of the operating system.
Visual Studio Tools for Applications 2015 (optional): | vsta_setup.exe
Visual Studio Remote Debugger: | rdbgexp.msi
Visual Basic 7.1: | vba71_1033.msi Plus an optional language pack.
.NET Framework 4.6.2: | NDP462-KB2901907-x86-x64-AllOS-ENU.exe
Bonjour service for Windows: | bonjour64.msi
Operating System: Windows 7 64-bit
Windows Performance Toolkit: | WPTx64-x86_en-us.msi
Visual C++ 2008 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2010 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2012 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2013 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2015 Redistributable Package: | vc_redist_x86.exe vc_redist_x64.exe Both must be installed.
Visual Studio Tools for Applications: (optional) | vsta_aide.msi
If VSTA 2005 is installed, .NET 3.5 Framework (dotnetfx35.exe) is required. For Windows 7, .NET Framework 3.5 is a feature of the operating system.
Visual Studio Tools for Applications 2015: (optional | vsta_setup.exe
Visual Studio Remote Debugger: | rdbgexp.msi
Visual Basic 7.1: | vba71_1033.msi Plus an optional language pack.
.NET Framework 4.6.2: | NDP462-KB2901907-x86-x64-AllOS-ENU.exe
Bonjour service for Windows: | bonjour64.msi
Operating System: Windows 10 64-bit
Windows Performance Toolkit: | WPTx64-x86_en-us.msi
Visual C++ 2008 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2010 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2012 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2013 Redistributable Package: | vcredist_x86.exe vcredist_x64.exe Both must be installed.
Visual C++ 2015 Redistributable Package: | vc_redist_x86.exe vc_redist_x64.exe Both must be installed.
Visual Studio Tools for Applications 2005: (optional) | vsta_aide.msi
If VSTA 2005 is installed, .NET 3.5 Framework (dotnetfx35.exe) is required. For Windows 7, .NET Framework 3.5 is a feature of the operating system.
Visual Studio Tools for Applications 2015: (optional) | vsta_setup.exe
Visual Studio Remote Debugger: | rdbgexp.msi
Visual Basic 7.1: | vba71_1033.msi Plus an optional language pack.
.NET Framework 4.6.2: | .NET 4.6.2 is part of the operating system, which fulfills this requirement.
Bonjour service for Windows: | bonjour64.msi

Contents

  • Installing Windows Prerequisites from the Command Line on 64-bit Operating Systems

    Follow this process to install Windows prerequisites for administrative image installation using the command line on 64-bit versions of Windows.

Parent topic Command-Line Deployment
Installing from the Administrative Image Using the Command Line
Command-Line Properties
Deploying an Administrative Image Using Microsoft Active Directory
Installing Windows Prerequisites Using Microsoft Active Directory


Installing Windows Prerequisites from the Command Line on 64-bit Operating Systems

Follow this process to install Windows prerequisites for administrative image installation using the command line on 64-bit versions of Windows.

To install multiple components in one install operation, create a batch file with the commands provided in the following procedures and use it to push the components to the client computers.

  1. Ensure that the target computer has at least 620 MB of available disk space and a valid TEMP directory.
  2. Install the Visual C++ RELEASE Redistributable Package.
    Install the package for RELEASE = 2008, 2010, 2012, 2013, and 2015.
    administrative_image_directory\Microsoft_C++_RELEASE_Redistributable_(x64)\vcredist_x64.exe /Q

    administrative_image_directory\Microsoft_C++_RELEASE_Redistributable\vcredist_x86.exe /Q

    You must install both the 32-bit and the 64-bit versions of this package.

    For example, to install the Visual C++ 2008 Redistributable Package, use:

    • administrative_image_directory\Microsoft_C++_2008_Redistributable_(x64)\vcredist_x64.exe /Q
    • administrative_image_directory\Microsoft_C++_2008_Redistributable\vcredist_x86.exe /Q
  3. Install Microsoft .NET Framework 4.6.2:
    administrative_image_directory\.Net_Framework_4.6.2\NDP462-KB3151800-x86-x64-AllOS-ENU.exe
  4. Install the Visual Studio Tools for Applications 2015:
    administrative_image_directory\Microsoft_VSTA\vsta_setup.exe
  5. Install the Visual Studio Remote Debugger:
    administrative_image_directory\VSRemoteDebugger\install.exe /Q
  6. Install Visual Basic 7.1:
    administrative_image_directory\Microsoft_VBA\vba71.msi and administrative_image_directory\Microsoft_VBA\vba71_1033.msi are required for all languages.
    Only the 64-bit version of this package must be installed.

    In addition, install the following package for the desired language:

    vba71_1028.msi | Chinese
    vba71_1031.msi | German
    vba71_1036.msi | French
    vba71_1040.msi | Italian
    vba71_1041.msi | Japanese
    vba71_1042.msi | Korean
    vba71_1046.msi | Portuguese-Brazilian
    vba71_2052.msi | Chinese-Simplified
    vba71_3082.msi | Spanish
    English, Czech, Polish, Russian, and Turkish do not require additional language packages.
    As of SOLIDWORKS 2013 Service Pack 2.0, you must install an additional prerequisite: Msiexec.exe /p vba71-kb27832-x64.msp
  7. Install the Bonjour service for Windows:
    administrative_image_directory\Bonjour\Bonjour64.msi
Parent topic Preparing Clients for Command-Line Installation from an Administrative Image


Installing from the Administrative Image Using the Command Line

You can deploy installations from an administrative image using the command line.

To install silently:

  1. Open a Command Prompt window (in Windows, click Start > Run.
  2. Type the msiexec.exe command with the /i and /qb switches and set the properties for any options that are not the default values as shown below.

    msiexec /i "64-bit_admin_image_path\SWFileUtilities\SOLIDWORKS File Utilities.msi" INSTALLDIR="C:\Program Files\your_folder /qb

Individual installation component command-line properties include:
  • Command-Line Feature Properties
  • Command-Line Global Properties
  • eDrawings Command Line Properties
  • SOLIDWORKS Flow Simulation Command Line Properties

Use the following examples as templates for silent installation.

SOLIDWORKS Client

  • SOLIDWORKS core (English)
  • Toolbox add-in
  • Participation in the feedback program
  • French language

SOLIDWORKS:

msiexec /i "64-bit_admin_image_path\SOLIDWORKS\SOLIDWORKS.Msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx xxxx xxxx" ENABLEPERFORMANCE=1 OFFICEOPTION=3 ADDLOCAL=SolidWorks, SolidWorksToolbox /qb

The SOLIDWORKS French language installation component must be installed separately:

msiexec /i "64-bit_admin_image_path\SOLIDWORKS French\french.msi" /qb

When specifying SOLIDWORKS language component installation commands, do not specify command-line arguments.

eDrawings Client

  • Log performance
  • All features

msiexec /i "admin_image_path\eDrawings\eDrawings.msi" INSTALLDIR="C:\Program Files\your_folder" LOGPERFORMANCE=1 SNLSERVER=eDrawings_SNL_server TRANSFORMS=1040.mst ADDLOCAL=All /qb

SOLIDWORKS Electrical

Due to the technical complexity of installing SOLIDWORKS Electrical with Microsoft SQL Server, command line examples for SOLIDWORKS Electrical are excluded from the documentation.

SOLIDWORKS PCB

msiexec /i “admin_image_path\SOLIDWORKS PCB.msi” ACTIVSERIALNUMBER=”1234123412341234ABCDEFGH” INSTALLDIR=”C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS PCB” /qb

SOLIDWORKS Visualize and Visualize Boost

For SOLIDWORKS Visualize:

msiexec. /i “admin_image_path\SOLIDWORKS Visualize.msi” ACTIVSERIALNUMBER=”1234123412341234ABCDEFGH” INSTALLDIR=”C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS Visualize” /qb

For SOLIDWORKS Visualize Boost:

msiexec /i “admin_image_path\SOLIDWORKS Visualize Boost.msi” ACTVISERIALNUMBER=”1234123412341234ABCDEFGH” INSTALLDIR=”C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS Visualize Boost” /qb

Parent topic Command-Line Deployment
Preparing Clients for Command-Line Installation from an Administrative Image
Command-Line Properties
Deploying an Administrative Image Using Microsoft Active Directory
Installing Windows Prerequisites Using Microsoft Active Directory


Command-Line Properties

Command-line properties describe here include feature properties, global properties, product-specific properties and Windows location conventions.

Contents

  • Command-Line Feature Properties

    SOLIDWORKS installation supports these ADDLOCAL properties for command-line deployment.

  • Command-Line Global Properties

    Each property is defined for administrative or individual installations, unless otherwise noted. Serial numbers can be passed to both an administrative installation and an individual installation using global properties.

  • eDrawings Command Line Properties

    These command-line properties are specific to eDrawings®.

  • SOLIDWORKS Composer/Composer Player Command-Line Properties

    These command-line properties are specific to SOLIDWORKS Composer and SOLIDWORKS Composer Player.

  • SOLIDWORKS Flow Simulation Command Line Properties

    These command-line properties are specific to SOLIDWORKS Flow Simulation.

  • SOLIDWORKS Inspection Command Line Properties

    These command-line properties are specific to SOLIDWORKS Inspection.

  • SOLIDWORKS Visualize Command Line Properties

    These command-line properties are specific to SOLIDWORKS Visualize.

  • MSI File Locations for Administrative Images

    To create administrative images from the command line, the product component .msi files are stored in these locations on the SOLIDWORKS media.

Parent topic Command-Line Deployment
Preparing Clients for Command-Line Installation from an Administrative Image
Installing from the Administrative Image Using the Command Line
Deploying an Administrative Image Using Microsoft Active Directory
Installing Windows Prerequisites Using Microsoft Active Directory


Command-Line Feature Properties

SOLIDWORKS installation supports these ADDLOCAL properties for command-line deployment.

  • CircuitWorks
  • CoreSolidWorksTaskScheduler
  • ExampleFiles
  • FeatureWorks
  • HelpFiles
  • Manuals
  • Motion
  • PhotoView
  • RealViewGraphicsdisplay
  • ScanTo3D
  • Simulation
  • SolidWorks
  • SolidWorksAnimator
  • SolidWorksCosting
  • SolidWorksDesignChecker
  • SolidWorksRoutedsystems
  • SolidWorksToolbox
  • SolidWorksUtilities
  • TolAnalyst
  • VSTA
When specifying properties for command-line installation:
  • SOLIDWORKS does not support product installation using the ADDSOURCE option.
  • Properties are case sensitive, cannot contain spaces or dashes, and must be separated by commas.

    Mixed case SolidWorks must be specified in ADDLOCAL properties for the application to install correctly.

Parent topic Command-Line Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


Command-Line Global Properties

Each property is defined for administrative or individual installations, unless otherwise noted. Serial numbers can be passed to both an administrative installation and an individual installation using global properties.

Property | Description
ENABLEPERFORMANCE Whether the application should automatically send performance data to SOLIDWORKS Corporation.

1

To send performance data.

0

Do not send performance data.
INSTALLDIR Installation folder for SOLIDWORKS.

Individual installations only.
MBDSERIALNUMBER | Serial number for the SOLIDWORKS Model Based Definition product.
MOTIONSERIALNUMBER | Serial number for the SOLIDWORKS Motion product.
OFFICEOPTION Specify product package to install:
0 | SOLIDWORKS Client
1 | SOLIDWORKS Office
2 | SOLIDWORKS Professional
3 | SOLIDWORKS Premium
REINSTALL Specify ALL to update all features currently installed.
Specify this property only when updating to a Service Pack release within an existing major release (for example, updating an existing SOLIDWORKS 2020 SP01 installation to SOLIDWORKS 2020 SP02).
REINSTALLMODE Microsoft Installer re-installation options.

For example, when upgrading an installation from one Service Pack release to another within the same major release, you should specify REINSTALLMODE=vomus.

For details about REINSTALLMODE settings, see the Windows Installer documentation at www.microsoft.com.

Specify this property only when updating to a Service Pack release within an existing major release (for example, updating an existing SOLIDWORKS 2020 SP01 installation to SOLIDWORKS 2020 SP02). Do not specify this property the first time you are installing a new major release of SOLIDWORKS.
SERVERLIST SolidNetWork server list.
The SolidNetWork server list is a delimited list of strings, each of which refers to a port number on a server with the format:
  • Triad (comma delimited) =xxxxx@server_name1,yyyyy@server_name2,zzzzz@server_name3
  • Non-Triad (semi-colon delimited) = xxxxx@server_name1;yyyyy@server_name2;zzzzz@server_name3
X and Y are single digits. After the last server in the list, do not put a delimiter.

Individual installations only.
SIMULATIONSERIALNUMBER | Serial number for the SOLIDWORKS Simulation product.
SOLIDWORKSSERIALNUMBER | Serial number for the SOLIDWORKS product, which includes all add-ins.
SWMIGRATE SOLIDWORKS version to upgrade as it would be shown in the list in the SOLIDWORKS Install Choice dialog box. For example:

SWMIGRATE="SOLIDWORKS 2020 x64 Edition SP01"

Specify this property only when installing a new major release while there is a prior major release currently installed. Do not specify this property when upgrading from one Service Pack release to another within the same major release.
TOOLBOXFOLDER Installation folder for SOLIDWORKS Toolbox files.

Individual installations only.

For example: TOOLBOXFOLDER = "C:\SOLIDWORKS Data"

If your environment has a PDM or shared Toolbox/Hole Wizard location, you can set a client installation to not install or upgrade Toolbox data in that location using the NOTTOOLBOXSETUP property. Specify:

0 | Install Toolbox files.
1 | Not install Toolbox files.
TRANSFORMS Contains language-specific items of the form:
TRANSFORMS number.mst
  • Chinese (1028)
  • Chinese-Simplified (2052)
  • Czech (1029)
  • English (1033)
  • French (1036)
  • German (1031)
  • Italian (1040)
  • Japanese (1041)
  • Korean (1042)
  • Polish (1045)
  • Portuguese-Brazilian (1046)
  • Russian (1049)
  • Spanish (1034)
  • Turkish (1055)
UPGRADESWINSTALL
Specify whether to upgrade an existing version of SOLIDWORKS to the current version.
0 | New installation, do not update.
1 | Update

Individual installations only.

Specify this property only when installing a new major release while there is a prior major release currently installed. Do not specify this property when upgrading from one service pack release to another within the same major release.
Parent topic Command-Line Properties
Command-Line Feature Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


eDrawings Command Line Properties

These command-line properties are specific to eDrawings®.

Property | Description
ADDLOCAL Specifies which portion of the eDrawings application to install.
All is the recommended option.
Command Line Syntax | Feature
All | Installs all the features. The eDrawings application searches for installed SOLIDWORKS and AutoCAD publisher applications to validate the install.
CALS | View CAL files in the eDrawings Viewer
Inventor | Create eDrawings files from the Autodesk Inventor application.
eDrawingsViewer | View eDrawings and other files.
ProE | View ProE files using the eDrawings Viewer
DXFDWGTranslator | View DXF/DWG files in the eDrawings Viewer.
Shortcuts | Install desktop shortcut.
XML3D | View 3DXML files in the eDrawings Viewer.
INSTALLDIR | Specifies the installation folder for eDrawings
LOGPERFORMANCE Specifies whether the application should automatically email performance data to SOLIDWORKS Corporation.
1 | Send performance data
0 | Otherwise
SNLSERVER Enter the port@servername for your SolidNetWork License server. Use semi-colons to separate multiple port@servername combinations.

A port server name for SNLSERVER is only required for the SOLIDWORKS SNL server configuration. list_of_port@server_strings is a list of strings delimited by semi-colons, each of which refers to a port number on a server with the format:

xxxxx@server_name1; yyyyy@server_name2;

where x and y are single digits. After the last server in the list, do not put a semi-colon.
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


SOLIDWORKS Composer/Composer Player Command-Line Properties

These command-line properties are specific to SOLIDWORKS Composer and SOLIDWORKS Composer Player.

For SOLIDWORKS Composer:

Property | Description
ACTIVSERIALNUMBER | SOLIDWORKS Composer serial number.
ACTIVSERIALNUMBERPLAYERPRO | Optional. SOLIDWORKS Composer Player Pro serial number.
ADDLOCAL If you install the complete application, you do not need to specify the following items.
Required:
  • Licensing
  • Eula
  • InterOps
  • LicenseSupportFiles
  • PlugIns
  • SWComposerCommon
  • SWPlayer
Optional:
  • Sync3Dvia
INSTALLDIR | Specifies the installation folder for the SOLIDWORKS Composer software.

For SOLIDWORKS Composer Player:

Property | Description
ACTIVSERIALNUMBERPLAYERPRO | Optional. SOLIDWORKS Composer Player Pro serial number.
INSTALLDIR | Specifies the installation folder for the SOLIDWORKS Composer Player software.
On machines that do not have SOLIDWORKS installed, you must use SOLIDWORKS Translator to import SOLIDWORKS files into SOLIDWORKS Composer. To deploy SOLIDWORKS Translator, you must use the SOLIDWORKS Installation Manager; you cannot use the command line.
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


SOLIDWORKS Flow Simulation Command Line Properties

These command-line properties are specific to SOLIDWORKS Flow Simulation.

Property | Description
ACTIVSERIALNUMBER SOLIDWORKS Flow Simulation standalone serial number.

(Individual installations and client installations from an administrative image)
CWUPGRADEINSTALL Upgrades an existing version of a particular SOLIDWORKS Flow Simulation application software.
1 | Update
2 | New installation; install in a new directory

(Individual installations and client installations from an administrative image)
INSTALLDIR Specifies the installation for a particular SOLIDWORKS Flow Simulation application software.

(Individual installations only)
SERVERLIST | List of strings delimited by semi-colons, each of which refers to a port number on a server with the format: xxxxx@server_name1; yyyyy@server_name2;& where x and y are single digits. After the last server in the list, do not put a semi-colon.
SOLIDWORKSPATH Specifies the folder where the SOLIDWORKS software is installed.

(Individual installations and client installations from an administrative image)
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


SOLIDWORKS Inspection Command Line Properties

These command-line properties are specific to SOLIDWORKS Inspection.

Property | Description
ACTIVSERIALNUMBER | SOLIDWORKS Inspection serial number. (Individual installations and client installations from an administrative image)
INSTALLDIR | Specifies the installation for the SOLIDWORKS Inspection application software. (Individual installations only)
SERVERLIST | List of strings delimited by semi-colons, each of which refers to a port number on a server with the format: xxxxx@server_name1; yyyyy@server_name2;& where x and y are single digits. After the last server in the list, do not put a semi-colon.
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Visualize Command Line Properties
MSI File Locations for Administrative Images


SOLIDWORKS Visualize Command Line Properties

These command-line properties are specific to SOLIDWORKS Visualize.

Property | Description
ACTIVSERIALNUMBER | SOLIDWORKS Visualize serial number. (Individual installations and client installations from an administrative image)
INSTALLDIR | Specifies the installation for the SOLIDWORKS Visualize application software. (Individual installations only)
SERVERLIST | List of strings delimited by semi-colons, each of which refers to a port number on a server with the format: xxxxx@server_name1; yyyyy@server_name2;& where x and y are single digits. After the last server in the list, do not put a semi-colon.
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
MSI File Locations for Administrative Images


MSI File Locations for Administrative Images

To create administrative images from the command line, the product component .msi files are stored in these locations on the SOLIDWORKS media.

SOLIDWORKS (core product, English)

swwi\data\SOLIDWORKS.msi

SOLIDWORKS (non-English language components)

Traditional Chinese | swwi\lang\chinese\chinese.msi
Simplified Chinese | swwi\lang\chinese-simplified\chinese-simplified.msi
Czech | swwi\lang\czech\czech.msi
French | swwi\lang\french\french.msi
German | swwi\lang\german\german.msi
Italian | swwi\lang\italian\italian.msi
Japanese | swwi\lang\japanese\japanese.msi
Korean | swwi\lang\korean\korean.msi
Polish | swwi\lang\polish\polish.msi
Portuguese (Brazilian) | swwi\lang\portuguese-brazilian\portuguese-brazilian.msi
Russian | swwi\lang\russian\russian.msi
Spanish | swwi\lang\spanish\spanish.msi
Turkish | swwi\lang\turkish\turkish.msi

DocManager APIs

swdocmgr\SOLIDWORKS Document Manager API.msi

eDrawings

eDrawings\eDrawings.msi

eDrawingsAPI SDK

eDrwAPISDK\eDrawings API SDK.msi

eDrawings Shaders

eDrawingsShaders\eDrawings.msi

Flow Simulation

Flow Simulation\SOLIDWORKS Flow Simulation.msi

PhotoView 360 Network Render

pvnetworkrender\pvnetrender.msi

SolidNetWork License Manager

swlicmgr\SOLIDWORKS SolidNetWork License Manager.msi

SOLIDWORKS Activation Wizard

swactwizard\Activation Wizard.msi

SOLIDWORKS API SDK

apisdk\SOLIDWORKS API SDK.msi

SOLIDWORKS CAM

cam\SOLIDWORKS CAM.msi

SOLIDWORKS File Utilities

SWFileUtilities\SOLIDWORKS File Utilities.msi

SOLIDWORKS Composer

composer\SOLIDWORKS Composer.msi

SOLIDWORKS Inspection

Inspection\SOLIDWORKS Inspection.msi

SOLIDWORKS PCB

PCB\SOLIDWORKS PCB.msi

SOLIDWORKS PDM

SOLIDWORKS PDM Professional provides an API, but it is available only for the Client and is not available in an .msi file. For information, see the API guide in the SOLIDWORKS PDM Client install\API directory.

SOLIDWORKS Plastics

plastics\SOLIDWORKS Plastics.msi
Parent topic Command-Line Properties
Command-Line Feature Properties
Command-Line Global Properties
eDrawings Command Line Properties
SOLIDWORKS Composer/Composer Player Command-Line Properties
SOLIDWORKS Flow Simulation Command Line Properties
SOLIDWORKS Inspection Command Line Properties
SOLIDWORKS Visualize Command Line Properties


Deploying an Administrative Image Using Microsoft Active Directory

Microsoft Active Directory Deployment is supported for deployment of the core SOLIDWORKS product to clients.

Microsoft Active Directory is a directory service for managing clients and servers in network environments. It simplifies management, migration, and deployment.

For information on installing SOLIDWORKS through Microsoft Active Directory, contact your reseller.

Parent topic Command-Line Deployment
Preparing Clients for Command-Line Installation from an Administrative Image
Installing from the Administrative Image Using the Command Line
Command-Line Properties
Installing Windows Prerequisites Using Microsoft Active Directory


Installing Windows Prerequisites Using Microsoft Active Directory

Follow this process to prepare an existing administrative image that will install SOLIDWORKS onto client computers using Microsoft Windows Active Directory.

  1. Extract all the Visual C++ Redistributable Package installer files and install them.
    1. Visual C++ 2008
      1. administrative_image_directory\Microsoft_C++_2008_Redistributable\vcredist_x86.exe /x: {Target Directory}
      2. administrative_image_directory\Microsoft_C++_2008_Redistributable_(64)\vcredist_x64.exe /x: {Target Directory}
      3. Create a policy to install Microsoft C++ 2008 redistributable modules.
    2. Visual C++ 2010
      1. administrative_image_directory\Microsoft_C++_2010_Redistributable\vcredist_x86.exe /x:{Target Directory}
      2. administrative_image_directory\Microsoft_C++_2010_Redistributable\vcredist_x64.exe /x:{Target Directory}
      3. Create a policy to install Microsoft C++ 2010 redistributable modules.
    3. Visual C++ 2012
      1. Install admistrative_image_directory\Microsoft_C++_2012_Redistributable\vcredist_x86.exe on a test machine.
      2. Copy these folders to a network location (Target Directory):
        1. C:\ProgramData\PackageCache\{BD95A8CD-1D9F-35AD-981A-3E7925026EBB}v11.0.61030
        2. C:\ProgramData\PackageCache\{B175520C-86A2-35A7-8619-86DC379688B9}v11.0.61030
    4. Visual C++ 2013
      1. administrative_image_directory\Microsoft_C++_2013_Redistributable\vcredist_x86.exe /x: {Target Directory}
      2. administrative_image_directory\Microsoft_C++_2013_Redistributable_(64)\vcredist_x64.exe /x: {Target Directory}
      3. Create a policy to install Microsoft C++ 2013 redistributable modules.
    5. Visual C++ 2015
      1. administrative_image_directory\Microsoft_C++_2015_Redistributable\vcredist_x86.exe /x: {Target Directory}
      2. administrative_image_directory\Microsoft_C++_2015_Redistributable_(64)\vcredist_x64.exe /x: {Target Directory}
      3. Create a policy to install Microsoft C++ 2015 redistributable modules.

      1. Create a policy to install the following files:
        File path cannot contain spaces.

        Target Directory\ {BD95A8CD-1D9F-35AD-981A-3E7925026EBB}v11.0.61030\packages\

        vcRuntimeMinimum_x86\vc_runtimeMinimum_x86.msi

        Target Directory\ {B175520C-86A2-35A7-8619-86DC379688B9}v11.0.61030\packages\

        vcRuntimeAdditional_x86\vc_runtimeAdditional_x86.msi

      2. Install administrative_image_directory\Microsoft_ C++_2012_Redistributable_(64)\vcredist_x64.exe on a test machine.
      3. Copy these folders to a network location (Target Directory):
        1. C:\ProgramData\PackageCache\{CF2BEA3C-26EA-32F8-AA9B-331F7E34BA97}v11.0.61030
        2. C:\ProgramData\PackageCache\{37B8F9C7-03FB-3253-8781-2517C99D7C00}v11.0.61030
      4. Create a policy to install the following files:
        File path cannot contain spaces.

        Target Directory\ {CF2BEA3C-26EA-32F8-AA9B-331F7E34BA97}v11.0.61030\packages\

        vcRuntimeMinimum_amd64\vc_runtimeMinimum_x64.msi

        Target Directory\ {CF2BEA3C-26EA-32F8-AA9B-331F7E34BA97}v11.0.61030\packages\

        vcRuntimeMinimum_amd64\vc_runtimeMinimum_x64.msi

        Target Directory\ {37B8F9C7-03FB-3253-8781-2517C99D7C00}v11.0.61030\packages\

        vcRuntimeAdditionalamd64\vc_runtimeAdditionalx64.msi

  2. Install Microsoft .NET Framework 4.6.2.
    SOLIDWORKS recommends that you install .NET Framework 4.6.2 using Windows Updates Services (WSUS) or a similar service.
  3. Install the Visual Studio Remote Debugger (64-bit versions only when .Net Framework 3.5 is installed on the computer), by creating this policy:
    {Microsoft_remote_debugger_directory}\rdbgexp.MSI
    No transform file is needed for this installation.
  4. Do the following tasks:
    1. Update Visual Basic 7.1 for applications with vba71-kb2783832-x64 service pack.
    2. After creating the administrative image, run this command:
      Msiexec /a {SOLIDWORKS Administrative image}/Microsoft_vba/vba71.msi /p {SOLIDWORKS Administrative image}/Microsoft_vba_ kb2783832/vba71-kb2783832-x64.msp
    3. Install Visual Basic 7.1, by creating this policy:
      {VBA directory}\vba71.MSI
      No transform file is needed for this installation.
  5. Install the Visual basic 7.1 language pack by creating this policy:
    {VBA directory}\vba71_nnnn.MSI
    Where nnnn defines the required language:
    • 1028 = Chinese
    • 1031 = German
    • 1033 = English
    • 1036 = French
    • 1040 = Italian
    • 1041 = Japanese
    • 1042 = Korean
    • 1046 = Portuguese
    • 2052 = Chinese - China
    • 3082 = Spanish
  6. Install the Bonjour Service by creating this policy:
    {Bonjour directory}\Bonjour.MSI
    No transform file is needed for this installation.
Parent topic Command-Line Deployment
Preparing Clients for Command-Line Installation from an Administrative Image
Installing from the Administrative Image Using the Command Line
Command-Line Properties
Deploying an Administrative Image Using Microsoft Active Directory


Administration of Multiple Installations

For multiple installations, administrative tasks include upgrading administrative images to new releases, applying service pack updates, and removing installations.

Contents

  • Upgrading Administrative Images to a New Release

    To update clients who installed from an administrative image, first update the administrative image and then configure the clients to reference the new copy of the image.

  • Service Pack Product Update Administration

    Service Pack product updates can contain updates for system reliability, program compatibility, security, and so on.

  • Removing an Installation

    You can remove an installation on an individual computer or in a client/server environment.

Parent topic Multiple Installations
Deploying to Multiple Clients
Using Administrative Images
Deploying an Administrative Image to Clients Through Email
Command-Line Deployment


Upgrading Administrative Images to a New Release

To update clients who installed from an administrative image, first update the administrative image and then configure the clients to reference the new copy of the image.

Run SOLIDWORKS Installation Manager from the Internet so that the correct files are referenced. SOLIDWORKS Installation Manager will redirect itself to do this, or you can run the update directly from the SOLIDWORKS Downloads Web site (http://www.solidworks.com/sw/support/downloads.htm).

Once you have updated the administrative image (which creates a new copy of the image), you can update clients by having them reference the new copy of the administrative image.

If clients referenced the previous version of the administrative image using a mapped drive or a shared directory, you could redefine that mapped drive or shared directory using the location of the updated copy of the administrative image.

Contents

  • Downloading Updated Installation Files for Administrative Images

    SOLIDWORKS Installation Manager can detect when you need updated installation files when upgrading an administrative image.

  • Upgrading an Administrative Image

    To upgrade an administrative image, SOLIDWORKS Installation Manager creates a new image directory. You then direct clients to use the new administrative image directory to upgrade to that product version.

  • Upgrading Clients from Administrative Images

    SOLIDWORKS Installation Manager can automatically update client computers installed from an administrative image.

Parent topic Administration of Multiple Installations
Service Pack Product Update Administration
Removing an Installation


Downloading Updated Installation Files for Administrative Images

SOLIDWORKS Installation Manager can detect when you need updated installation files when upgrading an administrative image.

  1. Start SOLIDWORKS Installation Manager by inserting the DVD.
  2. On the Welcome screen, select Administrative image.
  3. On the Serial Number screen, enter the SOLIDWORKS serial number.
    SOLIDWORKS Installation Manager checks the SOLIDWORKS Web site for your licensed products and available service packs.
  4. If the Newer Version Available screen appears, select Yes, download and install a newer version: version.
    SOLIDWORKS Installation Manager starts a new session to install the newer version.
  5. If there is a problem with the download folder, Download Options might appear, in which case, accept the default directory for the new installation files or enter a new directory name.
    If you see a message that the directory does not exist, click Yes to create it.
  6. On the Download Complete screen, click Close to close the current installer and start the installer for the new version.
Parent topic Upgrading Administrative Images to a New Release
Upgrading an Administrative Image
Upgrading Clients from Administrative Images


Upgrading an Administrative Image

To upgrade an administrative image, SOLIDWORKS Installation Manager creates a new image directory. You then direct clients to use the new administrative image directory to upgrade to that product version.

This process assumes you have downloaded any updated installation files for the administrative image. For details, see Downloading Updated Installation Files for Administrative Images.

  1. Start SOLIDWORKS Installation Manager. For details, see Initiating SOLIDWORKS Installation.
  2. On the Welcome screen, select Administrative image.
    Administrative image creation options appear.
    Option | Description
    Create a new image using default settings. | Create the image using the default configuration settings (that is, not based on the settings currently established for an existing administrative image at your site).
    Create a new image using settings and files from an existing image. | Create the image using configuration settings specified for an existing administrative image at your site. Click Browse to specify the installation directory for the existing administrative image.
  3. On the Serial Number screen, check the serial number.
  4. On the Summary (Ready to Create Image) screen, check that the administrative image options are correct.
    For details about individual administrative image and installation options, click CHANGE to go to the option page and then click Help.
  5. To create the new version of the administrative image, click Create Now.

You can now upgrade clients to this new version of the administrative image. For details, see Upgrading Clients from Administrative Images.

Parent topic Upgrading Administrative Images to a New Release
Downloading Updated Installation Files for Administrative Images
Upgrading Clients from Administrative Images
Initiating SOLIDWORKS Installation


Upgrading Clients from Administrative Images

SOLIDWORKS Installation Manager can automatically update client computers installed from an administrative image.

Typically, administrative images are organized in folders on a server. To support the automatic upgrade of clients, the administrative image must be located in a shared folder.

After upgrading the administrative image, the original installation will be in one folder and the upgraded installation will be in another folder. To use the upgraded installation, remove the sharing option from the original administrative image folder and then add the sharing option to the upgraded administrative image folder.

When SOLIDWORKS starts on a client machine that installed from the original administrative image, it sees the new version and upgrades the client.
Also, when SOLIDWORKS triggers an update, other products installed from an administrative image automatically update.
Parent topic Upgrading Administrative Images to a New Release
Downloading Updated Installation Files for Administrative Images
Upgrading an Administrative Image

Removing the Sharing Option from the Original Administrative Image Folder

When upgrading an administrative image that is accessed from a shared folder, you must remove the sharing option from the original folder.

  1. Browse to the folder where the original administrative image files are located.
  2. Right-click the folder and select Properties.
  3. On the Sharing tab, select Do not share this folder, and then click OK.

Now add the sharing option to the upgraded administrative image folder as described in Adding the Sharing Option to an Upgraded Administrative Image Folder.

Adding the Sharing Option to an Upgraded Administrative Image Folder

Once you have created an updated administrative image folder and disabled the sharing for the original administrative image folder, you must add the sharing option to the new folder to re-enable the administrative image.

  1. Browse to the folder where the upgraded administrative image files are located.
  2. Right-click the folder and select Properties.
  3. On the Sharing tab, specify the sharing properties appropriate for your organization or group and change the share name to the name used for the original administrative image folder.
Computers that installed from the original administrative image share location will upgrade to the new version automatically when starting SOLIDWORKS.


Service Pack Product Update Administration

Service Pack product updates can contain updates for system reliability, program compatibility, security, and so on.

You can acquire product updates in two ways:
  • By using SOLIDWORKS Installation Manager to check for, download, and install updates.

    You can initiate SOLIDWORKS Installation Manager manually, or schedule it to check periodically for updates.

  • By downloading service packs manually from the SOLIDWORKS support Web site.

    Service packs are applied as patches to an existing software version. For example, SOLIDWORKS 2020 SP1.0 is a service pack for SOLIDWORKS 2020 SP0.0. You can install these service packs using SOLIDWORKS 2020 Installation Manager; you cannot install them using SOLIDWORKS Installation Manager in SOLIDWORKS 2019.

    For instructions on downloading and installing service packs, see the installation documentation for the SOLIDWORKS version you are updating.

Contents

  • Rolling Back Service Packs in an Administrative Image

    You can roll back an administrative image to an earlier installed service pack. If you installed the SOLIDWORKS software with disks, you need the original disks to restore a service pack. You must have saved a copy of the earlier administrative image.

  • Applying Service Packs to Clients Deployed with Microsoft Active Directory

    If you have installed the SOLIDWORKS software using the Microsoft Active Directory, you can apply service packs to clients with it.

Parent topic Administration of Multiple Installations
Upgrading Administrative Images to a New Release
Removing an Installation


Rolling Back Service Packs in an Administrative Image

You can roll back an administrative image to an earlier installed service pack. If you installed the SOLIDWORKS software with disks, you need the original disks to restore a service pack. You must have saved a copy of the earlier administrative image.

Administrative images that have been upgraded cannot be rolled back to a previous service pack. Administrative images created with any method other than SOLIDWORKS Installation Manager cannot be rolled back to a previous version. Clients installed from these administrative images must be uninstalled and then reinstalled using an administrative image created from the previous version.
  1. Delete the folder that contains the current administrative image. To do this, open the Command Prompt window and enter:
    rmdir /s/q path_to_current_administrative_image
  2. Move the backup copy of the administrative image to the location where you deleted the current administrative image. To do this, open the Command Prompt window and enter:
    move path_to_backup_administrative_image path_to_current_administrative_image
    After you roll back an administrative image, client computers roll back automatically the next time they run the SOLIDWORKS software.
Parent topic Service Pack Product Update Administration
Applying Service Packs to Clients Deployed with Microsoft Active Directory


Applying Service Packs to Clients Deployed with Microsoft Active Directory

If you have installed the SOLIDWORKS software using the Microsoft Active Directory, you can apply service packs to clients with it.

  1. Copy the administrative image to a new folder using the following command line:
    xcopy path_to_current_administrative_image path_to_backup_administrative_image /s/i/v
  2. Upgrade the administrative image using the SOLIDWORKS Installation Manager.
  3. Create a new transform file to specify an upgrade installation for the SOLIDWORKS software:
    1. Open the Command Prompt window.
    2. In the folder that contains the administrative image, drag SWCreateMST.exe into the Command Prompt window.
      The command format is:

      path_to_administrative_image\SWCreateMST.exe path_to_MSI_file_of_an_administrative_image list_of_properties

      The command line must include all of the parameters used to create the original transform file, plus the global properties UPGRADESWINSTALL and SWMIGRATE.

      For example, if the original command was:

      C:\admin\SWCreateMST.exe "c:\admin\SOLIDWORKS.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SOLIDWORKS,Manuals OFFICEOPTION=0 SERVERLIST=25734@your_server

      the update command must be:

      C:\admin\SWCreateMST.exe "c:\admin\SOLIDWORKS.msi" INSTALLDIR="C:\Program Files\your_folder" SOLIDWORKSSERIALNUMBER="xxxx xxxx xxxx xxxx" ADDLOCAL=SOLIDWORKS,Manuals OFFICEOPTION=0 SERVERLIST=25734@your_server UPGRADESWINSTALL=1 SWMIGRATE="SOLIDWORKS version service_pack"

      The transform file, SOLIDWORKS.mst, is created in the folder that contains the administrative image.

  4. In the Active Directory, edit the Published Apps policy for the group or groups to deploy the SOLIDWORKS software.
  5. In the Group Policy dialog box, expand Computer Configuration and Software Settings.
  6. Right-click Software installation and select New > Package.
  7. Browse to the administrative image and click Open.
  8. In the Deploy Software dialog box, select Advanced published or assigned, then click OK.
  9. In the SOLIDWORKS Properties dialog box, on the Modifications tab:
    1. Click Add.
    2. Browse to the .mst file.
    3. Click Open.
  10. Click OK.
Parent topic Service Pack Product Update Administration
Rolling Back Service Packs in an Administrative Image


SOLIDWORKS PDM and SOLIDWORKS Manage

SOLIDWORKS PDM is a document management product based on the client/server architecture known formerly as SOLIDWORKS Enterprise PDM. SOLIDWORKS PDM is available in two types:
  • SOLIDWORKS PDM Standard
  • SOLIDWORKS PDM Professional

SOLIDWORKS PDM uses a Microsoft SQL Server database to manage file vaults.

This table lists the database systems, server components, and client options available for each product type.
 | PDM Standard | PDM Professional
Designed for | Small to medium office networks, generally with less than 20 concurrent users. | Large office networks, large numbers of concurrent users
Limits | Lesser of 1 socket or 4 cores, 1 GB of RAM, and 10 GB database size | SQL Standard limits: Lesser of 4 sockets or 16 cores, 128 GB of RAM, and 524 PB database size
Database Management System | Microsoft SQL Server Express 2014 (included and installed with SOLIDWORKS) | Microsoft SQL Server 2014 (included separately with SOLIDWORKS), or previously installed instances of Microsoft SQL Server 2014, 2012, or 2008 R2
Requires SolidNetWork License Manager? | Yes | Yes
Includes Archive Server and Database Server? | Yes | Yes
Includes SOLIDWORKS PDM Web server and Web2 Server? | No | Yes
Client types | Native | Native, browser-based
Client add-ins for CAD Editors | SOLIDWORKS, DraftSight | SOLIDWORKS, DraftSight, Microsoft Office Integration, Autodesk Inventor, AutoCAD
Client add-ins for Contributors | DraftSight | DraftSight, Microsoft Office Integration
Client add-ins for Viewers |  | Microsoft Office Integration

SOLIDWORKS Manage Professional provides advanced data management tools to SOLIDWORKS PDM Professional. It offers capabilities for advanced version control, and for project, process, and item management. Interactive dashboards and reports help you track items, activities, and progress toward completing projects.

SOLIDWORKS Manage Professional has a similar architecture as SOLIDWORKS PDM Professional. It uses a client-server architecture, with a Microsoft SQL Server database to manage item and project data. There are three services for database, file server, and web server functions, which support both thick clients and web browser clients. The three services can be hosted on the same server or separate servers. Users with SOLIDWORKS Manage Professional Editor licenses can use a SOLIDWORKS Manage Add-in to access Manage data directly from within SOLIDWORKS.

You can use the SOLIDWORKS Installation Manager to install the SOLIDWORKS Manage Professional server and client.

For instructions on installing SOLIDWORKS Manage Professional, see the SOLIDWORKS PDM/SOLIDWORKS Manage Installation Guide.

Contents

  • Listing of PDM Server Components

  • Understanding Differences between PDM Clients

    Before installing the client software, you must determine what clients are needed depending on your PDM environment.

  • Before Installing PDM Server

    Keep these requirements in mind before installing PDM server components:

  • Installing a PDM Server with SLDIM

    When you install the PDM Server for PDM Standard, you can install the archive server, the database server, and the PDM CAD Editor client on the same machine. You do not need to run the client installation separately.

  • Installing a PDM Client with SLDIM


Listing of PDM Server Components

This table summarizes the server components of the SOLIDWORKS PDM Server.

Server | Function | Installation
Microsoft SQL Server Express for PDM Standard | Manages data in SOLIDWORKS PDM data vaults. | Can install with PDM Standard, or use a version previously licensed and installed.
Microsoft SQL Server for PDM Professional | Manages data in SOLIDWORKS PDM data vaults. | Ships separately with PDM Professional. You can also use a version previously licensed and installed.
SolidNetWork License Manager | Manages SOLIDWORKS PDM licenses. | Must be installed before new vaults can be created. Can be installed with SOLIDWORKS PDM server components when using SLDIM.
Archive Server | Manages transfers of files between clients and the file vault archive, and manages users and their credentials. | Required. Install with PDM Standard or Professional.
Database Server | Polls PDM databases for updates, manages data import and export rules, manages the message system, and schedules replication and cold storage. | Required. Install with PDM Standard or Professional.
Web Server and Web2 Server | Provides access to file vaults over the internet from browser-based clients. | Optional. Install with PDM Professional only.
Web API Server | EXALEAD OnePart users can use a Web API server to index and retrieve SOLIDWORKS PDM data. | Optional. Install with PDM Professional only.

Archive servers run as services on the system account of the computers where they are installed. One archive server can host multiple file vaults on the same computer.

In a stand-alone installation, the archive server, database server, license server, and web API server, as well as the SQL Express or SQL Server database, can all be installed on the same machine.

In a distributed environment, the server components can reside on different machines. Also, you can set up multiple archive servers on different computers to host replicated copies of the same file vault archive. See the SOLIDWORKS PDM Professional Replication Guide.

Parent topic SOLIDWORKS PDM and SOLIDWORKS Manage


Understanding Differences between PDM Clients

Before installing the client software, you must determine what clients are needed depending on your PDM environment.

This table summarizes the clients for SOLIDWORKS PDM Standard:
Standard Client type | Description
CAD Editor | Supports working with SOLIDWORKS, DWG/DXF format, Microsoft Word, and Microsoft Excel files. All file formats, that Office plug-in handles, behave in the same way in SOLIDWORKS PDM Standard except Preview.
Contributor | Supports working with SOLIDWORKS, DWG/DXF format, Microsoft Word, and Microsoft Excel files.
Viewer | Allows read-only access to file vaults. User can transition files through a workflow, but user cannot add or modify (check out, check in, update values) files.
This table summarizes the clients for SOLIDWORKS PDM Professional:
Professional Client type | Description
CAD Editor & Web | Supports working with all file types, including enhanced management and previewing of CAD formats such as SOLIDWORKS. CAD add-ins allow users to access SOLIDWORKS PDM Professional from within the CAD application. Remote users can search vaults and perform basic functions over the Internet using the Web and Web2 clients.
Contributor & Web | Supports working with all file types, including CAD files. However, the CAD add-ins are not supported on this client type. Remote users can search vaults and perform basic functions over the Internet using the Web and Web2 clients.
Viewer | Allows read-only access to file vaults. User can transition files through a workflow, user cannot add or modify (check out, check in, update values) files or use CAD add-ins.
Parent topic SOLIDWORKS PDM and SOLIDWORKS Manage


Before Installing PDM Server

Keep these requirements in mind before installing PDM server components:

  • Obtain full administrative rights to the machines on which you are going to install servers and clients.
  • Ensure that the database server has access to the archive server over TCP port 3030 and to the SQL Server over TCP port 1433.
  • If you are going to use an existing SQL Server Express or SQL Server database, obtain the name of the SQL Server database and the account ID and password of a SQL Server administrator or database owner with read/write access to the database. You cannot use the tew user.
  • If a PDM client is already installed on the system, uninstall it. If you want the PDM Server and PDM Client on the same system, you can install them both from the Server products page in the SOLIDWORKS Installation Manager.
Parent topic SOLIDWORKS PDM and SOLIDWORKS Manage


Installing a PDM Server with SLDIM

When you install the PDM Server for PDM Standard, you can install the archive server, the database server, and the PDM CAD Editor client on the same machine. You do not need to run the client installation separately.

When installing the PDM Server for PDM Professional, you can include these components, and also the Web server, Web2 server, and Web API server.

To install a PDM Server and its components:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Server Products, and check the following:
    • Install SOLIDWORKS PDM Server components on this computer.
    • Install SolidNetWork License Manager on this computer.

      If the SolidNetWork License Manager is installed, this option does not display.

  3. If the SolidNetwork License Manager Options page displays, enter a serial number and specify a location for the directory, and click Next.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, for SOLIDWORKS PDM Server, click Change.
  6. In the SOLIDWORKS PDM Server Options page:
    1. For Select Server Product, click SOLIDWORKS PDM Standard or Professional.
    2. For Installation Location, click Browse to specify a file path.
    3. In Select Features:
      1. Click Archive Server, Database Server, and Client to install these components on the same machine. If you are in a distributed environment, you can install the archive server and database server by running the Installation Manager on another machine.
        If a PDM client is already installed on the machine, you must cancel the installation and uninstall the client. You can then run the SLDIM to install the PDM server with the client together.
      2. If you are installing PDM Professional, you can also click Web server, Web2 server, and Web API Server.
        If you are installing Web API server, you can specify a value for HTTP port number that is between 0 and 65535. The default value is 65453.
    4. In SQL Server, you can install a new instance of the database tools that come with PDM Server (SQL Server Express for PDM Standard), or you can specify the database name, username, and password of an existing instance.
      A full edition of SQL Server ships separately with PDM Professional.
    5. Click Back to Summary.
  7. On the Summary page, accept the terms of the SOLIDWORKS License Agreement and click Install Now.

    When the SOLIDWORKS Installation Manager completes installing, the Archive Server Configuration Tool starts. Follow the prompts in the wizard to configure the archive server.

To set up, configure, and troubleshoot the archive server, database server, Web and Web2 servers, and SQL Server databases, see the relevant topics in the SOLIDWORKS PDM 2020 Installation Guide.

Contents

  • Modifying a SOLIDWORKS PDM Server Installation

Parent topic SOLIDWORKS PDM and SOLIDWORKS Manage


Modifying a SOLIDWORKS PDM Server Installation

To modify an installation of SOLIDWORKS PDM Server and its components, use Programs and Features from the Windows Control Panel. You cannot modify the installation with SOLIDWORKS Installation Manager (SLDIM), even if that is what you used to install SOLIDWORKS PDM Server.

Parent topic Installing a PDM Server with SLDIM


Installing a PDM Client with SLDIM

The major version of the SOLIDWORKS PDM Client must match the major version of the SOLIDWORKS PDM Server. When you install or upgrade the SOLIDWORKS PDM Client, make sure the versions match.

To install a PDM Client:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Individual.
  3. On the Serial Number page, click Next.
    SOLIDWORKS PDM clients do not require a separate serial number.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, under Products, click Change.
  6. On the Product Selection page, click Select different packages or products.
  7. In the Select the package you want to show dialog box, select an edition of SOLIDWORKS. Then click OK.
  8. On the Product Selection page, select SOLIDWORKS PDM Client. Then select eDrawings to enable the PDM Preview functionality. If you are using SOLIDWORKS PDM Professional, you can also select Item Explorer.
  9. On the Summary page, expand SOLIDWORKS PDM Options and click Change.
  10. On the SOLIDWORKS PDM Client Options page, select the following and click Back to Summary:
    • PDM product type
    • PDM client type
    • Add-ins
  11. On the Summary page, accept the terms of the SOLIDWORKS License Agreement and click Install Now.
Administrators can also use the Administrative Image Option Editor to create and deploy images of PDM clients. For details, see Using Administrative Images in the SOLIDWORKS Installation and Administration Guide.
Parent topic SOLIDWORKS PDM and SOLIDWORKS Manage


SOLIDWORKS Electrical

The SOLIDWORKS Installation Manager allows you to install all the components of SOLIDWORKS Electrical, in a stand-alone or client/server mode.

SOLIDWORKS Electrical uses several components. During the installation, you must select these components according to the type of installation you want.
  • SOLIDWORKS Electrical Schematic - 2D application to create and manage electrical schemes.
  • SOLIDWORKS Electrical 3D - SOLIDWORKS add-in to integrate 2D schematics with 3D models. The SOLIDWORKS Electrical 3D allows you to manage the layout of electrical devices and to route the wires, the cables, and the harnesses.
  • Data - The Data groups all the data required by the software. This data is graphical (files representing the symbols, the title blocks...) or technical (Manufacturer catalogs, data associated to the symbols...). You can share the data tp be accessible for all users.
  • Collaborative Server - A utility to manage the opening and updating of electrical drawings.
  • SQL Server - SOLIDWORKS Electrical requires a Microsoft SQL Server database. You choose to create a new database or use an existing one during the installation.

Type of Installation

You can install all SOLIDWORKS Electrical components on the same machine. This is a stand-alone install. All program data, such as project drawings and reports, is stored on the workstation.

You can also install the SOLIDWORKS Electrical components as a client/server application. Use this type of installation if you want to store the data on a network server. The client/server installation lets several users work on the same project. Client systems must have network access to the server and read/write privileges for creating projects, libraries, and symbols.

Information

Whatever the type of installation (stand-alone or client/server), you must start your Windows session in full rights mode to install SOLIDWORKS Electrical.

You can install only one version of SOLIDWORKS Electrical on a machine. If you are installing SOLIDWORKS, and select SOLIDWORKS Electrical as one of the products to install, the installation program removes the old version of SOLIDWORKS Electrical.

When you start the SOLIDWORKS Installation Manager, it automatically detects the existing versions of SOLIDWORKS Electrical installed on the workstation or on the server.

Always back up an existing SOLIDWORKS Electrical environment before you install a new version. From within SOLIDWORKS Electrical Schematic, select File > Archive Environment, or from within SOLIDWORKS Electrical 3D, select SOLIDWORKS Electrical > Tools > Archive Environment.

Contents

  • Requirements for Installing SOLIDWORKS Electrical

  • Stand-Alone or Client/Server Installation

    You can install SOLIDWORKS Electrical in two modes. In stand-alone mode, you install the software on the workstation. In client/server mode, users share the data.

  • Configuring the Collaborative Server

  • Configuring Microsoft SQL Server

  • Specifying the Data Location


Requirements for Installing SOLIDWORKS Electrical

To access current system requirements, see http://solidworks.com/System_Requirements.

Parent topic SOLIDWORKS Electrical
Stand-Alone or Client/Server Installation
Configuring the Collaborative Server
Configuring Microsoft SQL Server
Specifying the Data Location


Stand-Alone or Client/Server Installation

You can install SOLIDWORKS Electrical in two modes. In stand-alone mode, you install the software on the workstation. In client/server mode, users share the data.

SOLIDWORKS Electrical must always connect to an instance of SQL Server.

Parent topic SOLIDWORKS Electrical
Requirements for Installing SOLIDWORKS Electrical
Configuring the Collaborative Server
Configuring Microsoft SQL Server
Specifying the Data Location

Stand-Alone Installation

For a first installation, you MUST install all the components on the workstation.

  • SOLIDWORKS Electrical Schematic
  • SOLIDWORKS Electrical 3D
  • Collaborative Server
  • Application Data
  1. In the Summary tab, click Change of the Product Selection section and select all the SOLIDWORKS Electrical components.
  2. If you want to modify the installation options, in the Summary tab, click Change of the Electrical Options section. It is possible to create a new instance of SQL Server or to use an existing one. See specific chapters about the Data and Microsoft SQL Server in this documentation for more details. If not, keep the default options.
  3. Click Install now to continue.
If a SOLIDWORKS Electrical is already installed on the workstation, the SOLIDWORKS Installation Manager automatically finds it and prompts you to update it. Install all the components without changing the Electrical Options.

Client/Server Installation

A client/server installation allows you to share the data between several users.

On the server, you must install the following components:
  • Collaborative Server
  • Application Data
  • SQL Server
On the clients, you must install the following components:
  • SOLIDWORKS Electrical Schematic
  • SOLIDWORKS Electrical 3D
  1. On the server, install the server components.
  2. In the Welcome SOLIDWORKS Installation Manager tab, click Install server component.
  3. Select the SOLIDWORKS Electrical option.
  4. In the Summary tab, you can modify the installation options. See specific chapters about the Data and Microsoft SQL Server in this documentation for more details. If not, keep the default options.
  5. Click Install now to continue.
  6. On the clients, install the applications.
  7. In the Welcome SOLIDWORKS Installation Manager tab, click Install on this computer.
  8. In the Summary tab, click Change of the Product Selection section and clear the Electrical Server option.
  9. In the Summary tab, click Change of the Electrical Options section and modify the settings to connect to the server.
  10. Click Install now to continue.
If a SOLIDWORKS Electrical is already installed on the workstation or on the server, the SOLIDWORKS Installation Manager automatically finds it and prompts you to update it. Use the same process than the first installation to update the software.


Configuring the Collaborative Server

To run SOLIDWORKS Electrical, you must install the Collaborative Server on the same system that hosts the Microsoft SQL Server database.

The Collaborative Server is a Windows Service that must be running at all times, and have constant, uninterrupted, bidirectional communication with clients through firewalls and virus scanners.

To configure the Collaborative Server in individual or server mode, specify the following parameters:
  • The machine name (for example LOCALHOST or MyMachine), or its IP address (for example 127.0.0.1, or 192.168.999.999).
  • The port number (by default 26666).

You can configure the Collaborative Server during the installation or later in the Tools > Application Settings command.

To provide uninterrupted bidirectional communication, make sure that port number 26666 is available on the system where the Collaborative Server is installed. If not, ask the system administrator to find another port for SOLIDWORKS Electrical.

Parent topic SOLIDWORKS Electrical
Requirements for Installing SOLIDWORKS Electrical
Stand-Alone or Client/Server Installation
Configuring Microsoft SQL Server
Specifying the Data Location


Configuring Microsoft SQL Server

You must insure that an instance of the SQL Server database is available for any type of SOLIDWORKS Electrical installation. You can use an existing SQL Server database if it is already installed on the system, or install a new instance as part of the SOLIDWORKS Electrical installation.

When you install a new instance of SQL Server, SOLIDWORKS installation provides a free version of Microsoft SQL Server Express. This version is limited to 1 CPU, 1 GB of memory, and 10 GB of data. The memory and CPU limitations are sufficient to support 5 concurrent users.

If you install SQL Server Express Edition, ensure that the server software and hardware meet the requirements listed http://solidworks.com/System_Requirements.

However, if there are more 6 or more concurrent users on the same server, you should purchase and install a full version of SQL Server, and use the workflow described for installing SOLIDWORKS Electrical with an existing instance of SQL Server.

For information about the SQL Server Express Edition, consult the Microsoft SQL Server documentation.

Parent topic SOLIDWORKS Electrical
Requirements for Installing SOLIDWORKS Electrical
Stand-Alone or Client/Server Installation
Configuring the Collaborative Server
Specifying the Data Location

Managing Data in SOLIDWORKS Electrical

Many programs use a single database which contains all the program data. This is not the case with SOLIDWORKS Electrical. Each project in SOLIDWORKS Electrical is assigned a unique ID number, and every project has a related database that can be identified based on its unique ID number. For example, in the SOLIDWORKS Electrical Project Manager, if you find a project with ID#112, then the associated database is named “tew_project_data_112.”

The reason for having a unique database for each project is that it significantly reduces process time. Also, in the case of a critical database failure, only one project is affected, retaining the integrity of the majority of the program information.

However, some companies have policies that restrict the creation of new databases. To run SOLIDWORKS Electrical, there can be no restrictions on creating new databases by users. Check with the system or database administrator to ensure that no configuration settings prevent users from creating new databases.

New Instances of SQL Server

If you install a new instance of SQL Server, you need full administrative rights to the server, and also to any client systems. You must also ensure that clients have read/write privileges for the database, so they can create and modify projects, libraries, symbols and other project data.

When you install a new instance of SQL Server, select a name other than the default.

Existing Instances of SQL Server

You need a user account that has full administrative rights to the SQL Server database to install new SOLIDWORKS Electrical databases or to connect to a SOLIDWORKS Electrical installation on an existing instance of SQL Server.

For SOLIDWORKS Electrical to function properly, you must enable SQL Server for mixed mode authentication. Mixed mode authentication allows the use of either Windows or SQL Server credentials.

To connect to an existing SQL Server database, you can use Windows or SQL Server authentication. Enter a user name and password for a Windows or SQL Server login that has full SQL Server administrative rights.

You cannot use the ‘tew’ user to connect to SQL Server for installation. Contact your SQL Server administrator or system administrator for help to obtain a login with the proper credentials for SQL Server.

SOLIDWORKS Electrical Databases

After you install SOLIDWORKS Electrical, the installation program creates the following databases in the SQL Server instance.

  • TEW_APP_DATA
  • TEW_APP_MACRO
  • TEW_APP_PROJECT
  • TEW_CATALOG
  • TEW_CLASSIFICATION


Specifying the Data Location

For the data location, select a directory to store program data such as parts, templates, and 2D and 3D symbols. This location must be a dedicated directory. It cannot be a root directory or the same directory used to store SOLIDWORKS data.

The default directory is C:\ProgramData\SOLIDWORKS Electrical.

In the case of a client/server installation, you must share the Data directory.

The installation program creates a new folder called Update in the default directory to store all of the new data.

When you start SOLIDWORKS Electrical for the first time, the program automatically merges the data stored in the Update folder with the existing data. In the Update Data wizard, you can select the data to be added into the application and the SQL Server database.

Parent topic SOLIDWORKS Electrical
Requirements for Installing SOLIDWORKS Electrical
Stand-Alone or Client/Server Installation
Configuring the Collaborative Server
Configuring Microsoft SQL Server


SOLIDWORKS PCB

SOLIDWORKS® PCB (formerly PCBWorks) is a PCB (printed circuit board) design tool that is integrated with the SOLIDWORKS 3D design software. It is installed by SOLIDWORKS Installation Manager as part of the Individual installation.

An electrical engineer using SOLIDWORKS PCB can make changes to a printed circuit board and push those changes to a shared repository. A mechanical engineer using the SOLIDWORKS software can pull the changed circuit board from the repository, analyze the modifications, make additional changes, and push the design back to the repository, where it can then be accessed again by the electrical engineer.

To enable this collaboration, you must install SOLIDWORKS PCB Services, which manages the repository on a shared server. It is installed by SOLIDWORKS Installation Manager as part of a Server installation and does not require a separate license. It includes Microsoft Internet Information Services and a database that stores data used to synchronize the work of the electrical and mechanical designers.

In network environments, SOLIDWORKS PCB Services is typically installed on a share server that is not running the SOLIDWORKS software. It can also be installed with other SOLIDWORKS PCB components on a single machine. SOLIDWORKS PCB Services must be running at all times, and have uninterrupted, bidirectional communication through firewalls and virus scanners with clients running SOLIDWORKS PCB and the SOLIDWORKS software, and with any clients running Altium Designer that are going to be integrated with the SOLIDWORKS software.
It is recommended that you install SOLIDWORKS PCB Services before installing SOLIDWORKS PCB.

In addition, you must enable another component called SOLIDWORKS PCB add-in on machines running the SOLIDWORKS software. You can enable the add-in from Tools > Add-ins.

Electrical engineers who have licensed Altium Designer can also exchange designs with SOLIDWORKS 3D design software users through the repository. To do this exchange, users need to install the SOLIDWORKS PCB Connector. This software is installed from the Altium Designer client.

Contents

  • Prerequisites

  • Installing PCB Services with SLDIM

  • Installing PCB with SLDIM

  • Changing the Default Admin Login

  • Installing SOLIDWORKS PCB Viewer

    You can download and install SOLIDWORKS® PCB Viewer using the Installation Manager, making it easier to install concurrently with SOLIDWORKS or other SOLIDWORKS products. This free PCB viewer is available without a license.

  • Installing the PCB Connector for Altium Designer

  • Post Installation

  • Upgrading PCB Services

  • Uninstalling PCB Services


Prerequisites

Before installing, you must have the following prerequisites:
  • a SOLIDWORKS PCB serial number.
  • a SOLIDWORKS PCB Connector serial number for any Altium Designer clients that are going to be integrated with the SOLIDWORKS software.

To access current system requirements, see http://solidworks.com/System_Requirements.

Parent topic SOLIDWORKS PCB


Installing PCB Services with SLDIM

To install SOLIDWORKS PCB Services:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Server Products.
  3. Then select Install SOLIDWORKS PCB Services on this computer and click Next.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, accept the default settings for SOLIDWORKS PCB Services or click Change to specify settings for the following:
    • Installation location
    • Database folder
    • Revisions file folder
    • Port number

    PCB Services includes Microsoft Internet Information Services and a database that stores data used to synchronize the work of the electrical and mechanical designers.

    The default port number is 9780.

  6. Accept the terms of the SOLIDWORKS License Agreement and click Install Now.
Parent topic SOLIDWORKS PCB


Installing PCB with SLDIM

To install SOLIDWORKS PCB:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Individual.
  3. Do the following:
    1. Expand Electrical Design.
    2. Select SOLIDWORKS PCB and type the serial number.
    3. Click Next.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, accept the terms of the SOLIDWORKS License Agreement and click Install Now.
Parent topic SOLIDWORKS PCB


Changing the Default Admin Login

SOLIDWORKS PCB Services provides a default administrator account with the following credentials:
  • admin for Username
  • admin for Password
For better security, it is highly recommended that you change the login credentials for this account.

To change the default admin login:

  1. Open a web browser, and in the address bar, enter the machine name and port number in the form: http://server name:port number.

    The default port number is 9780.

  2. On the Sign in to SOLIDWORKS PCB Services page, enter admin as the username and admin as the password, and click Sign In.
  3. On the SOLIDWORKS PCB Services menu, click Users and click the Users tab.
  4. Click the link associated with the admin account or click the Edit User icon [image].
  5. Modify the user information, username, and password.
  6. Click Save.
Parent topic SOLIDWORKS PCB


Installing SOLIDWORKS PCB Viewer

You can download and install SOLIDWORKS® PCB Viewer using the Installation Manager, making it easier to install concurrently with SOLIDWORKS or other SOLIDWORKS products. This free PCB viewer is available without a license.

You can use the viewer to access, print, and search through all of your team's design files created in Altium Designer.

You can also add SOLIDWORKS PCB Viewer to your administrative image deployments.

You cannot install the SOLIDWORKS PCB Viewer on the same computer as SOLIDWORKS PCB.
Parent topic SOLIDWORKS PCB


Installing the PCB Connector for Altium Designer

Altium Designer is a PCB (printed circuit board) design tool. Users who have licensed and installed Altium Designer can integrate it with the SOLIDWORKS software by installing the SOLIDWORKS PCB Connector.

To install SOLIDWORKS PCB Connector on a machine running Altium Designer:

  1. Sign in to your Altium Account if you are not signed in automatically.
  2. Launch Altium Designer, open the DXP tab, and click Extensions and Updates.
  3. On the Extensions and Updates page, click the Purchased tab.
  4. Scroll down to the Software Extensions section. Then on SOLIDWORKS PCB Connector, click the down arrow in the top right corner of the tile to download and begin the installation.

  5. In the Confirm dialog box, click Yes to continue with the installation.
    You must perform steps 6 and 7 in the order specified to avoid activation and installation problems.
  6. On the PCB Connector Registration page, enter the SOLIDWORKS PCB Connector serial number and click Register.
  7. In the Confirm dialog box, displayed by the Altium Designer application, click Yes to restart the system and complete the installation or click No to complete the installation later.

To deactivate a SOLIDWORKS PCB Connector license, on the Help menu, click SOLIDWORKS PCB Connector Licensing > Deactivate Licenses.

Parent topic SOLIDWORKS PCB


Post Installation

After installing SOLIDWORKS PCB and its components, you can add user accounts to SOLIDWORKS PCB Services, so that users can access boards from the repository.

Additional tasks include logging into the SOLIDWORKS PCB add-in repository and uninstalling the software.

Contents

  • Adding a User to PCB Services

  • Logging into a PCB Repository

Parent topic SOLIDWORKS PCB


Adding a User to PCB Services

To add a user in the SOLIDWORKS PCB Services website:

  1. Open a web browser and in the address bar, enter the server name and port number assigned to SOLIDWORKS PCB Services. For example, in the form: http://server name:port number.
  2. On the Sign in to SOLIDWORKS PCB Services page, enter your administrator username and password, and click Sign In.
  3. On the SOLIDWORKS PCB Services menu, click Users and click the Users tab.
  4. Click the Add User button and type the following:
    • First Name
    • Last Name
    • User Name
    • Password
    • Email address
    • Phone number

    Also, you must select a User Role and check the Member box to associate the user with a group.

  5. Click Save.
You can edit the user information in the User tab.
Parent topic Post Installation


Logging into a PCB Repository

In SOLIDWORKS, when you select a new board or pull an existing board from the PCB Add-in Task Pane, you must login to SOLIDWORKS PCB Services to access the repository.

To login the SOLIDWORKS PCB repository:

  1. From the SOLIDWORKS Task Pane, click the SOLIDWORKS PCB Add-in button [image].
  2. Click New Board Assembly or Pull Board From Vault.
  3. Login to SOLIDWORKS PCB Services:
    1. Specify the server name and port number assigned to SOLIDWORKS PCB Services. For example, type in the form: http://server name:port number.
    2. Type your Username and Password, and click OK.
Parent topic Post Installation


Upgrading PCB Services

When you are upgrading SOLIDWORKS PCB Services to 2020, the SOLIDWORKS Installation Manager upgrades the Firebird database, and automatically migrates your data. Before upgrading, you should backup the database.

To upgrade SOLIDWORKS PCB Services:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Server Products.
  3. Select Upgrade SOLIDWORKS PCB Services on this computer and click Next.

    The following message displays: SOLIDWORKS PCB Services requires an upgrade to your Firebird database. If you continue, your Firebird software and your database will be upgraded.

  4. Click Next.
  5. On the Summary page, accept the default settings or click Change to specify other settings.
  6. Accept the terms of the SOLIDWORKS License Agreement and click Install Now.
Parent topic SOLIDWORKS PCB


Uninstalling PCB Services

To uninstall SOLIDWORKS PCB Services:

  1. Click Start > All Programs > SOLIDWORKS version > SOLIDWORKS PCB Services > Uninstall SOLIDWORKS PCB Services.
  2. When you are prompted to remove SOLIDWORKS PCB Services and its components, click Yes.
  3. When you are prompted to delete all SOLIDWORKS PCB Services data, click No.
    You must click No if you want to prevent all data and revision files from being deleted permanently.
Parent topic SOLIDWORKS PCB


SOLIDWORKS Visualize and SOLIDWORKS Visualize Boost

SOLIDWORKS® Visualize provides a suite of stand-alone tools that combine advanced rendering capabilities with visual design-oriented features and workflows, so you can create highly realistic images of 3D CAD models.

SOLIDWORKS Visualize products are available in two packages:
  • Standard
  • Professional

A complimentary seat of SOLIDWORKS Visualize Standard is included with each SOLIDWORKS 2020 Professional and Premium license on active subscription. To activate the complimentary seat, you need an additional serial number, which you can find by logging into the SOLIDWORKS Customer Portal and clicking My Products. You can no longer use your SOLIDWORKS Professional or Premium serial number to activate your complimentary seat of SOLIDWORKS Visualize Standard.

SOLIDWORKS Visualize also supports SolidNetWork Licensing (SNL) license types such as floating, as well as offline activation.

Using the SOLIDWORKS Installation Manager (SLDIM), you install SOLIDWORKS Visualize as part of the Individual installation. You can install it as a stand-alone application, which is an advantage if you want to use separate computers for modeling and rendering. It does not consume a SOLIDWORKS license.

SOLIDWORKS Visualize Boost is a service that allows you to distribute rendering from a computer running SOLIDWORKS Visualize Professional to one or more computers on a network. You can perform other tasks on your computer while the rendered image generates, and the final rendered images are available sooner. Image rendering can take place on a single computer, or on a cluster of several computers running Visualize Boost.

A complimentary seat of SOLIDWORKS Visualize Boost is included with each seat of SOLIDWORKS Visualize Professional 2020 on active subscription.
Visualize Boost is a product add-on for Visualize Professional only. Visualize Boost does not work with Visualize Standard.

You can install Visualize Boost on a computer separate from the one that is running SOLIDWORKS Visualize Professional. You can also install Visualize Boost as part of the Individual installation in the SLDIM.

Contents

  • Prerequisites and System Requirements for SOLIDWORKS Visualize

  • Installing SOLIDWORKS Visualize with SLDIM

  • Installing Visualize Boost with SLDIM


Prerequisites and System Requirements for SOLIDWORKS Visualize

Before installing SOLIDWORKS Visualize and SOLIDWORKS Visualize Boost, you must have the following prerequisites for each machine:
  • A SOLIDWORKS Visualize serial number
  • A SOLIDWORKS Visualize Boost serial number
Each computer running SOLIDWORKS Visualize or SOLIDWORKS Visualize Boost must meet these requirements:
  • Windows® 7 or Windows® 10 (64-bit)
  • Minimum: Dual core CPU. Recommendation: Quad core.
  • Minimum: 8GB RAM. Recommendation: 16GB.
  • Minimum: 2GB free disk space. Recommendation: 5GB.
  • Minimum: 2GB or more GPU RAM. Recommendation: 4GB.
  • HDR Light Studio connection: HDR Light Studio v5.3.3 or newer, except v5.4
  • 4GB of video memory or more required for the Denoiser feature
For NVIDIA iRay GPU support:
  • NVIDIA® graphics card: NVIDIA Quadro®/NVIDIA GeForce®/Tesla™ with at least NVIDIA Kepler™ chip; Dual-GPU setup with at least NVIDIA Maxwell™ cards for the best experience
  • NVIDIA driver support for CUDA® 10.1 or newer required
    • Recommendation: NVIDIA driver version 419.69 (or newer)
    • For RTX enabled Turing cards (Turing™ TU10x), a driver version of 430.86 (or newer)
For AMD ProRender GPU support:
  • Recommendation: Radeon™ or FirePro™ series workstation cards.
If an applicable GPU is not found, SOLIDWORKS Visualize defaults to the central processing unit (CPU) and does not use the installed graphics card for GPU-acceleration. Also, NVIDIA cards based on Fermi™ architecture no longer support GPU acceleration.

See SOLIDWORKS Hardware Certification for more information on specific graphics cards and drivers.

Parent topic SOLIDWORKS Visualize and SOLIDWORKS Visualize Boost


Installing SOLIDWORKS Visualize with SLDIM

To install SOLIDWORKS Visualize:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Individual.
  3. Do the following:
    1. On the Serial Number page, expand Visualization.
    2. Select SOLIDWORKS Visualize and type the serial number.
    3. Click Next.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, accept the terms of the SOLIDWORKS License Agreement and click Install Now.

Double-click the SOLIDWORKS Visualize shortcut icon on the desktop to start the application or from the Windows Start menu, click All Programs > SOLIDWORKS version > SOLIDWORKS Visualize version.

Contents

  • Post Installation Tasks

Parent topic SOLIDWORKS Visualize and SOLIDWORKS Visualize Boost


Post Installation Tasks

After installing, there are a few tasks you should perform to set up SOLIDWORKS Visualize.

Contents

  • Creating the Content Folder

  • Selecting a Render Mode

  • Accessing Help, Tutorials, System Info, and Licensing

Parent topic Installing SOLIDWORKS Visualize with SLDIM


Creating the Content Folder

When you first run the software, SOLIDWORKS Visualize prompts you for a location to create a Content folder.

The Content folder contains the following subfolders where you can store assets for your projects:
Subfolders | Stores
Cameras | Default cameras and cameras that you have saved
Environments | High dynamic range (HDR) images
Palettes | Exported palette files
Images | Renderings and snapshots
Appearances | Materials in your Appearance library The contents update when you add an appearance to the library.
Models | Model files By default, SOLIDWORKS Visualize searches this folder first when you use File > Import a model.
Plates | Standard 2D images for use in backplates
Projects | Native project files in .SVP format
Textures | 2D textures for use in appearances
Parent topic Post Installation Tasks


Selecting a Render Mode

Different systems can produce different results with each render mode. Try each render mode before setting a mode that works best for you.

To select a render mode:

  1. Click Tools > Options > 3D Viewport.
  2. Under Render Device, clear Automatic.
  3. Select a render mode:
    • CPU, if your CPU is significantly more powerful than your graphics card.
    • GPU, if you have a powerful video card such as an nVidia CUDA-enabled GPU with more than 1 GB VRAM.
    • Hybrid, if you have a balanced system with a good nVidia card and a comparable CPU.

For more information, see Getting Started.

Parent topic Post Installation Tasks


Accessing Help, Tutorials, System Info, and Licensing

The Help menu provides documentation and options to update the software and troubleshoot your system.

Visualize Help | Opens the SOLIDWORKS Visualize online help.
Visualize Tutorials | Opens MySolidWorks and lets you access the SOLIDWORKS Visualize tutorials.
Release Notes | Displays online Release Notes for the current version.
What's New | Displays new functionality for SOLIDWORKS products.
Hot Keys | Lists the shortcut keys.
System Info | Performs a system check of the SOLIDWORKS Visualize software with your PC hardware, and suggests upgrades when needed.
Activate License | (Node-locked licenses) Uses SOLIDWORKS Product Activation wizard to activate your product.
Deactivate License | (Node-locked licenses) Uses SOLIDWORKS Product Activation wizard to deactivate your product.
SolidNetWork License Manager | Uses SOLIDWORKS Product Activation wizard to deactivate your product.
About Visualize | Displays the version number and licensing information of your copy of SOLIDWORKS Visualize.
Parent topic Post Installation Tasks


Installing Visualize Boost with SLDIM

You install Visualize Boost using the SOLIDWORKS Installation Manager. It requires a separate serial number.

Because the purpose of Visualize Boost is to offload rendering, you should install Visualize Boost on computers different from the ones running SOLIDWORKS Visualize Professional. Rendering performance can be maximized by installing Visualize Boost on computers with multiple CPU cores and graphics processing units (GPUs).

To install SOLIDWORKS Visualize Boost:

  1. Start the SOLIDWORKS Installation Manager.
  2. On the Welcome page, select Individual.
  3. Do the following:
    1. On the Serial Number page, expand Visualization.
    2. Select SOLIDWORKS Visualize Boost and type the serial number.
    3. Click Next.
  4. Follow instructions for system warnings and click Next.
  5. On the Summary page, accept the terms of the SOLIDWORKS License Agreement and click Install Now.

Double-click the SOLIDWORKS Visualize Boost shortcut icon on the desktop to open the interface.

Contents

  • Activating the Visualize Boost License

    You must activate and configure SOLIDWORKS Visualize Boost through a web interface before you can use the product for rendering. Chrome, Firefox, or Internet Explorer browsers are supported.

  • Configuring Visualize Boost

Parent topic SOLIDWORKS Visualize and SOLIDWORKS Visualize Boost


Activating the Visualize Boost License

You must activate and configure SOLIDWORKS Visualize Boost through a web interface before you can use the product for rendering. Chrome, Firefox, or Internet Explorer browsers are supported.

After you activate and configure Visualize Boost, it launches automatically at system startup and runs in the background. No further action is required.

To activate the SOLIDWORKS Visualize Boost license:

  1. Do one of the following:
    1. From your desktop, double click the Visualize Boost shortcut icon.
    2. Open a browser and enter the URL: http://localhost:8993/config.html.
  2. Enter an email address and click Enable License.
Parent topic Installing Visualize Boost with SLDIM


Configuring Visualize Boost

For most networks, the default settings are sufficient to configure a computer for Visualize Boost, but if your network environment requires other settings, follow these steps to manually configure a computer.

To configure a computer to be part of a rendering cluster in Visualize Boost:

  1. Do one of the following:
    1. If your system is running SOLIDWORKS Visualize Boost, double click the Visualize Boost shortcut icon on your desktop or open a browser and enter the URL: http://localhost:8993/config.html.
    2. If you are on a different system, open a browser and enter the URL: http://<IP Address>:8993/config.html or http://<DNS name>:8993/config.html.
  2. Select your Language from the drop-down list in the upper right corner of the screen.
  3. Click the Setup tab to configure the Visualize Boost node.
  4. In the Cluster Name field, specify a computer name, such as Superfast Render, Presentation Cluster, or 4th Floor Computers.

    The cluster name displays in SOLIDWORKS Visualize Professional as a cluster profile. To render an image, users running SOLIDWORKS Visualize Professional select a cluster profile from a list of available Boost clusters.

    It is recommended that you specify the cluster name on the Visualize Boost computer, rather than locally on the Visualize Professional computer, so that all Visualize users have access to the same cluster names in their Visualize Boost Profiles list.
  5. Enter the Cluster Client Access Port.
    This is the port that computers running SOLIDWORKS Visualize use to connect to the Boost cluster. The default cluster client access port is 8998.
  6. In the Networking Mode area, select an option based on your network environment:
    • Select No Networking to prevent this computer from belonging to any other cluster. This mode is useful for troubleshooting issues with Visualize Boost.
    • Select UDP Multicast Mode if your network supports UDP Multicast. Visualize Boost will search the network and form a cluster of all computers using UDP Multicast Mode on the same port. This mode is recommended, if your network supports it.
    • Select TCP Mode with Discovery (Default) if you cannot use UDP Multicast mode. Visualize Boost will search the network and form a cluster of all computers using TCP Mode with Discovery on the same port.
    • Select TCP Mode if you need to create an explicit list of the computers in the cluster, because the other modes are not successful in finding the computers you want to include. This mode requires additional work to configure and is not recommended if either UDP Multicast or TCP Mode with Discovery are available.
  7. If you select UDP Multicast Mode or TCP Mode with Discovery, enter the Cluster Discovery Address.
    This setting must be an IP address and a port above 1024. The default port varies among the networking modes:
    • 8994 for UDP Multicast
    • 8995 for TCP Mode with Discovery
    • 8996 for TCP

    These ports are used for Visualize Boost computers to connect with each other. All computers configured with the same Cluster Discovery Address and that are on the same local network will form a cluster.

  8. If you select TCP Mode:
    • Enter a Cluster Access Port. This is the port that Visualize Boost nodes in the cluster use to communicate with each other. The default port for TCP Mode is 8996.
    • If this machine is going to be the “head node” of the cluster (the machine that coordinates the work of the cluster), use the Cluster Address List field to list the IP addresses of other nodes in the cluster. Each IP address (such as 192.168.0.100:8996) must include the Cluster Access Port configured for all nodes in the cluster. Leave the field blank if this machine is not going to be the head node of the cluster.
  9. Click Save Configuration. Visualize Boost saves the new configuration, then stops and restarts the service.
  10. Click the Status tab. If the status is Ready, the screen displays the computers connected in the cluster and the Sessions (jobs) assigned to the cluster.
Parent topic Installing Visualize Boost with SLDIM


SOLIDWORKS Admin Portal and Online Licensing

The SOLIDWORKS Admin Portal is a cloud-based asset and service management system that lets you assign and manage online licenses.

The Admin Portal makes it easy for you to monitor SOLIDWORKS online licenses, invite members to an account, assign products and services to members, and create new administrators. You can also remove users from licenses, even when users are in remote locations.

As a SOLIDWORKS user, online licensing gives you the flexibility to use one SOLIDWORKS license across all your devices, in any location, without having to manually activate and deactivate the licenses on each machine. You must have internet access to sign in and use online licenses, but after signing in, you can select offline mode and work while the device is not connected to a network.

Contents

  • Accessing the Admin Portal

    You must have a SOLIDWORKS ID and a MySolidWorks Guest, Standard, or Professional account to access the Admin Portal.

  • Administrator Tasks

    Administrators are typically responsible for managing user accounts and online licenses.

  • Using SOLIDWORKS Products with Online Licensing

  • Accessing the CAD Admin Dashboard

    If you have a SOLIDWORKS subscription contract, you can access the SOLIDWORKS CAD Admin Dashboard from the Admin Portal without logging in again.


Accessing the Admin Portal

You must have a SOLIDWORKS ID and a MySolidWorks Guest, Standard, or Professional account to access the Admin Portal.

However, any commercial customer with a valid SOLIDWORKS ID, regardless of the subscription status, can log into MySolidWorks.com and access the Admin Portal if eligible.

To access the Admin Portal:

  1. Sign in to MySolidWorks.com.
  2. Under your profile name, expand the list and click Admin Portal.
Parent topic SOLIDWORKS Admin Portal and Online Licensing
Administrator Tasks
Using SOLIDWORKS Products with Online Licensing
Accessing the CAD Admin Dashboard


Administrator Tasks

Administrators are typically responsible for managing user accounts and online licenses.

By default, the SOLIDWORKS software is set up to use machine activation. The basic steps for enabling online licensing with the Admin Portal are:
  1. If you already have the SOLIDWORKS software installed on a machine, manually deactivate the license.
  2. Set a product's activation type from machine activation to online licensing.
  3. Then assign products and services to members (users).

Contents

  • Creating the First Administrator Account

    If you are the first person to access an account on the Admin Portal, you can promote yourself to be the first administrator, provided:

  • Managing Products and Services

  • Managing Members and Licenses

  • Set Products to Use Online Licensing

    By default, the SOLIDWORKS software is set up to use machine activation. If you have the SOLIDWORKS software installed on a machine, you must manually deactivate the license and then, change the activation type to use online licensing.

  • Promoting a User to Administrator

    If an account has administrators, the Admin Portal displays contact information for the administrators. You can contact them and request to be an administrator for the account.

  • SOLIDWORKS Customer Portal Register My Products

    Once an administrator has been declared for your company, no user can register a product from that company in the SOLIDWORKS Customer Portal.

Parent topic SOLIDWORKS Admin Portal and Online Licensing
Accessing the Admin Portal
Using SOLIDWORKS Products with Online Licensing
Accessing the CAD Admin Dashboard


Creating the First Administrator Account

If you are the first person to access an account on the Admin Portal, you can promote yourself to be the first administrator, provided:

  • The account is your primary account.
  • The account has assets.
  • You have a product registered for the account.

If you are not associated with the account, or if the account does not have assets, contact the SOLIDWORKS Customer Center.

To assign yourself as the first administrator of an account:

  1. Sign into MySolidWorks.com, and under your profile name, expand the list and select Admin Portal.

    The Welcome page informs you that there are no current administrators.

  2. Review and accept the terms, conditions, and responsibility for managing the SOLIDWORKS produce license assignments.
  3. Click Promote me to Administrator.
Parent topic Administrator Tasks
Managing Products and Services
Managing Members and Licenses
Set Products to Use Online Licensing
Promoting a User to Administrator
SOLIDWORKS Customer Portal Register My Products


Managing Products and Services

The Admin Portal includes a Products tab and a Services tab. Use the Products tab to assign and activate products. Use the Services tab to assign services such as eLearning courses and MySolidWorks Pro to members.

Unlike products, you cannot transfer services. Once you assign a service to a member, you cannot remove the service from that member.

Managing Products is optional for machine activation products, including network license products.

You may choose to name your members and assign products to them to gain the following benefits:
  • Your members can use the login feature in the Installation Manager to install the serial numbers assigned to them.
  • Assigning subscription products to your members will grant them access to subscription content online.

However, you do not need to name your members and assign products to them for machine activation products. Access to machine activation products is gated by a license server or activation events regardless of assignment in Admin Portal. In larger organizations, you likely will not manage all members and their products.

Managing Products is required for online licensing. Likewise, Services must be assigned to named members.

Parent topic Administrator Tasks
Creating the First Administrator Account
Managing Members and Licenses
Set Products to Use Online Licensing
Promoting a User to Administrator
SOLIDWORKS Customer Portal Register My Products


Managing Members and Licenses

Contents

  • Inviting New Members to an Account

    Administrators can invite new members to join an account.

  • Removing Members from Accounts

    Before removing a member, administrators must first remove all products assigned to the member's account.

  • Assigning Products to Members

    Administrators can only assign a member to one product per product type. For example, a member can be assigned only one CAD product and only one Simulation product.

  • Assigning Members to Products

  • Assigning Services to Members

  • Removing Licenses from Members

    You can remove products from a member.

  • Searching for Members, and Checking for User Rights and Assigned Products

    The Admin Portal provides several ways to find a user, and to monitor user rights and assigned products.

  • Searching Products and Checking Users Assigned to Them

    The Admin Portal provides several ways to find products, and to monitor which users are assigned to those products.

  • Removing Products from External Members

    External members are people that are outside of your organization and who have registered one of your products. The Admin Portal lets you identify them and remove them from your product.

  • Using the Gear Menu for Queries

    The Gear menu contains commands to create and refine queries.

Parent topic Administrator Tasks
Creating the First Administrator Account
Managing Products and Services
Set Products to Use Online Licensing
Promoting a User to Administrator
SOLIDWORKS Customer Portal Register My Products


Inviting New Members to an Account

Administrators can invite new members to join an account.

To invite new members:

  1. Click the Members tab.
  2. Click Invite Member.
  3. Enter the Email addresses of the members to invite.
    You can invite multiple users with one email by entering their email addresses in the address field separated by semicolons (;).
  4. Select Member or Admin for the level of User Rights.
  5. Edit the text in the invitation if required and click Send Invitations.
Parent topic Managing Members and Licenses
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Removing Members from Accounts

Before removing a member, administrators must first remove all products assigned to the member's account.

To remove a member from an account:

  1. Click the Members tab.
  2. Select a name by clicking a row in the Members list.

    Use the navigation controls at the bottom to move forward or backward through the record set. You can also use the Find Members pane to search for a member.

  3. In the Member Details page, remove all products on the Assigned Products list by clicking Remove Product .
  4. Under Member Details, click Remove Member and click OK to confirm.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Assigning Products to Members

Administrators can only assign a member to one product per product type. For example, a member can be assigned only one CAD product and only one Simulation product.

You cannot assign products to pending members.

To assign a product to a member:

  1. Click the Members tab.
  2. Select a name by clicking a row in the Members list.

    Use the navigation controls at the bottom of the list to move forward or backward through the record set. You can also use the Find Members pane to search for a member.

    The Member Details page lists the Assigned Products and Available Products that are not assigned.

  3. Highlight a product under Available Products.

    You can assign only one product at a time to a member. The first item in the list is selected by default. If the product that you want to assign is not first on the list, clear this item and select the correct item.

    You can filter based on several factors to show only products:
    • With a current or expired subscription
    • That are or are not assigned
    • That are activated or not, or activated for online licensing
    • That belong to one or more product types
    You can also filter based on a product name or a serial number.

    If you select a product name, the Product Details page displays. In the browser, press Back to return to the Member Details page.

  4. Click Assign Product.

    The Admin Portal adds the product to the member's Assigned Products list.

    You can also assign members to products from the Products Details page.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Assigning Members to Products

To assign a member to a product:

  1. Click the Products tab.

    The Product Details page lists available members who are not assigned to the product.

  2. Highlight a product under Available Products.
  3. To find a member, you can filter available members based on first name, last name, email, and product type.
  4. Click Assign Member.

You can also assign products to members from the Assigned Products section of the Members tab.

Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Assigning Services to Members

Administrators can assign services to members. Examples of services are MySolidWorks Professional and eLearning courses. Unlike products, you cannot transfer services. After you assign a service to a member, you cannot remove the service from that member.

To assign services to members:

  1. Click the Members tab.
  2. Search for a member in the Find Members pane or click a username from the list.
  3. In the Member's page, below Member's Details, click Services.

    The Services tab lists services associated with the member and Available Services that are not assigned.

  4. Highlight a service under Available Services.

    You can assign only one service at a time to a member. The first item in the list is selected by default. If the service that you want to assign is not first on the list, clear this item and select the correct item.

    You can filter based on several factors to show only services:
    • With a current or expired subscription.
    • That are or are not assigned.
    You can also filter based on a service name or a serial number.

    If you select a service name, the Service Details page displays. In the browser, click Back to return to the Member Details page.

  5. Click Assign Service.

The Admin Portal adds the product to the member’s Services list.

Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Removing Licenses from Members

You can remove products from a member.

To remove a product from a member:

  1. Click the Members tab.
  2. Search for a member in the Find Members pane or click name from the list.

    In the Member's page, Assigned Products lists all the products associated with the member and Available Products list the products that are not assigned.

  3. Select the product under Assigned Products and click Remove Product.
  4. Click OK to confirm.

    The Admin Portal adds the product to the member’s Available Products list.

If a member uses products in offline mode, you cannot recover and reassign their license until the member turns off Offline Mode or the offline period of 30 days expires.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Searching for Members, and Checking for User Rights and Assigned Products

The Admin Portal provides several ways to find a user, and to monitor user rights and assigned products.

To search for a member, and to check user rights and assigned products:

  1. Click the Members tab.
  2. In the Find Members pane, you can filter based on user rights and assigned products:
    • Select Admin, Member, or Pending to restrict the search to users with that status.
    • Select one or more product types to restrict the search to users who are assigned to the selected products.
  3. To check the rights and assigned products for a specific user, select a name under Members.

    You can view the level of rights for a specific user in Member Details. The same page lists the assigned products associated to the user, and the available products that can be assigned.

Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching Products and Checking Users Assigned to Them
Removing Products from External Members
Using the Gear Menu for Queries


Searching Products and Checking Users Assigned to Them

The Admin Portal provides several ways to find products, and to monitor which users are assigned to those products.

To search for a product:

  1. Click the Products tab.
  2. In the Find Products pane, enter the product name.
  3. You can filter based on several factors to show only products:
    • With a current or expired subscription
    • That are or are not assigned
    • That are or are not activated for online licensing
    • That belong to one or more product types
    You can also filter based on a serial number.
  4. Click Search.
  5. To check users assigned to a product, select a product name under Products.
    The Product Details page lists all the members who are assigned to that product.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Removing Products from External Members
Using the Gear Menu for Queries


Removing Products from External Members

External members are people that are outside of your organization and who have registered one of your products. The Admin Portal lets you identify them and remove them from your product.

To remove products from external members:

  1. Click the Products tab.
  2. In the Find Products pane, enter the product name or search criteria.
  3. Click Search.
  4. Select the product name.
    The Product Details page lists all the members who are assigned to that product.
  5. In the list of Assigned External Members, select the external member and click Remove Member.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Using the Gear Menu for Queries


Using the Gear Menu for Queries

The Gear menu contains commands to create and refine queries.

Command | Keyboard Shortcut | Description
New Query | Alt + Q | Creates a query by entering text in one or more fields on the Members page, like First Name, Last Name, User Rights, Email, and Assigned Products, and on the Products pages, like Product Name, Product Type, Serial Number, Activated, Assigned, and Expire.
Run Query | Alt + Enter | Runs the query.
Refine Query | Alt + G | Changes and adds text in the query fields.
Columns Displayed | Ctrl + Shift + K | Selects the columns to display on the members and products pages.
Export |  | Exports the query results. You can export all rows or only the current row in the column, and export all columns or only the visible columns. You can export the results as a tab-delimited text file, a comma-separated text file, an HTML file, or a text file with a delimiter that you specify.
Advanced Sort |  | Sorts the query results up to three columns.
Parent topic Managing Members and Licenses
Inviting New Members to an Account
Removing Members from Accounts
Assigning Products to Members
Assigning Members to Products
Assigning Services to Members
Removing Licenses from Members
Searching for Members, and Checking for User Rights and Assigned Products
Searching Products and Checking Users Assigned to Them
Removing Products from External Members


Set Products to Use Online Licensing

By default, the SOLIDWORKS software is set up to use machine activation. If you have the SOLIDWORKS software installed on a machine, you must manually deactivate the license and then, change the activation type to use online licensing.

Parent topic Administrator Tasks
Creating the First Administrator Account
Managing Products and Services
Managing Members and Licenses
Promoting a User to Administrator
SOLIDWORKS Customer Portal Register My Products

Deactivating Installed Licenses in SOLIDWORKS

Before you use an online license, you must check that the same product is not installed on the machine. If it is installed, you must deactivate the license of the installed product before you configure online licensing with the Admin Portal.

To deactivate a license:

  • In the SOLIDWORKS software, click Help > Licenses > Deactivate, and follow the instructions.
You can have a mix of online licenses and SolidNetWork licenses on the same machine. For example, the same machine can run SOLIDWORKS Premium 2020 with an online license and SOLIDWORKS Simulation Premium 2020 with a SolidNetWork license.

Changing Activation Type to Online Licensing

Before you can use online licensing with a product, you must change its activation type from machine activation to online licensing.

You can change the activation type of a license before or after it is assigned to a member. You cannot change the activation type of a license if it is activated, or if the product is assigned to more than one member. If a license is activated through machine activation, it cannot be deactivated remotely; a user on the machine must deactivate that license.

To change the activation type to online licensing:

  1. If the product is assigned to a member:
    1. Click the Members tab and select a member from the list.
    2. Under Assigned Products, click the product that you want to change.
    3. In Product Details, under Activation Type, click Change to Online Licensing.
    4. Click Change to confirm or Cancel.
  2. If the product is not assigned to a member:
    1. Click the Products tab and select a product from the list.

      You can use the Find Products pane to query for the product.

  3. In Product Details, under Activation Type, click Change to Online Licensing.
  4. Click Change to confirm or Cancel.
  5. Assign a product to a member.
When you assign an online license, that product can only be used by that member. However, assigning a machine activation product to a member is for tracking purposes only. Any person sitting at the designated machine can use the product. In that situation, you might have to check that the person using the machine is the member who is supposed to have that license.


Promoting a User to Administrator

If an account has administrators, the Admin Portal displays contact information for the administrators. You can contact them and request to be an administrator for the account.

If you are an administrator, you can promote other users of the account to be administrators.

To promote a user to an administrator:

  1. Click the Members tab.
  2. From the list of names, select a user.

    If you have trouble finding a user, you can query the Admin Portal by entering search criteria in the Find Members pane.

  3. In the Member Details pane, under User Rights, click Change to Admin.
  4. Then click Change to confirm or Cancel.
  5. An email inviting the user to become an administrator displays. Click Send.

User Rights displays as Pending when the invitation is sent. After acceptance, User Rights changes to Admin.

You can demote an administrator to a user by selecting Change to Member.
Parent topic Administrator Tasks
Creating the First Administrator Account
Managing Products and Services
Managing Members and Licenses
Set Products to Use Online Licensing
SOLIDWORKS Customer Portal Register My Products


SOLIDWORKS Customer Portal Register My Products

Once an administrator has been declared for your company, no user can register a product from that company in the SOLIDWORKS Customer Portal.

The user is denied registration and an email is sent to the named administrators for the company with the requestor’s contact information and the requested serial number. As administrator, you can decide whether or not to assign the products to the requestor on their behalf.
Assigning a product achieves the same status as registering a product.

If the requestor is already a member of your account, you can assign the requested product or an equivalent product on their behalf.

If the requestor is not already a member of the account, the administrator can invite the requestor as a member and complete the assignment afterwards.

Parent topic Administrator Tasks
Creating the First Administrator Account
Managing Products and Services
Managing Members and Licenses
Set Products to Use Online Licensing
Promoting a User to Administrator


Using SOLIDWORKS Products with Online Licensing

SOLIDWORKS online licensing gives you the flexibility to use one license across all your devices, in any location, without having to manually activate and deactivate the licenses on each machine.

For example, you can work on a machine in the office during the day, then go home and log into the same product from your home computer. You do not need a second license for the product. You do not need to manually deactivate a license on the office machine and then activate it on your home computer.

You must have internet access to sign in and use online licenses. After you sign in, you can select offline mode and work while the machine is not connected to a network.

Also, you can synchronize SOLIDWORKS options across machines, and access SOLIDWORKS websites such as MySolidWorks.com and the SOLIDWORKS Customer Portal without logging in again.

Contents

  • Logging into a SOLIDWORKS Product with an Online License

    After you install a SOLIDWORKS product with an online license, you can log in on any machine. You do not need to install the product again to use it on a different machine.

  • Using a SOLIDWORKS Product in Offline Mode

    When you use a SOLIDWORKS product with an online license, you can specify offline mode when you do not have an internet connection.

  • Switching Machines When Using Online Licenses

    Online licensing gives you the flexibility to use one license across all your machines. However, the license can be used only on one machine at a time.

  • Synchronizing Settings and Options Across Multiple Machines

    If you use the SOLIDWORKS software with multiple machines, you can update your settings on any of the machines and synchronize those settings across all machines that run SOLIDWORKS 2018 and later.

  • Notifying the SOLIDWORKS Product to Use Online Licenses

Parent topic SOLIDWORKS Admin Portal and Online Licensing
Accessing the Admin Portal
Administrator Tasks
Accessing the CAD Admin Dashboard


Logging into a SOLIDWORKS Product with an Online License

After you install a SOLIDWORKS product with an online license, you can log in on any machine. You do not need to install the product again to use it on a different machine.

To log into a SOLIDWORKS product with an online license:

  1. Click SOLIDWORKS [image] on your desktop.
  2. Enter your SOLIDWORKS ID and password, and click Login.
    The SOLIDWORKS ID can be your email address.

The SOLIDWORKS product starts if you enter a valid SOLIDWORKS ID and password, and you have been assigned a license for that product by your SOLIDWORKS administrator.

You can close and restart the SOLIDWORKS product on the same machine without having to enter credentials again, until you log out.

Parent topic Using SOLIDWORKS Products with Online Licensing
Using a SOLIDWORKS Product in Offline Mode
Switching Machines When Using Online Licenses
Synchronizing Settings and Options Across Multiple Machines
Notifying the SOLIDWORKS Product to Use Online Licenses


Using a SOLIDWORKS Product in Offline Mode

When you use a SOLIDWORKS product with an online license, you can specify offline mode when you do not have an internet connection.

To work in offline mode:

  • In the SOLIDWORKS title bar, right-click Login [image] and click Take License Offline.

You can use the SOLIDWORKS product for 30 days without reconnecting to a SOLIDWORKS website. After 30 days, you must click Take License Offline again to continue working in offline mode.

When you use an online license in offline mode on one machine, you cannot use that license on other machines.
Parent topic Using SOLIDWORKS Products with Online Licensing
Logging into a SOLIDWORKS Product with an Online License
Switching Machines When Using Online Licenses
Synchronizing Settings and Options Across Multiple Machines
Notifying the SOLIDWORKS Product to Use Online Licenses


Switching Machines When Using Online Licenses

Online licensing gives you the flexibility to use one license across all your machines. However, the license can be used only on one machine at a time.

You run SOLIDWORKS software on your primary machine and do not log out. When you try to log into a second machine (for example, a computer at home), the software offers to take your license from the primary machine.

To start the SOLIDWORKS software on a second machine:

  1. When you log into the second machine, the SOLIDWORKS software informs you that an online licensed product is in use on a different machine. Click Yes to continue.

    The SOLIDWORKS product runs on the second machine.

  2. When you return to your primary machine, you are prompted to save your work before the SOLIDWORKS software closes. Click OK to save the modifications to your model.
Parent topic Using SOLIDWORKS Products with Online Licensing
Logging into a SOLIDWORKS Product with an Online License
Using a SOLIDWORKS Product in Offline Mode
Synchronizing Settings and Options Across Multiple Machines
Notifying the SOLIDWORKS Product to Use Online Licenses


Synchronizing Settings and Options Across Multiple Machines

If you use the SOLIDWORKS software with multiple machines, you can update your settings on any of the machines and synchronize those settings across all machines that run SOLIDWORKS 2018 and later.

Settings synchronization is a service and may be blocked by some network configurations. To access the cloud storage service, ensure that firewall or proxy servers allow communications to *.solidworks.com.

To synchronize settings and options across multiple machines:

  1. Log in to the SOLIDWORKS software.
  2. In Tools > Options, click Synchronize Settings.
  3. Choose a manual or automatic method:
    • Synchronize Now.

      Upload Settings. Sends your settings from the current machine to the cloud storage service. Update your settings in the cloud at any time by uploading them again.

      Download Settings. Downloads and applies your settings from the cloud storage service to the current machine.

    • Automatic Synchronization.

      Automatically synchronizes the current machines with the cloud storage service. Your selected settings and customizations automatically upload to the cloud storage services as they are updated, and downloaded and applied on startup or login.

    Synchronization settings can vary on different machines. For example, you can specify one machine to automatically synchronize system options and file locations, but not customizations. On another machine, you can specify to manually download and upload all types of settings.

    With the synchronization process, you cannot overwrite administrator settings that are applied or locked.
  4. Click OK.
Parent topic Using SOLIDWORKS Products with Online Licensing
Logging into a SOLIDWORKS Product with an Online License
Using a SOLIDWORKS Product in Offline Mode
Switching Machines When Using Online Licenses
Notifying the SOLIDWORKS Product to Use Online Licenses


Notifying the SOLIDWORKS Product to Use Online Licenses

There are two ways to notify the SOLIDWORKS product that you switched to an online license:
  • When you log into a SOLIDWORKS product, a message informs you that the serial number that you have entered is reset for an online license. Restart the product and log in.
  • Your administrator can specify the product to use online licensing instead of a serial number through the Administrative Image Option Editor. Each product installed this way prompts you to log in when you run the software.
Parent topic Using SOLIDWORKS Products with Online Licensing
Logging into a SOLIDWORKS Product with an Online License
Using a SOLIDWORKS Product in Offline Mode
Switching Machines When Using Online Licenses
Synchronizing Settings and Options Across Multiple Machines


Accessing the CAD Admin Dashboard

If you have a SOLIDWORKS subscription contract, you can access the SOLIDWORKS CAD Admin Dashboard from the Admin Portal without logging in again.

On the CAD Admin Dashboard, you can perform tasks like monitoring performance, monitoring session statistics, and viewing the details of machines in your network that run the SOLIDWORKS software.

For more information, see Help in the CAD Admin Dashboard.

Parent topic SOLIDWORKS Admin Portal and Online Licensing
Accessing the Admin Portal
Administrator Tasks
Using SOLIDWORKS Products with Online Licensing


License Administration

After installation, you can activate SOLIDWORKS licenses either by activating individual computers (machine activation), by installing and activating floating network licenses on a server (SolidNetWork Licensing), or by logging into your SOLIDWORKS applications (online licensing).

Typically, installations on individual computers use license activation; however, you can install the software individually and then control the licenses with SolidNetWork License Manager. Conversely, although larger sites typically use floating network licenses, you can deploy the installations from an administrative image and then activate the serial numbers from the individual computers.

Contents

  • Administering Individual Licenses

    You can set an individual license to use machine activation or online licensing. This section covers machine activation. To learn more about online licensing, see the Admin Portal.

  • Administering Licenses Using a SolidNetWork License Manager

    SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.


Administering Individual Licenses

You can set an individual license to use machine activation or online licensing. This section covers machine activation. To learn more about online licensing, see the Admin Portal.

Typically, administration of individual licenses consists of activating and deactivating licenses directly from the SOLIDWORKS software.

Activation is a product licensing and registration process for SOLIDWORKS stand-alone (non-SolidNetWork License) licenses. Typically, if your product license is not activated, SOLIDWORKS tries to activate it when you start the product.

You can deactivate individual licenses by clicking Help > Licenses > Deactivate in the SOLIDWORKS software.

Parent topic License Administration
Administering Licenses Using a SolidNetWork License Manager

Activating a License

Before you can run SOLIDWORKS products on an individual computer, you must activate the license for that computer.

Activation requires that you have internet or email access. After activation, you do not need to be online to use the products. If you do not have email access on the computer where you use this product, you can save the activation file and send it from another computer.

This process:
  • Activates all software licenses across the SOLIDWORKS product line.
  • Allows you to move licensing rights from one computer to another.
  • Can be performed immediately (recommended) or within 30 days of installation.
  • Eliminates the need for dongles. However, if you run previous versions of SOLIDWORKS products that do not use activation, you need to retain the dongle.

For system administrators who have multiple serial numbers to manage, you can use the Administrative Image Option Editor. For details, see Administrative Image Option Editor.

To activate a license:

  1. Start the SOLIDWORKS software.
  2. Start SOLIDWORKS Product Activation using one of these methods:
    • If you have not yet activated the license for this computer, the SOLIDWORKS Product Activation window appears automatically when you start the SOLIDWORKS software.
    • If the SOLIDWORKS Product Activation window does not appear automatically, start activation by clicking Help > Licenses > Activate.
  3. Click the Product listing to specify the product whose license you want to activate.
  4. Specify automatic activation over the internet or manual activation using email.
  5. Supply email contact information.
  6. Click Next.
    • Internet: Activation occurs automatically.
    • Email: Click Save to create a request file, then email the file to activation@solidworks.com. When you receive the email containing the response file, extract the file from email and then click Open to load it.
      If required, you can exit and rerun the activation procedure to open the response file.
  7. Click Finish.
Administrative Image Option Editor

Moving a License

To move a license to a new or upgraded computer, first deactivate it to the license key server at Dassault Systèmes SolidWorks Corporation, then reactivate it on the other computer.

If you cannot deactivate the license to Dassault Systèmes SolidWorks Corporation (because of hard disk drive failure, for example), reactivation is still successful in most cases. If not, contact your VAR for help.

To move a license back to the server:

  1. In the SOLIDWORKS software, click Help > Licenses > Deactivate, and follow the instructions.
  2. To reactivate, go to the new or upgraded computer and activate the license as you did during the initial activation. For details, see Activating a License.


Administering Licenses Using a SolidNetWork License Manager

SolidNetWork License Manager supports multiple license clients by distributing licenses to clients on the network. This allows the number of users to exceed the number of licenses by using floating licenses.

This image depicts a typical SolidNetWork licensing installation:

This image illustrates:
  • SolidNetWork License Manager software is installed and activated on the license manager computer only.
  • License client computers do not have any additional SolidNetWork-specific software installed.

    If you specify a SolidNetWork License serial number when installing, SOLIDWORKS Installation Manager identifies that computer as a SolidNetWork license client. SOLIDWORKS Installation Manager prompts you for the SolidNetWork license manager computer name and port number to connect the client to the license manager.

  • The license manager and all license clients must have TCP/IP (Transmission Control Protocol/Internet Protocol) connectivity.

Contents

  • Activating a SolidNetWork License

    Before users can run SOLIDWORKS products on their individual computers, you must activate a SolidNetWork license on the SolidNetWork License Manager computer.

  • Moving a SolidNetWork License

    To move a SolidNetWork license to a new or upgraded computer, first deactivate the license to the license key server at Dassault Systèmes SOLIDWORKS Corporation, then reactivate it on the other computer.

  • Installing and Configuring SolidNetWork Licensing

    Configuring SolidNetWork Licensing consists of installing the SolidNetWork License Manager on the license manager computer and then installing SOLIDWORKS on client computers using the SolidNetWork license serial number.

  • SolidNetWork License Administration

    Tasks include starting, upgrading, and uninstalling the license manager, and borrowing and returning licenses.

Parent topic License Administration
Administering Individual Licenses


Activating a SolidNetWork License

Before users can run SOLIDWORKS products on their individual computers, you must activate a SolidNetWork license on the SolidNetWork License Manager computer.

Activation requires that you have Internet or email access. After activation, you do not need to be online to use the products. If you do not have email access on the computer where you use this product, you can save the activation file and send it from another computer.

This process:
  • Activates the SOLIDWORKS SolidNetWork License Manager with SolidNetWork licenses across SOLIDWORKS products.
  • Allows you to move SolidNetWork licensing rights from one SolidNetWork License Manager computer to another.
  • Enables you to install and activate the SolidNetWork licensing rights on one SolidNetWork License Manager computer.
  • Must be performed before you can use SolidNetWork licenses.
  • Eliminates the need for dongles. If you activate a SolidNetWork license for this version of SOLIDWORKS, SolidNetWork licenses for previous versions of SOLIDWORKS are activated. (You no longer need to retain the dongle.)

To activate a SolidNetWork license:

  1. Start the SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. If you have not yet activated the SolidNetWork license, you are asked whether you want to activate it now. Click Yes to activate.
  3. Under How would you like to activate?, select Automatically over the internet (recommended).
  4. Under Contact Information, specify an email contact address.
The Activation/Reactivation Succeeded dialog box displays the products that have been activated.
Parent topic Administering Licenses Using a SolidNetWork License Manager
Moving a SolidNetWork License
Installing and Configuring SolidNetWork Licensing
SolidNetWork License Administration


Moving a SolidNetWork License

To move a SolidNetWork license to a new or upgraded computer, first deactivate the license to the license key server at Dassault Systèmes SOLIDWORKS Corporation, then reactivate it on the other computer.

If you were unable to deactivate the license to Dassault Systèmes SOLIDWORKS Corporation (because of hard drive failure, for example), reactivation is still successful in most cases. If not, contact your VAR for help.

To move a SolidNetWork license back to the server:

  1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. Under License Information, click Modify. The SOLIDWORKS Product Activation wizard starts.
  3. Under What would you like to do?, select Deactivate a software license and then click Next.
  4. Under How would you like to deactivate?, select Automatically over the internet (recommended).
  5. Under Contact Information, specify an email contact address.
  6. Click Next. The deactivation of the product license completes.
Parent topic Administering Licenses Using a SolidNetWork License Manager
Activating a SolidNetWork License
Installing and Configuring SolidNetWork Licensing
SolidNetWork License Administration


Installing and Configuring SolidNetWork Licensing

Configuring SolidNetWork Licensing consists of installing the SolidNetWork License Manager on the license manager computer and then installing SOLIDWORKS on client computers using the SolidNetWork license serial number.

Contents

  • Installing and Activating a License Manager

    The SolidNetWork License Manager supports multiple license clients. It distributes licenses to clients on the network.

  • Installing a License Client

    When installing SOLIDWORKS on SolidNetWork License Client computers, the serial number identifies that computer as a SolidNetWork License Client.

  • Install SolidNetWork License Managers Before Installing License Clients

    You should install and configure SolidNetWork License Manager on at least one computer prior to installing any SolidNetWork license client computers.

  • Managing Access to SOLIDWORKS Versions

    You can restrict users from using specific versions of SOLIDWORKS in a SolidNetWork environment. This capability allows you to manage the versions of SOLIDWORKS used by different individuals, projects, and business units.

  • Triad License Manager Installation

    Triad license managers use three computers for extra stability. If the computer managing the license file is not available, one of the other two computers takes over.

  • Using SolidNetWork Licenses with Firewalls

    If your computer uses a firewall, you must configure ports to support SolidNetWork Licensing.

Parent topic Administering Licenses Using a SolidNetWork License Manager
Activating a SolidNetWork License
Moving a SolidNetWork License
SolidNetWork License Administration


Installing and Activating a License Manager

The SolidNetWork License Manager supports multiple license clients. It distributes licenses to clients on the network.

If you are upgrading from a previous version of SolidNetWork License Manager that used hardware dongles for license activation, remove the hardware dongle before installing the new version of SolidNetWork License Manager.

  1. Start SOLIDWORKS Installation Manager (as described under Initiating SOLIDWORKS Installation).
    1. For type of installation, select the following:
      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.
    2. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    3. On the Summary page, click Install Now to complete the SOLIDWORKS Installation Manager process.
  2. To activate SolidNetWork licensing:
    1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
    2. When prompted to activate, click Yes.
    3. On the SolidNetWork License Server Information screen:
      • If your company uses a firewall, select A firewall is in use on this server.

        For more information, see Using SolidNetWork Licenses with Firewalls.

      • Use the default value for Port Number (and for Vendor Daemon Port Number if you have a firewall) or specify the port numbers your company uses.
        The port number is a TCP/IP port number in the 1024-60000 range, used exclusively by this process. Normally, the default (25734) is suitable and is unlikely to be the same as any other FlexNet server process on the license manager computer.
    4. On the Activate Your SOLIDWORKS Product screen:
      • Select the internet or email procedure.
      • Supply email contact information.
      • Click Next to proceed.
        • Internet: Activation occurs automatically.
        • Email: Press Save to create a request file, then send the file to activation@solidworks.com. When you receive the email containing the response file, extract the file from email and then click Open to load it.
          You can exit and rerun the activation procedure to open the response file.
  3. Click Finish.
Parent topic Installing and Configuring SolidNetWork Licensing
Installing a License Client
Install SolidNetWork License Managers Before Installing License Clients
Managing Access to SOLIDWORKS Versions
Triad License Manager Installation
Using SolidNetWork Licenses with Firewalls
Initiating SOLIDWORKS Installation


Installing a License Client

When installing SOLIDWORKS on SolidNetWork License Client computers, the serial number identifies that computer as a SolidNetWork License Client.

  1. Start SOLIDWORKS Installation Manager (as described under Initiating SOLIDWORKS Installation).
  2. On the Welcome screen click Individual (on this computer) if this is the first SOLIDWORKS installation on this computer for this major release.
    If you are upgrading from an existing release, and are changing from individual licensing to SolidNetWork licensing, click Modify the individual installation (on this computer). For details, see Upgrading from Individual Licensing to SolidNetWork Licensing.
  3. When prompted for a serial number, enter the SolidNetWork License serial number.
  4. In the Add Server dialog box, type the SolidNetWork License Manager's address in the form:

    port@ComputerName

    The port number must be the same one used for the license manager computer. The default is 25734 (as described in Installing and Activating a License Manager).

    SOLIDWORKS Installation Manager will attempt to validate that this SolidNetWork License Manager is accessible. If you have not yet installed a license manager, this validation will fail; however, you still can proceed with the license client installation.
  5. Complete the SOLIDWORKS installation by following the SOLIDWORKS Installation Manager instructions.
Parent topic Installing and Configuring SolidNetWork Licensing
Installing and Activating a License Manager
Install SolidNetWork License Managers Before Installing License Clients
Managing Access to SOLIDWORKS Versions
Triad License Manager Installation
Using SolidNetWork Licenses with Firewalls
Initiating SOLIDWORKS Installation
Upgrading from Individual Licensing to SolidNetWork Licensing


Install SolidNetWork License Managers Before Installing License Clients

You should install and configure SolidNetWork License Manager on at least one computer prior to installing any SolidNetWork license client computers.

When installing with a SolidNetWork License serial number, SOLIDWORKS Installation Manager prompts you to enter the SolidNetWork License Manager computer name and port number, and then attempts to validate that information.

If you have not yet installed SolidNetWork License Manager on the computer you specified, this validation cannot succeed. However, in this case validation failure does not indicate whether you have supplied correct license manager information. If the license manager is installed, validation failures indicate that you have specified incorrect license manager information.

Parent topic Installing and Configuring SolidNetWork Licensing
Installing and Activating a License Manager
Installing a License Client
Managing Access to SOLIDWORKS Versions
Triad License Manager Installation
Using SolidNetWork Licenses with Firewalls


Managing Access to SOLIDWORKS Versions

You can restrict users from using specific versions of SOLIDWORKS in a SolidNetWork environment. This capability allows you to manage the versions of SOLIDWORKS used by different individuals, projects, and business units.

To manage access to SOLIDWORKS versions using a FlexNet options file:

  1. In the SolidNetWork License Manager installation directory, create a text file:
    SolidNetWork_License_Manager_install_dir\Licenses\sw_d.opt
  2. To manage access to a specific SOLIDWORKS version in the license file, add the following syntax next to SOLIDWORKS:
    :SWVERSION=xx where xx is the version of the SOLIDWORKS product you want to manage
  3. To manage multiple versions of SOLIDWORKS, add a line for each version you want to manage.

    Not all FlexNet options are supported. The supported options for version filters are:

    INCLUDE | Only allow the user or group the ability to start the specific version. All other users are not allowed to start that version.
    INCLUDE_BORROW | Only allow the user or group the ability to borrow the specific version. All other users are not allowed to borrow that version.
    EXCLUDE | Prohibit the listed user or group from starting the specific version of SOLIDWORKS. EXCLUDE supersedes INCLUDE.
    EXCLUDE_BORROW | Prohibit the listed user or group from borrowing the specific version of SOLIDWORKS. EXCLUDE supersedes INCLUDE.
    Examples:
    1 | SWVERSION=27.0 refers to SOLIDWORKS 2020
    SWVERSION=26.0 refers to SOLIDWORKS 2019
    2 | INCLUDE solidworks:SWVERSION=27.0 USER jane
    INCLUDE_BORROW solidworks:SWVERSION=27.0 USER jane
    These lines in the options file would allow only jane to run on SOLIDWORKS 2020. All other users cannot run or borrow SOLIDWORKS 2020, but they can run and borrow other versions of SOLIDWORKS. jane can also run and borrow other versions of SOLIWORKS.
    3 | GROUP chicago USER john robert eva
    EXCLUDE solidworks:SWVERSION=27.0 GROUP chicago
    EXCLUDE solidworks:SWVERSION=26.0 GROUP chicago
    EXCLUDE solidworks USER don
    These lines define a GROUP of users called chicago and denies them access to both SOLIDWORKS 2020 and SOLIDWORKS 2019, but they can run any other version of SOLIDWORKS. User don cannot run any version of SOLIDWORKS.
    4 | EXCLUDE swinspection_std:SWVERSION=27.0 HOST machine1
    This line prohibits anyone on machine1 from launching SOLIDWORKS Inspection 2020.

    For more information about FlexNet, see the FlexNet Publisher License Administration Guide in the SolidNetWork License Manager installation directory (\Docs\flexuser\licensingenduserguide.pdf).

Parent topic Installing and Configuring SolidNetWork Licensing
Installing and Activating a License Manager
Installing a License Client
Install SolidNetWork License Managers Before Installing License Clients
Triad License Manager Installation
Using SolidNetWork Licenses with Firewalls


Triad License Manager Installation

Triad license managers use three computers for extra stability. If the computer managing the license file is not available, one of the other two computers takes over.

Requirements for using triad license managers:
  • Install triad license managers only on stable computers not scheduled for frequent shutdowns.
  • The three license manager computers should be on the same subnet. Never configure triad license managers with slow communications or dial-up links.
  • The system administrator should detect when a license manager computer goes down and should restart it as soon as possible.
    If only two license manager computers are running, the situation is worse than a single license manager computer, because there are two points of failure.

Contents

  • Installing the Initial Triad License Manager

    This procedure shows how to install SolidNetWork License Manager on the first computer in the triad.

  • Installing the Triad License Manager on Subsequent Computers

    Follow these instructions for installing the SolidNetWork License Manager software on the second and third computers in the triad. This procedure is almost the same as installing the software on the initial computer, with the exception of steps 2(f) and 2(i).

Parent topic Installing and Configuring SolidNetWork Licensing
Installing and Activating a License Manager
Installing a License Client
Install SolidNetWork License Managers Before Installing License Clients
Managing Access to SOLIDWORKS Versions
Using SolidNetWork Licenses with Firewalls


Installing the Initial Triad License Manager

This procedure shows how to install SolidNetWork License Manager on the first computer in the triad.

  1. On the first triad license manager computer, install the SolidNetWork License Manager using SOLIDWORKS Installation Manager:
    1. Start SOLIDWORKS Installation Manager (as described under Initiating SOLIDWORKS Installation).
    2. For type of installation, select the following:
      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.
    3. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    4. On the Summary page, click Install Now to complete the SOLIDWORKS Installation Manager process.
  2. Using the SolidNetWork License Manager, configure the initial triad license manager computer:
    1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
    2. Click No.
      The Server Administration tab of the SOLIDWORKS SolidNetwork License Manager appears.
    3. Under Advanced Options, click Options.
      The Advanced Options dialog box appears.
    4. Under SolidNetWork Server License Mode, click Use a License File and click OK.
      The Advanced Options dialog box closes.
    5. Under License Information, click Modify.
      The SolidNetWork License File Wizard appears.
    6. Under Server Type, select Triad and click Next.
    7. On the Server Information pane, verify that the computer name, and port number for the initial triad license manager computer are correct, and click Next.

      Check that the Network Interface Card (NIC) address matches the information in the license file received from SOLIDWORKS, and that the port number for the triad license manager computer are correct. The NIC address is also referred to as the MAC (Media Access Control Address) address. Then click Next.

      To find the NIC address, open a Command Prompt window and type:

      ipconfig /all

      Also, if your computer uses a firewall, you might have to add specifications on this screen. For information, see Using SolidNetWork Licenses with Firewalls.

    8. On the Triad Partner Server Information screen, enter the computer name and host ID values for the other two triad license manager computers.
      This ensures that if one license manager is unavailable, client computers can get a license from the other two servers.
    9. On the Licenses screen, click Read to browse to and open the SolidNetWork license file.
      The licenses appear in the SolidNetWork License File wizard. For this computer, you use a license file that you received from a Value Added Reseller or Customer Center.
    10. Click Finish.
    11. Click OK to exit the SolidNetWork License File wizard and then Finish to exit the SolidNetWork License Manager.
Parent topic Triad License Manager Installation
Installing the Triad License Manager on Subsequent Computers
Initiating SOLIDWORKS Installation
Using SolidNetWork Licenses with Firewalls


Installing the Triad License Manager on Subsequent Computers

Follow these instructions for installing the SolidNetWork License Manager software on the second and third computers in the triad. This procedure is almost the same as installing the software on the initial computer, with the exception of steps 2(f) and 2(i).

It is assumed that you already have installed at least one triad license manager on another computer.

  1. On the triad license manager computer, install the SolidNetWork License Manager using SOLIDWORKS Installation Manager:
    1. Start SOLIDWORKS Installation Manager (as described under Initiating SOLIDWORKS Installation).
    2. For type of installation, select the following:
      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.
    3. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    4. On the Summary page, click Install Now to complete the SOLIDWORKS Installation Manager process.
  2. Using the SolidNetWork License Manager, configure the triad license manager computer:
    1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
      Since this is the first time you are running the SolidNetWork License Manager on this computer, you are asked whether you would like to activate now.
    2. Click No.
      The Server Administration tab of the SOLIDWORKS SolidNetwork License Manager appears.
    3. Under Advanced Options, click Options.
      The Advanced Options dialog box appears.
    4. Under SolidNetWork Server License Mode, click Use a License File and click OK.
      The Advanced Options dialog box closes.
    5. Under License Information, click Modify.
      The SolidNetWork License File Wizard appears.
    6. Under Server Type, select Triad and Synchronize server/license information and then click Next.
    7. On the Server Information pane, verify that the computer name and port number for this triad license manager computer are correct, and click Next.

      Check that the Network Interface Card (NIC) address matches the information in the license file received from SOLIDWORKS, and that the port number for the triad license manager computer are correct. The NIC address is also referred to as the MAC (Media Access Control Address) address. Then click Next.

      To find the NIC address, open a Command Prompt window and type:

      ipconfig /all

      Also, if your computer uses a firewall, you might have to add specifications on this screen. For more information, see Using SolidNetWork Licenses with Firewalls.

    8. On the Triad Partner Server Information screen, enter the computer name and host ID values.
      This ensures that if one license manager is unavailable, client computers can get a license from the other two servers.
    9. On the Licenses screen, click Read to browse to and open the SolidNetWork license file.
      The licenses appear in the SolidNetWork License File wizard.
    This licenses file is generated by the first triad license manager computer you configured. Typically, the licenses file is located in \licenses\sw_d.lic. For example: C:\Program Files\SOLIDWORKS Corp\SolidNetWork License Manager\licenses\sw_d.lic .
    1. Click Finish.
      A SolidNetWork License File Wizard warning appears.
    2. Click OK to exit the SolidNetWork License File wizard and then Finish to exit the SolidNetWork License Manager.

Repeat this process for the third triad license manager computer.

Parent topic Triad License Manager Installation
Installing the Initial Triad License Manager


Using SolidNetWork Licenses with Firewalls

If your computer uses a firewall, you must configure ports to support SolidNetWork Licensing.

In the firewall software, you must add two SolidNetWork License ports (for example, SNL-in-port and SNL-out-port) to the firewall exceptions list. For details about configuring these ports, consult with your system administrator.

If you are using Windows Firewall on a supported Windows operating system, you must modify ports on the SolidNetWork license manager computer and modify the SolidNetWork license file to distribute licenses to the license client computers.

Contents

  • Modifying License Manager Computer Ports for Windows Firewall

    If you are using Windows Firewall, you must modify firewall port settings on the SolidNetWork license manager computer.

  • Modifying SolidNetWork License Manager Settings for Windows Firewall

    If you are using Windows Firewall, you must modify the SolidNetWork license file to use the firewall ports to distribute licenses to the license client computers.

Parent topic Installing and Configuring SolidNetWork Licensing
Installing and Activating a License Manager
Installing a License Client
Install SolidNetWork License Managers Before Installing License Clients
Managing Access to SOLIDWORKS Versions
Triad License Manager Installation


Modifying License Manager Computer Ports for Windows Firewall

If you are using Windows Firewall, you must modify firewall port settings on the SolidNetWork license manager computer.

  1. In Windows, open the Control Panel and then double-click Security Center.
  2. Click Windows Firewall.
  3. On the Exceptions tab, click Add Port.
  4. Type a Name (for example, SNL-in-port) and a Port Number (for example, 25734) and then click OK.
  5. For the second port, click Add Port on the Exceptions tab again, specify the other port's name and number (for example, SNL-out-port and 25735), and then click OK. Note the port number, as you will reference it later when modifying the SolidNetWork license file.
  6. Close Windows Security Center and Control Panel.
Parent topic Using SolidNetWork Licenses with Firewalls
Modifying SolidNetWork License Manager Settings for Windows Firewall


Modifying SolidNetWork License Manager Settings for Windows Firewall

If you are using Windows Firewall, you must modify the SolidNetWork license file to use the firewall ports to distribute licenses to the license client computers.

  1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the Server Administration tab, under License Server, click Stop. (Click Yes when prompted for confirmation and OK to complete stopping the license server.)
  3. Under License Information, click Modify.
  4. Under Server Type, select the server arrangement for your network (Single or Triad) and then click Next.
  5. Under Server Information:
    1. Select A firewall is in use on this server.
    2. Port Number and Vendor Daemon Port Number should contain the port numbers specified for the Windows Firewall (for details, see Modifying License Manager Computer Ports for Windows Firewall.)
    3. Select Options File and click Browse to locate the file. Click Edit to change any of its parameters.
      The options file allows the license administrator to control various operating parameters of FlexNet Licensing.

      Recommendation: Locate the options file in the SolidNetWork License Manager installation directory (SolidNetWork_License_Manager_install_dir\Licenses \sw_d.opt). This file must be in the same directory as the sw_d.lic file.

      For more information about the options file, see the FlexNet Publisher License Administration Guide in the SolidNetWork License Manager installation directory (\Docs\flexuser\licensingenduserguide.pdf).

    4. Click Next and then click Finish.
  6. On the Server Administration tab, under License Server, click Start.
  7. Click OK to close the SolidNetWork License Manager.
Parent topic Using SolidNetWork Licenses with Firewalls
Modifying License Manager Computer Ports for Windows Firewall


SolidNetWork License Administration

Tasks include starting, upgrading, and uninstalling the license manager, and borrowing and returning licenses.

Before you start or upgrade the license manager, you must return any borrowed licenses.

Contents

  • Starting the SolidNetWork License Manager

    You can start the SolidNetWork License Manager from the Windows Start menu.

  • Upgrading the SolidNetWork License Manager

    For major releases of SOLIDWORKS, upgrading the license manager consists of uninstalling the old license manager, installing a new one, and re-activating the SolidNetWork license.

  • Deleting SolidNetWork License Files

    Delete old and expired SolidNetWork license files before upgrading to new ones.

  • Borrowing and Returning SolidNetWork Licenses

    You can borrow a SolidNetWork license to use the software from a remote location. Since the license is removed from the pool of available licenses, a borrowed license must be returned for it to become available again.

  • Monitoring License Idle Time

    SOLIDWORKS can register idle time with the SolidNetWork License Manager so that licenses that have not been used for a certain amount of time are returned to the free license pool.

  • Installing Temporary Licenses

    The temporary "ANY" license can be used temporarily when the original SolidNetWork license is not available.

  • Upgrading from Individual Licensing to SolidNetWork Licensing

    You can upgrade a computer from individual SOLIDWORKS licensing to SolidNetWork licensing by specifying the SolidNetWork license serial number in SOLIDWORKS Installation Manager.

  • Using SolidNetWork Licenses with Add-in Products

    You can use the SolidNetWork License Manager to distribute licenses for SOLIDWORKS core add-in products.

  • Selecting a SOLIDWORKS Simulation License with a SolidNetWork License

    SolidNetWork license users can control which of the SOLIDWORKS® Simulation licenses in their license pool to use when they add in SOLIDWORKS Simulation. They can also upgrade the SOLIDWORKS Simulation license without unloading the add-in in case they need a higher license type for more advanced studies.

  • Using the Same Computer for the License Manager and Administrative Image Installations

    You can configure one computer on a network to act both as a license manager distributing SolidNetWork licensing and as an administrative image location from which users can install SOLIDWORKS software.

  • FlexNet Publisher License Management

    SolidNetWork Licensing is based on FlexNet Publisher® license management.

Parent topic Administering Licenses Using a SolidNetWork License Manager
Activating a SolidNetWork License
Moving a SolidNetWork License
Installing and Configuring SolidNetWork Licensing


Starting the SolidNetWork License Manager

You can start the SolidNetWork License Manager from the Windows Start menu.

In Windows, run this command: Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager.
Parent topic SolidNetWork License Administration


Upgrading the SolidNetWork License Manager

For major releases of SOLIDWORKS, upgrading the license manager consists of uninstalling the old license manager, installing a new one, and re-activating the SolidNetWork license.

The license manager for a newer release can distribute licenses for client computers remaining at the previous release as well.

  1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Usage tab, verify that no client computers on the network are running SOLIDWORKS.
  3. Uninstall the old license manager. For details, see Uninstalling the SolidNetWork License Manager.
  4. Install the new license manager and re-activate the SolidNetWork license on the license manager computer. For details, see Installing and Activating a License Manager.

If you are upgrading the SolidNetWork License Manager on a computer that also runs the SOLIDWORKS application, upgrade SolidNetWork license managers and clients before installing any new SOLIDWORKS application service packs on that computer.

If you are upgrading the license manager on a computer that hosts administrative images, upgrade the license manager before upgrading the administrative images. For details, see Using the Same Computer for the License Manager and Administrative Image Installations.

Contents

  • Uninstalling the SolidNetWork License Manager

    When upgrading the SolidNetWork License Manager, you must uninstall the old license manager before installing the new one.

Parent topic SolidNetWork License Administration


Uninstalling the SolidNetWork License Manager

When upgrading the SolidNetWork License Manager, you must uninstall the old license manager before installing the new one.

  1. Start SolidNetwork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. Verify that no client computers on the network are running SOLIDWORKS.
    The License Usage tab shows clients running SOLIDWORKS.
  3. If you wish to move the SolidNetWork license to another computer, deactivate the license to that computer before removing the SolidNetWork License Manager.
    For information about moving SolidNetWork licenses, see Moving a SolidNetWork License.
  4. On the Server Administration tab, under License Server, click Stop.
  5. Click OK to exit the license manager.
  6. In Windows, open Control Panel > Add or Remove Programs.
  7. Select SOLIDWORKS SolidNetWork License Manager, click Remove, and confirm the deletion.
  8. In File Explorer, delete the SOLIDWORKS SolidNetWork License Manager folder.
    (Typically, this folder is located under Program Files in the SOLIDWORKS installation directory.)

You now are ready to install a new version of the license manager. For details, see Installing and Activating a License Manager.

If the SolidNetWork License Manager computer has a hardware dongle attached, remove the hardware dongle before installing the new version of SolidNetWork License Manager.
Parent topic Upgrading the SolidNetWork License Manager
Moving a SolidNetWork License
Installing and Activating a License Manager


Deleting SolidNetWork License Files

Delete old and expired SolidNetWork license files before upgrading to new ones.

  1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the Server Administration tab, under License File, click Modify, and then click Next until you reach the Licenses screen.
  3. On the Licenses screen, select the old or expired SolidNetWork license file, then click Remove.
  4. Click Finish and then click OK.
Parent topic SolidNetWork License Administration


Borrowing and Returning SolidNetWork Licenses

You can borrow a SolidNetWork license to use the software from a remote location. Since the license is removed from the pool of available licenses, a borrowed license must be returned for it to become available again.

Borrowed licenses are valid only for the current user and machine on which they were borrowed; they cannot be moved.

The license is lent for a specified period of time, up to 30 days (or as defined by the system administrator), and the license is removed from the pool of available licenses.

Borrowing and returning a license does not work if the SOLIDWORKS license is in use.

System administrators can customize borrowing to:
  • Define users or groups that are allowed to borrow licenses
  • Set the number of licenses that cannot be borrowed

For details, see SolidNetWork_License_Manager_install_dir\Docs\flexuser\licensingenduserguide.pdf.

Contents

  • Borrowing SolidNetWork Licenses

  • Returning a Borrowed SolidNetWork License

    Since a borrowed SolidNetWork license is removed from the pool of available licenses, that borrowed license must be returned for it to become available again.

Parent topic SolidNetWork License Administration


Borrowing SolidNetWork Licenses

Always launch the SolidNetWork License Manager from the Start menu. You must be connected to the SolidNetWork License Manager to borrow the license.

These steps might vary depending on your system configuration. Consult Microsoft Windows documentation for additional instructions and options.
  1. Start SolidNetWork License Manager on the client machine (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Borrowing tab:
    1. Select a date in Borrow until.
    2. Select the products to borrow, then click Borrow, and click Yes to confirm.
    3. Click Refresh. The Expire Date column indicates when licenses are due back.
  3. Click OK.
Parent topic Borrowing and Returning SolidNetWork Licenses
Returning a Borrowed SolidNetWork License


Returning a Borrowed SolidNetWork License

Since a borrowed SolidNetWork license is removed from the pool of available licenses, that borrowed license must be returned for it to become available again.

  1. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  2. On the License Borrowing tab:
    1. Select the products to return, click Return, and then click Yes to confirm.
    2. Click Refresh. The Expire Date column becomes blank, indicating that the licenses have been returned.
  3. Click OK.
It is not necessary to return licenses after the expiration date. The license is returned to the pool on the SolidNetWork license manager at midnight on the expiration date and the applications on the remote system no longer run.
Parent topic Borrowing and Returning SolidNetWork Licenses
Borrowing SolidNetWork Licenses


Monitoring License Idle Time

SOLIDWORKS can register idle time with the SolidNetWork License Manager so that licenses that have not been used for a certain amount of time are returned to the free license pool.

  1. In the SolidNetwork License Manager installation directory, create a text file:
    SolidNetWork_License_Manager_install_dir\Licenses\sw_d.opt
  2. Add the following line to the file:
    TIMEOUTALL seconds

    where seconds is a number greater than or equal to 900 (15 minutes), which is the minimum time allowed.

Parent topic SolidNetWork License Administration


Installing Temporary Licenses

The temporary "ANY" license can be used temporarily when the original SolidNetWork license is not available.

By installing the "ANY" license file, you agree to implement the traditional license upon receipt of a SolidNetWork license from Dassault Systèmes SOLIDWORKS Corporation. Compliance with license restrictions still is required.

To install an "ANY" license:

  1. If you are an existing SolidNetWork user, uninstall the SolidNetWork License Manager and delete the installation folder. For details, see Uninstalling the SolidNetWork License Manager.
  2. Start SOLIDWORKS Installation Manager (as described under Initiating SOLIDWORKS Installation).
    1. For type of installation, select the following:
      • Server products
      • Install SolidNetWork License Manager (distributed licensing) on this computer.
    2. On the SolidNetWork License Manager Options page, specify the SolidNetWork License serial number and SolidNetWork License Manager installation location.
    3. On the Summary page, click Install Now to complete the SOLIDWORKS Installation Manager process.
  3. Start SolidNetWork License Manager (Start > Programs > SOLIDWORKS version > SolidNetWork License Manager > SolidNetWork License Manager).
  4. If you are prompted to activate, click No.
    The Server Administration tab of the SOLIDWORKS SolidNetwork License Manager appears.
  5. Under Advanced Options, click Options.
    The Advanced Options dialog box appears.
  6. Under SolidNetWork Server License Mode, click Use a License File and click OK.
    The Advanced Options dialog box closes.
  7. Under License Information, click Modify.
    The SolidNetWork License File Wizard appears.
  8. Under Server Type, select Single and click Next.
  9. When you see this message:
    Could not read the dongle ID number. click Cancel.
    The ID "ANY" appears automatically.
    If your computer uses a firewall, you might have to make some additional specifications on this screen. For more information, see Using SolidNetWork Licenses with Firewalls.
  10. Continue with the installation.
Parent topic SolidNetWork License Administration


Upgrading from Individual Licensing to SolidNetWork Licensing

You can upgrade a computer from individual SOLIDWORKS licensing to SolidNetWork licensing by specifying the SolidNetWork license serial number in SOLIDWORKS Installation Manager.

If a computer does not have SOLIDWORKS installed, you can specify SolidNetWork licensing by entering the SolidNetWork serial number when installing with SOLIDWORKS Installation Manager.

If a computer already has SOLIDWORKS installed and you are switching from individual licensing to SolidNetWork Licensing, you can modify the installation for the client computer and specify the SolidNetWork License serial number in place of the individual license serial number when running SOLIDWORKS Installation Manager. For details, see Modifying an Installation.
If you installed SOLIDWORKS from an administrative image, the modify option is not available. You must make changes to the administrative image using the Administrative Option Editor, uninstall the client, and rerun the installation.
Parent topic SolidNetWork License Administration
Modifying an Installation


Using SolidNetWork Licenses with Add-in Products

You can use the SolidNetWork License Manager to distribute licenses for SOLIDWORKS core add-in products.

  • An equal number of SOLIDWORKS software licenses and SOLIDWORKS add-in licenses are not required.
  • To check out a license for an add-in product, you first must check out a license for SOLIDWORKS.
  • To borrow an add-in product license, you must borrow both the SOLIDWORKS software license and the SOLIDWORKS product license that includes the add-in. A SOLIDWORKS Standard license will be borrowed by default, but to enable an add-in, you will have to borrow a SOLIDWORKS Professional or SOLIDWORKS Premium product license.
  • To release an add-in product license:
    • In SOLIDWORKS, click Tools > Add-ins and clear the add-in.
    • Exit SOLIDWORKS.
Parent topic SolidNetWork License Administration


Selecting a SOLIDWORKS Simulation License with a SolidNetWork License

SolidNetWork license users can control which of the SOLIDWORKS® Simulation licenses in their license pool to use when they add in SOLIDWORKS Simulation. They can also upgrade the SOLIDWORKS Simulation license without unloading the add-in in case they need a higher license type for more advanced studies.

  1. To use a specific SOLIDWORKS Simulation license:
    1. In the SOLIDWORKS, click Tools > Add-Ins and in the Add-in dialog box, select SOLIDWORKS Simulation.
    2. On SOLIDWORKS Simulation (CommandManager), click the Down arrow [image] to display a list of licenses on your server that can support Simulation.

    3. Select the appropriate SOLIDWORKS Simulation license.
  2. To check or change your current SOLIDWORKS Simulation license, click the Down arrow [image] on SOLIDWORKS Simulation (CommandManager).

    The license that is in-use displays a check mark. If more advanced license types are available, you can upgrade.
    You cannot downgrade a SOLIDWORKS Simulation license. Disable the SOLIDWORKS Simulation add-in and add the license back in at a lower level.
  3. Optional: To disable the add-in, click SOLIDWORKS Simulation (CommandManager) or clear it from Tools > Add-Ins.
The following cases still use license order:
  • When SOLIDWORKS Simulation starts running.
  • If SOLIDWORKS Simulation is added in Tools > Add-Ins.
  • If the you click SOLIDWORKS Simulation without specifying a license from the pull-down list.
Parent topic SolidNetWork License Administration


Using the Same Computer for the License Manager and Administrative Image Installations

You can configure one computer on a network to act both as a license manager distributing SolidNetWork licensing and as an administrative image location from which users can install SOLIDWORKS software.

Client computers can obtain licenses from the license manager and then install SOLIDWORKS from the same computer.

This configuration requires that the license manager and administrative image be installed on the same computer. Install the license manager first and then create and deploy the administrative image.
For details, see:
  • Installing and Activating a License Manager
  • Deploying to Multiple Clients
Parent topic SolidNetWork License Administration


FlexNet Publisher License Management

SolidNetWork Licensing is based on FlexNet Publisher® license management.

For more information about FlexNet Publisher license management, see the FlexNet Publisher License Administration Guide in the SolidNetWork License Manager installation directory (\Docs\flexuser\licensingenduserguide.pdf).

For the latest information about FlexNet Publisher license management, contact Flexera® Software.

Parent topic SolidNetWork License Administration


Troubleshooting

Consult these topics to assist you in troubleshooting installation problems.

Contents

  • Network License Usage

  • SOLIDWORKS Installation Manager Log Files

    SOLIDWORKS Installation Manager log files are available to assist you in troubleshooting installation problems.

  • SOLIDWORKS Installation Manager Download Folder

    SOLIDWORKS Installation Manager can download the installation files it needs to a folder that you specify. This topic provides answers to frequently asked questions about the download folder.

  • Troubleshooting SolidNetWork Licenses

    If the SolidNetWork License Manager installation fails, check for these possible explanations.

  • Troubleshooting Upgrades

    If you encounter problems while upgrading to a new SOLIDWORKS release, check for these possible explanations.

  • Validating Your Graphics Card When Installing or Upgrading

    When you finish installing or upgrading SOLIDWORKS on your machine, you should run SOLIDWORKS Rx to ensure that your machine is running a supported graphics card and graphics card driver.


Network License Usage

This dialog box opens when the server is out of licenses for a product.

Click the arrow in the Product box to display all the product choices. The choices include SOLIDWORKS and all purchasable add-ins.

Total number of licences is the total number of licenses you have purchased.

Free licenses is the number of licenses that are not currently in use.

The Licenses used by box gives you information about each person currently using a license.

Parent topic Troubleshooting
SOLIDWORKS Installation Manager Log Files
SOLIDWORKS Installation Manager Download Folder
Troubleshooting SolidNetWork Licenses
Troubleshooting Upgrades
Validating Your Graphics Card When Installing or Upgrading


SOLIDWORKS Installation Manager Log Files

SOLIDWORKS Installation Manager log files are available to assist you in troubleshooting installation problems.

These log files are located with the other SOLIDWORKS application log files.
  • For Windows 7 or later:

    C:\Users\username\AppData\Roaming\SOLIDWORKS\Installation Logs\installed_version

To see the log file directories, you might have to configure the Windows Folder options to Show hidden files and folders.

If the application data is located on a drive other than C:, adjust the directory path accordingly.

This directory contains the SummaryIMLog_nnnnn_nnnnn_nnnn_nnnnn.txt file, a general log of SOLIDWORKS Installation Manager progress.

The Other Logs subdirectory contains more detailed installation log information.

Parent topic Troubleshooting
Network License Usage
SOLIDWORKS Installation Manager Download Folder
Troubleshooting SolidNetWork Licenses
Troubleshooting Upgrades
Validating Your Graphics Card When Installing or Upgrading


SOLIDWORKS Installation Manager Download Folder

SOLIDWORKS Installation Manager can download the installation files it needs to a folder that you specify. This topic provides answers to frequently asked questions about the download folder.

Question Answer
How do I install the files in this folder?

Run setup.exe. You may still be required to download some files if you select to install items that were not downloaded previously.

Do not install using msiexec (see below).
Can I install MSI files manually from this folder using msiexec or some other application?

No. The Installation Manager does not download some files that would be required when running msiexec.
Can I select the same download folder for each version I install?

Download folders are version-specific. Starting in SOLIDWORKS 2010, SOLIDWORKS Installation Manager automatically creates a version-specific sub-folder within the specified folder.

I downloaded some products manually from the Dassault Systèmes SOLIDWORKS Corporation Web site. Can the Installation Manager install these?
Starting in SW2009, files downloaded manually can be used by SOLIDWORKS Installation Manager. However, it is better to run SOLIDWORKS Installation Manager, selecting the option to download files. SOLIDWORKS Installation Manager shows which files you need based on what you are installing, providing links to download each file. This option can be used when the built-in download page does not work (most likely because of downloading restrictions enforced by a proxy server).
If Microsoft Internet Explorer asks whether you want to save or run files during a download or installation, always specify save.
Can the files I download be shared by other users?

Yes. To do so, download to a network share. Each client can then run SOLIDWORKS Installation Manager from the share to install.

No further downloads will be required unless a user selects some items to install that were not selected during the initial download or if a computer that uses this download to install has a different set of prerequisites than the computer to which you downloaded the files.

If you are downloading on behalf of others but are not installing, select the Download Only option when installing. This option will allow you to select products regardless of what may be installed on your system. However, this option cannot be used to download patches or to create administrative images.
How do I know when a new version of SOLIDWORKS products becomes available?
You will be informed when a new version is available in the following cases:
  • If you run Check for Updates ( Start > All Programs > SOLIDWORKS Installation Manager > Check For Updates)
  • If you have enabled SOLIDWORKS Background Downloader.
  • If you select an installed version of SOLIDWORKS in Windows Add/Remove Programs and click Change
  • If you run an older version of the Installation Manager (sldIM.exe) from a download folder
In these cases, you may select to download the newer version. SOLIDWORKS Installation Manager will download and run the newer version of itself, and not any installation files. After the newer version of SOLIDWORKS Installation Manager runs, you may select a set of installation actions. SOLIDWORKS Installation Manager will then determine which installation files are needed (and not downloaded previously) and will offer to download those files.
Why does SOLIDWORKS Installation Manager not let me select a different service pack of a product to install?

Each version of SOLIDWORKS Installation Manager is designed to install only a specific version of SOLIDWORKS products. If you want to install a different service pack, you need to run that version of SOLIDWORKS Installation Manager. To find the latest version available, see the preceding item.
Why is SOLIDWORKS Installation Manager prevented from downloading files?

If proxy server restrictions prevent applications from downloading files, SOLIDWORKS Installation Manager cannot download files automatically.

You can download files manually and then install them using SOLIDWORKS Installation Manager. Select the option in SOLIDWORKS Installation Manager to download individual files (for example, Conduct manual download on the Download Options page). Based on your product selections and system requirements, a web page appears in a separate window containing links to download all required files manually. These links are identical to those provided by the SOLIDWORKS Customer Portal, but you do not need to search for the files.
Not all of my SOLIDWORKS products are updated to the latest service pack. Why does Check For Updates tell me I have the latest version?

Check For Updates only tells you whether you have installed (or are running) the latest version of SOLIDWORKS Installation Manager.

If you want to update all products to the latest version that is installed, in Add/Remove Programs, select the latest installed version of SOLIDWORKS and click Change.

Can I copy a DVD to a download folder?

Yes, but installations may fail unless you copy the entire contents of each DVD released for that platform. SOLIDWORKS Installation Manager looks for the files swdata*.id to determine the version. If these files are not present, it will fail to recognize any of the installation files that you copied and will require that they be downloaded.
Parent topic Troubleshooting
Network License Usage
SOLIDWORKS Installation Manager Log Files
Troubleshooting SolidNetWork Licenses
Troubleshooting Upgrades
Validating Your Graphics Card When Installing or Upgrading
Tips for Using SOLIDWORKS with Microsoft Windows 8


Troubleshooting SolidNetWork Licenses

If the SolidNetWork License Manager installation fails, check for these possible explanations.

Parent topic Troubleshooting
Network License Usage
SOLIDWORKS Installation Manager Log Files
SOLIDWORKS Installation Manager Download Folder
Troubleshooting Upgrades
Validating Your Graphics Card When Installing or Upgrading

Accessing the SolidNetWork License log files

When a license error occurs, the answer often appears in the SNL_Manager_install_dir\lmgrd.log file.

Could not obtain a license for SOLIDWORKS. Cannot connect to license server.

Typically, this problem is caused by port settings.

  • Port settings between the SolidNetWork license manager and the license client might not match.
  • Additional port settings for multiple versions of SolidNetWork license managers might not have been specified.
  • Check that the client machine can accurately resolve and route to the server, given the server name. Also, check that the server can accurately resolve and route to the client, given the client machine name.
For details about port settings for SolidNetWork license managers and clients, see Using SolidNetWork Licenses with Firewalls.
Using SolidNetWork Licenses with Firewalls


Troubleshooting Upgrades

If you encounter problems while upgrading to a new SOLIDWORKS release, check for these possible explanations.

Parent topic Troubleshooting
Network License Usage
SOLIDWORKS Installation Manager Log Files
SOLIDWORKS Installation Manager Download Folder
Troubleshooting SolidNetWork Licenses
Validating Your Graphics Card When Installing or Upgrading

Upgrading from a Source That Has Moved

When SOLIDWORKS is installed, SOLIDWORKS Installation Manager remembers the location of the installation sources (disk media, disk image on a network, etc.). It expects the sources to be available at the same location when updating.

If the source moves or is deleted, or if the source media changes, SOLIDWORKS Installation Manager produces an error message. However, you can continue the upgrade by browsing to another location as long as it contains all the same file and folder structure.


Validating Your Graphics Card When Installing or Upgrading

When you finish installing or upgrading SOLIDWORKS on your machine, you should run SOLIDWORKS Rx to ensure that your machine is running a supported graphics card and graphics card driver.

To validate a graphics card and driver:

  1. When the Installation Manager completes installing and displays the Finish page, under Check Your System, click Run System Diagnostics.

    SOLIDWORKS Rx starts and runs diagnostics.

  2. SOLIDWORKS Rx confirms if the graphics card and graphics card driver are supported. If the graphics card is supported but the driver is not, a status message may provide a link to a supported driver.

Every tenth time you start SOLIDWORKS, a Check Your System message appears and recommends that you run system diagnostics again. To suppress these notifications, right-click SOLIDWORKS Resource Monitor [image] in the Windows notification area and click Dismiss Graphics Notifications.

You can validate a graphics card and driver at any time by right-clicking SOLIDWORKS Resource Monitor in the Windows notification area. The shortcut menu also lets you:
  • Display Help for the SOLIDWORKS Resource Monitor
  • Run System Diagnostics
  • Dismiss Subscription Notifications
  • Update Graphics Drivers
Parent topic Troubleshooting
Network License Usage
SOLIDWORKS Installation Manager Log Files
SOLIDWORKS Installation Manager Download Folder
Troubleshooting SolidNetWork Licenses
Troubleshooting Upgrades


SOLIDWORKS Installation Manager Application Help

SOLIDWORKS Installation Manager is a stand-alone application that installs and updates your SOLIDWORKS products.

SOLIDWORKS Installation Manager is the primary tool for downloading, installing, modifying, updating, repairing, and removing the SOLIDWORKS software.

You can run SOLIDWORKS Installation Manager:
  • From a SOLIDWORKS DVD or a shared source or download folder (when installing a new version)
  • From the Control Panel Add or Remove Programs page (when modifying or removing an existing version)
  • Through a scheduled or manual update check (when detecting, downloading, and installing new release versions)

Each version of SOLIDWORKS has a version of SOLIDWORKS Installation Manager specific to that SOLIDWORKS version.

Contents

  • SOLIDWORKS Background Downloader

    SOLIDWORKS Background Downloader performs automated file downloads (for example, when a new Service Pack release is found) using background processes, enabling you to continue other work while downloading. When the download completes, you can decide whether you want to install now, postpone the download, or remove the download.

  • Specifying Options for the Installation Manager

    These options include settings for logging, internet access, and language used in the Installation Manager.

  • Check for Updates Results

    Check for Updates looks for later versions of SOLIDWORKS.

  • Administrative Image Location

    Specify the installation location of the administrative image.

  • Download Options

    Specify details for completing the download operation, such as the location of the downloaded files, how to download the files, and whether to install the downloaded files.

  • Download Options for SOLIDWORKS Installation Manager Files

    You have chosen to download a later version of SOLIDWORKS Installation Manager. Use this screen to specify where and how it is downloaded.

  • Download Product Installation Files

    Specify where and how to download missing files for the specified product.

  • Download Progress

    SOLIDWORKS Installation Manager downloads, verifies, and extracts all files in parallel during this process.

  • Download Results

    Indicates whether the download completed successfully, failed during operation, or was cancelled.

  • Installation Errors/Installation Cancelled

    The installation has encountered an error or was cancelled.

  • Installation Is Complete

    SOLIDWORKS Installation Manager has completed its processing.

  • Installation Location

  • Upgrade Options

    One or more older major versions of SOLIDWORKS are installed on this computer. You can create a new installation, which will coexist with the older version, or you can upgrade, which removes the older version.

  • Installation Progress

    This screen shows the progress of the installation.

  • Installation Type

    You can specify the installation operation you would like to run. For example, creating a new installation, modifying or repairing an existing installation, creating an administrative image, installing administrative server products, or downloading files so you can share and install them on other computers.

  • Installing and Managing Multiple Computers

    SOLIDWORKS Installation Manager provides the following tools to install and manage multiple SOLIDWORKS computers.

  • Manual Download

    You have chosen to download files manually (or you might have chosen to download manually the last time you ran SOLIDWORKS Installation Manager).

  • Newer Version Available

    The Installation Manager has detected a newer version of SOLIDWORKS products. You can choose to install the version contained in the original installation DVD or download, or you can choose to download and install the newer version.

  • No New Versions Available

    There are no newer versions available for download. Proceed with installing the specified version.

  • Processes Detected

    SOLIDWORKS Installation Manager has detected processes on this computer that might prevent a successful installation.

  • Product Selection

    You can specify the product components to install, modify, download, or remove.

  • Products to Download

    Select SOLIDWORKS products to download to a specified location.

  • Products to Repair

    When you specify Repair this installation, this screen displays the SOLIDWORKS products, with version numbers, that can be repaired by this version of SOLIDWORKS Installation Manager.

  • Serial Numbers

    Serial numbers, found on the distribution box, associate your computer with the SOLIDWORKS products you have purchased.

  • Server Installation

    The server products you are attempting to install are listed, with the results of the installations.

  • SolidNetWork License Manager

    Specify installation options for the SolidNetWork License Manager server product.

  • Summary

    SOLIDWORKS Installation Manager has all of the information needed to complete the installation operation.

  • System Check Warnings

    System Check reported issues that could impact how you continue with the installation. In most cases, you should be able to proceed with SOLIDWORKS Installation Manager.

  • Hole Wizard/Toolbox Options

    If SOLIDWORKS Toolbox is installed, SOLIDWORKS includes a standard library of hole types and hardware.

  • Uninstall Products

    When you select to Remove or Uninstall programs from the Control Panel, this screen displays the SOLIDWORKS products (with version numbers) that can be uninstalled by this version of SOLIDWORKS Installation Manager. You can choose to perform a standard, custom or complete uninstall.

Tips for Using SOLIDWORKS with Microsoft Windows 8


SOLIDWORKS Background Downloader

SOLIDWORKS Background Downloader performs automated file downloads (for example, when a new Service Pack release is found) using background processes, enabling you to continue other work while downloading. When the download completes, you can decide whether you want to install now, postpone the download, or remove the download.

Background Downloader is enabled by default when you install SOLIDWORKS.

When Installation Manager is running, whether for an installation or download operation, Background Downloader is paused. For example, it will pause any running downloads, not allow any new downloads to start, and will not allow you to change the download folder specification.

You can disable the Background Downloader during installation. On the Summary page, under Download Options, clear Use the Background Downloader for future service packs option.

When enabled, this icon appears in the Windows system tray in the toolbar:

Clicking this icon enables these operations:
  • Help with Background Downloader
  • Pause Download
  • Resume Download
  • Cancel Download
  • Installation Options
  • Change Download Location
  • Check for Updates
  • Automatically Check for Updates
  • Automatically Download Updates
  • Disable Background Downloader

Help with Background Downloader

Open this help topic for Background Downloader in the SOLIDWORKS Installation Guide.

Pause/Resume Download

If a download is running in the background, click Pause Download to pause that download, with the ability to resume later by clicking Resume Download.

Cancel Download

If a download is running, stop that download and delete any files Background Downloader has already downloaded.
You cannot resume a canceled download.

Installation Options

When a download completes, you can choose from the following options:
  • Install now: Install the downloaded files.
  • Remind me later: Do not install the downloaded files, but set up a message to remind you later.
  • Delete this download: Do not install the downloaded files, and delete them. (This is useful if you have decided you no longer want to install the downloaded files.)

Change Download Location

Change the location where Background Downloader downloads files.

This option is not available if a download is either running or paused.

Check for Updates

Run the Check for Updates feature of SOLIDWORKS Installation Manager.

Automatically Check for Updates

Periodically run Check for Updates, notifying you when updates are available for download.

Automatically Download Updates

Periodically run Check for Updates, downloading updates as they become available.

Disabling and Re-Enabling SOLIDWORKS Background Downloader

You can disable Background Downloader by clicking the icon and then selecting Disable Background Downloading.

To re-enable Background Downloader, click Start > All Programs > SOLIDWORKS Installation Manager > SOLIDWORKS Background Downloader.

Parent topic SOLIDWORKS Installation Manager Application Help


Specifying Options for the Installation Manager

These options include settings for logging, internet access, and language used in the Installation Manager.

To specify Installation Manager options before installing the software:

  1. In the Installation Manager, right-click the SOLIDWORKS icon on the title bar and select:
    Option | Description
    Installation Logging Levels Specifies the logging level as High, Medium, or Low. Higher levels collect more data for troubleshooting, but can slow down the installation. Low (Fastest) is the default, and provides the best performance and stability.

    Create Windows Installer Logs stores logs in the same folder as other installation logs.

    Administrative Image Options | Select Use short file names (8.3 format) or Use full folder and file names.
    Gather Installation Logs | Specifies where the installation logs are stored. The Installation Manager stores these files in IM_Logs.zip.
    Disable Internet Access | You cannot disable internet access if you are installing with an online license.
    Language | Specifies the language used in the Installation Manager. The default is English.
  2. Click Close.
Parent topic SOLIDWORKS Installation Manager Application Help


Check for Updates Results

Check for Updates looks for later versions of SOLIDWORKS.

If you have administrator privileges on the machine, you can run Check for Updates manually:
  • In Windows, click Start > Programs > SOLIDWORKS Installation Manager > Check for Updates
  • In SOLIDWORKS, click Help > Check for Updates.
Check for Updates is not available on clients installed from administrative images.

Newer Version Available

SOLIDWORKS Installation Manager has detected a newer version of SOLIDWORKS products. You can update to a newer version by selecting the SOLIDWORKS Installation Manager for that version.

This newer version can download installation files based on the products you specify in the installation. You can share the downloaded files with other users who install using SOLIDWORKS Installation Manager.

These downloads are only for use by SOLIDWORKS Installation Manager.
These options are available:
  • If there are multiple versions available, you can select a version from the list.
  • For details about this version, click Check to see what this upgrade includes.
Clicking Next obtains and runs the selected version of SOLIDWORKS Installation Manager.

No New Downloads Available/Unable To Check for New Versions

SOLIDWORKS Installation Manager has not found a newer version of SOLIDWORKS products, either because you are installing the latest version available or because it could not connect to the SOLIDWORKS site to check.

Parent topic SOLIDWORKS Installation Manager Application Help


Administrative Image Location

Specify the installation location of the administrative image.

When creating an administrative image, these options apply:
New image location | This is the directory location in which SOLIDWORKS Installation Manager will create the new image. | This location cannot contain an existing administrative image. The administrative image must be in a folder that can be shared for client deployment.
Estimated space required for image creation | This is the additional space required for the administrative image. | Verify that the disk to which you are installing has sufficient free space to support the image requirements.
Create image from | This is the directory location from which you are installing SOLIDWORKS products. This option appears only if the Install Only option is specified. For details, see Download Options.
Parent topic SOLIDWORKS Installation Manager Application Help


Download Options

Specify details for completing the download operation, such as the location of the downloaded files, how to download the files, and whether to install the downloaded files.

SOLIDWORKS Installation Manager supports electronic software distribution (ESD). If you are not installing from a SOLIDWORKS DVD, you are prompted to specify the source for the SOLIDWORKS products you are installing.

For answers to questions about the download folder, see SOLIDWORKS Installation Manager Download Folder.

What Do You Want To Do?

Choose one of the following:

Download and install/Download and create image

After the download completes, SOLIDWORKS Installation Manager runs an installation using the downloaded files.

Download only. You can download once and then share downloaded files with multiple computers.

SOLIDWORKS Installation Manager does not run an installation after the download completes.

Typically, you would specify this option if you are downloading the files to configure an installation file set to share among multiple computers.

If you specify this option, you are then asked to choose between two sets of files to download:
  • Files for THIS computer: The download will contain only those files that are missing from the installation file set currently on this computer.
    This should be a smaller download because it contains:
    • Only files for products selected on the Product Selection page
    • Only the prerequisite files that are required for your computer but not yet installed

    However, if you try to use this downloaded file set on another computer to perform an installation, some files could be missing (because the installation file set on the other computer might be different from this one). You can use these download files to install on another computer, but when the installation runs you may have to download additional files to complete the installation file set on that computer.

  • Files to share with ANY computer: The download will contain the complete installation file set that can be used to install this version on any computer.

    This will be the larger download because it contains the complete file set that you can use to install this version of any product on any computer.

    If you specified a limited set of products to download, this option ignores that specification and downloads all products contained in the product release.

    The download will contain all files required to create an administrative image, not just those files required to perform an individual installation.

Install only/Create image only. I already have all the installation files needed.

SOLIDWORKS Installation Manager does not download any files, but uses the files in the selected directory.

Click Browse to navigate to a different location. For example, you can browse to an installation DVD or a download folder, provided that location contains all the required files.

If you receive an error message that the folder is incomplete, and you were expecting all installation files to be present at that location, possible explanations include:
  • You selected a component for installation that had not been downloaded previously or it was selected by default.
  • The files were downloaded on another computer with a different set of system requirements.
  • You previously performed a client installation and now are creating an administrative image, which requires a larger file set.

You can either browse to a folder containing all the files (for example, a DVD) or select one of the download options.

Where Do You Want To Download the Required Files?

This is the download folder location.

In some cases, this option might be visible but disabled. For example, if Install only is specified, SOLIDWORKS Installation Manager will install any downloaded files from the directory specified for that option, rather than using a separate download folder.

Whether you are downloading these files or accessing them from your own location, all files must be downloaded to the same download folder.

Estimated Download Size

The estimated download disk space requirements are based on the complete component listing chosen, regardless of whether this is a new download or you are resuming a download from a previous session.

For example, if you are resuming a previous download SOLIDWORKS Installation Manager processes only those files that have not already been downloaded. The download time could be less than the estimate.

If a file completed downloading in the previous download, its size is not included in this estimate. Therefore, the estimate might be higher than the actual download size.

How Do You Want To Download?

There are two options:

Conduct manual download

In some cases, a proxy server might prohibit automatic downloads from SOLIDWORKS Installation Manager.

By selecting this option, you can download the files manually through a Web page and then proceed within SOLIDWORKS Installation Manager to complete the installation operations. This Web page is customized by SOLIDWORKS Installation Manager to download only the files required to complete the installation.

Speed up downloads by using more network bandwidth

The downloader uses an algorithm to increase the speed of the download by increasing the network bandwidth used during the download.

In some cases, this can disturb network performance. If you have trouble downloading, this option might not be supported by the proxy server. Try clearing the option and attempting the download again. For details, check with your network administrator.

This option applies only to automatic downloads. It has no impact on manual downloads.

Using SOLIDWORKS Background Downloader

You can use SOLIDWORKS Background Downloader to complete this download operation or to download future SOLIDWORKS Service Pack releases as they become available.

Solidworks Background Downloader can automatically detect and download new Service Pack updates in the background, notifying you when downloading is complete and the files are ready for installation. For details, see SOLIDWORKS Background Downloader.

Parent topic SOLIDWORKS Installation Manager Application Help


Download Options for SOLIDWORKS Installation Manager Files

You have chosen to download a later version of SOLIDWORKS Installation Manager. Use this screen to specify where and how it is downloaded.

For answers to questions about the download folder, see SOLIDWORKS Installation Manager Download Folder.

This screen appears only if there is a problem with the default download folder (for example, if write access or network access is not available). Typically, you can just specify an alternate download directory to proceed.

Download Directory

Browse to the destination for SOLIDWORKS Installation Manager files.

The size of the download and the amount of space needed is shown. The amount of space needed includes extra space required to unzip certain downloads and is larger than the actual download size.

Use Download Acceleration

If you choose this option, the downloader uses an algorithm to increase the speed of the download.

Download acceleration increases bandwidth and can disturb network performance. Check with your network administrator before enabling download acceleration.

If download acceleration is not supported by the proxy server, this option is automatically disabled.

Parent topic SOLIDWORKS Installation Manager Application Help


Download Product Installation Files

Specify where and how to download missing files for the specified product.

SOLIDWORKS Installation Manager downloads, verifies, and extracts all files in parallel during the download process.

Cancelling out of this screen cancels the rest of the installation sequence.

For the consequences of cancellation and instructions on completing interrupted installations, see Installation Errors.

Download Directory

Browse to the destination for the downloaded files.

The download size and the required space is shown. The required space includes any extra space needed to unzip certain downloads and is larger than the actual download size.

For answers to questions about the download folder, see SOLIDWORKS Installation Manager Download Folder.

Download Options

Speed up downloads by using more network bandwidth

The downloader uses an algorithm to increase the speed of the download by increasing the network bandwidth used during the download.

In some cases, this can disturb network performance. If you have trouble downloading, this option might not be supported by the proxy server. Try clearing the option and attempting the download again. For details, check with your network administrator.
Download acceleration increases bandwidth and can disturb network performance. Check with your network administrator before enabling download acceleration.

If download acceleration is not supported by the proxy server, this option might be automatically disabled.

Parent topic SOLIDWORKS Installation Manager Application Help
Installation Errors/Installation Cancelled
SOLIDWORKS Installation Manager Download Folder


Download Progress

SOLIDWORKS Installation Manager downloads, verifies, and extracts all files in parallel during this process.

To cancel the download after it has begun, click Cancel.

If you cancel the download or the download fails, a Download Canceled or Download Problem screen indicates which downloads were not completed and lets you resume the download or close the application.

For answers to questions about the download folder, see SOLIDWORKS Installation Manager Download Folder.
Parent topic SOLIDWORKS Installation Manager Application Help


Download Results

Indicates whether the download completed successfully, failed during operation, or was cancelled.

Download Problem/Download Cancelled

If you see Download Problem, SOLIDWORKS Installation Manager encountered problems that prevented the download from completing.

If you see Download Cancelled, you cancelled the download before it could complete.

To proceed:

Retry/Resume automatic downloads | To resume the automatic download from when you cancelled, select this option and click Retry Download or Resume Download.
Download files individually in a Web browser | In some cases, a proxy server might prohibit automatic downloads from SOLIDWORKS Installation Manager. | By selecting this option, you can download the files manually through a Web page and then proceed within SOLIDWORKS Installation Manager to complete the installation operations. This Web page is customized by SOLIDWORKS Installation Manager to download only the files required to complete the installation.

Download Complete

The Download Complete screen appears when the download completes if you specified the Download Only option.

Click Finish to exit SOLIDWORKS Installation Manager.

Do not attempt to install any of these products manually. Always use SOLIDWORKS Installation Manager to install downloaded files.
Parent topic SOLIDWORKS Installation Manager Application Help


Installation Errors/Installation Cancelled

The installation has encountered an error or was cancelled.

If an error or cancellation occurs:
  • Products that installed before the error or cancellation remain on the computer.
  • The product that was being installed at the time of the cancellation is rolled back, if possible, so that there are no partial installations.
  • Remaining products are not installed or uninstalled. A list is provided under Not Yet Attempted.

    To resume installing or uninstalling these products, click the link provided.

SOLIDWORKS Installation Manager first installs any prerequisites that are not installed on the computer, such as .NET framework.

Contents

  • Recovering from a Failed or Canceled Installation

    If an error or cancellation occurs during installation, you can recover from that point by re-running the installation.

  • Repairing an Installation

    If you encounter problems with an installed SOLIDWORKS product, you can use the SOLIDWORKS Installation Manager to repair the installation.

  • Contacting the SOLIDWORKS Reseller

    If modifying or repairing the installation fails, contact your local SOLIDWORKS reseller with the information gathered from this screen. You might also be asked to provide a zip file of SOLIDWORKS Installation Manager log files.

Parent topic SOLIDWORKS Installation Manager Application Help


Recovering from a Failed or Canceled Installation

If an error or cancellation occurs during installation, you can recover from that point by re-running the installation.

  1. Record the error message and product code for the installation that failed, as shown on the Installation Errors or Installation Canceled screen.
    If the software prompts for a source file and you are not modifying an existing SOLIDWORKS installation, the installation or computer may be corrupt. Contact your SOLIDWORKS reseller.
  2. Reboot the computer.
  3. To ensure that no SOLIDWORKS products are running, in Windows, press Ctr+Alt+Del to open the Task Manager.
  4. On the Processes tab, if any of the following processes appear under Image Name, select them and click End Process.
    • SLDWORKS.exe
    • EModelViewer.exe
    • PDMworks.exe
    • pdmwVault.exe
    • SWViewer.exe
    • swlmwiz.exe
    • photoview360.exe
    • SWBoengine.exe
    • SWVBAServer.exe
    • Sldshellextserver.exe
  5. If the application is already installed and you were trying to modify or remove it, try to repair the installation. For details, see Repairing an Installation.
  6. In Windows 7 or later, click Start > Control Panel > Programs and Features.
  7. Select the version of SOLIDWORKS that failed.
    If there is no entry for the SOLIDWORKS version you are trying to install, repeat the installation process.
  8. Do one of the following:
    • To retry, click Change and select all products that failed to install or were skipped during the installation.

    • To skip the failed installation, click Change and select all products that were skipped during the installation. Clear the product that failed to install.

    • To abandon the installation, click Remove and select any products that were installed.
    This will not restore the previous version of any products you are upgrading.
Parent topic Installation Errors/Installation Cancelled
Repairing an Installation
Contacting the SOLIDWORKS Reseller


Contacting the SOLIDWORKS Reseller

If modifying or repairing the installation fails, contact your local SOLIDWORKS reseller with the information gathered from this screen. You might also be asked to provide a zip file of SOLIDWORKS Installation Manager log files.

  1. Locate the log files. For Windows 7 or later:
    C:\Users\username\AppData\Roaming\SOLIDWORKS\Installation Logs\installed_version\.
    If you cannot find the folder, it might be hidden. In File Explorer, click Tools > Folder Options. On the View tab, under Advanced Settings, select Show hidden files and folders for Hidden files and folders.
  2. Zip the entire contents of this folder, including sub-folders.
Parent topic Installation Errors/Installation Cancelled
Recovering from a Failed or Canceled Installation
Repairing an Installation


Installation Is Complete

SOLIDWORKS Installation Manager has completed its processing.

One or more of these options may be displayed.

What's New

For individual installations, when you finish the installation process, a document describing new functionality in SOLIDWORKS and its add-in products appears.

For administrative image installations, the document appears on client computers when they complete their installations.

Survey

Give us your opinions about the installation process by answering a short survey.

Join the SOLIDWORKS Customer Experience Improvement Program

Performance information is sent to SOLIDWORKS Corporation to help improve the product. The process is transparent and confidential. Select one of the following:
  • Yes, I want to join
  • No, thank you
  • Remind me later
For further information, see the Customer Experience Improvement Program Web site.

Administrative Image Creation Is Complete

When you finish creating the administrative image, you can click Customize Image to run the Administrative Image Option Editor to customize the image.

Click Show me how to install this image on a client. to show instructions on using the Option Editor.

For details about configuring an administrative image using the Option Editor, see Administrative Image Option Editor.

Click Customize Image to start the Administrative Image Option Editor to customize the option settings for this administrative image.
You can start the Option Editor later by double-clicking sldAdminOptionEditor.exe in the Administrative Image installation directory.

Contents

  • Checking for Updates to SOLIDWORKS

    If you have administrator privileges on the machine, you can use SOLIDWORKS Installation Manager to check for updates manually or to configure automatic periodic checking for updates.

  • SOLIDWORKS Customer Experience Improvement Program

    When installing SOLIDWORKS, you can specify that performance information is sent to SOLIDWORKS Corporation to help improve the product.

Parent topic SOLIDWORKS Installation Manager Application Help
Administrative Image Option Editor


Checking for Updates to SOLIDWORKS

If you have administrator privileges on the machine, you can use SOLIDWORKS Installation Manager to check for updates manually or to configure automatic periodic checking for updates.

  1. Start SOLIDWORKS Installation Manager by doing one of the following:

    • In the SOLIDWORKS application, click Help > Check for Updates.

    • In Windows, click Start > Programs > SOLIDWORKS Installation Manager > Check for Updates.

    SOLIDWORKS Installation Manager tells you whether any updates are available.
  2. If updates are available, choose whether to download and install them.
  3. To enable automatic periodic checks for updates, when SOLIDWORKS Installation Manager completes its processing select Check for Updates every __ days and specify the frequency of checks.
Parent topic Installation Is Complete
SOLIDWORKS Customer Experience Improvement Program


SOLIDWORKS Customer Experience Improvement Program

When installing SOLIDWORKS, you can specify that performance information is sent to SOLIDWORKS Corporation to help improve the product.

SOLIDWORKS uses this information to determine trends concerning product usage and quality. Our goal is to deliver the highest quality product and the performance logs are a useful tool in this process.

The process is transparent. All information contained within the log files is treated confidentially. It is not used for any other purpose and no one will contact you.

For further information, see the Customer Experience Improvement Program website.

Parent topic Installation Is Complete
Checking for Updates to SOLIDWORKS


Installation Location

For installations except administrative image creation, these options apply:

Install selected products to

This is the directory location to which you are installing SOLIDWORKS.

When upgrading or modifying an installation, all files must be installed to the existing location for that installation. In this case, you cannot change the location of the existing SOLIDWORKS installation.

Estimated space required for installation

This is the additional space required for the products selected for installation or modification.

Verify that the disk to which you are installing has sufficient free space to support the installation requirements.

Install from

This is the directory location from which you are installing SOLIDWORKS.

This option appears only if the Install Only option is specified. For details, see Download Options.

Consult your system administrator before changing either SOLIDWORKS installation location.

Administrative Image Locations

When creating an administrative image, these options apply:

New image location

This is the directory location in which SOLIDWORKS Installation Manager will create the new image.

This location cannot contain an existing administrative image.

Estimated space required for image creation

This is the additional space required for the administrative image.

Verify that the disk to which you are installing has sufficient free space to support the image requirements.

Create image from

This is the directory location from which you are installing SOLIDWORKS products.

This option appears only if the Install Only option is specified. For details, see Download Options.

Existing image location

When upgrading an existing administrative image, SOLIDWORKS Installation Manager creates a new image based on the settings for that existing image. This existing image is not modified. This shows the location of the original image you specified on the Welcome screen.

Avoid Using Version-Specific Directory Paths

If you specify a version number in an installation directory location (for example, C:\Program Files\SOLIDWORKS Corp\SOLIDWORKS 2019\), and then upgrade that installation to SOLIDWORKS 2020, you will have a SOLIDWORKS 2020 installation directory that is labeled SOLIDWORKS 2019.

Parent topic SOLIDWORKS Installation Manager Application Help
Download Options


Upgrade Options

One or more older major versions of SOLIDWORKS are installed on this computer. You can create a new installation, which will coexist with the older version, or you can upgrade, which removes the older version.

Create a New Installation of SOLIDWORKS version.

If you choose to create a new installation, you can select which SOLIDWORKS products to install.

For each of the selected products, a new installation of this major version is created. The older major versions remain on the machine, except for SOLIDWORKS Electrical and SOLIDWORKS PDM Client.

If you clear a product, the new version does not install.

Create a new installation is useful if you want to access the older version of SOLIDWORKS after the newer version is installed. For example, if you are sharing files with other users who are still running the older version, you can avoid version incompatibility with files saved using the newer version.

Upgrade SOLIDWORKS previous_major_version to SOLIDWORKS 2020 current_major_version.

If you choose to upgrade, you can select which SOLIDWORKS products to upgrade. For each of the selected products, a new installation is created, and older versions are removed.

If you clear a product, the new version does not install, and the older version remains on the machine.

Considerations for SOLIDWORKS Electrical and SOLIDWORKS PDM Client

You can only install one version of SOLIDWORKS Electrical on a machine. If you are creating a new installation of SOLIDWORKS, and select SOLIDWORKS Electrical as one of the products to install, the old version of SOLIDWORKS Electrical is removed.

Back up the existing SOLIDWORKS Electrical environment before you install a new version. From within SOLIDWORKS Electrical Schematic, select File Archive Environment, or from within SOLIDWORKS Electrical 3D, select SOLIDWORKS Electrical > Tools > Archive Environment.

The major version of the SOLIDWORKS PDM Client must match the major version of the SOLIDWORKS PDM Server. If you do not plan to upgrade the SOLIDWORKS PDM Server, do not select SOLIDWORKS PDM Client for the upgrade.

To remove a product, in Windows, use Add/Remove Programs. For details, see Removing an Installation.
Parent topic SOLIDWORKS Installation Manager Application Help
Removing an Installation


Installation Progress

This screen shows the progress of the installation.

To cancel the installation after it has begun, click Cancel.

For the consequences of cancellation and instructions on completing interrupted installations, see Installation Errors.

Parent topic SOLIDWORKS Installation Manager Application Help


Installation Type

You can specify the installation operation you would like to run. For example, creating a new installation, modifying or repairing an existing installation, creating an administrative image, installing administrative server products, or downloading files so you can share and install them on other computers.

If the most recent release of the SOLIDWORKS software is already installed on your computer, you are given options to modify or repair it.

Individual

Install SOLIDWORKS products on this computer.

This option appears only if this version is not installed on this computer.

Modify the Individual Installation

Modify the existing SOLIDWORKS installation on this computer.

This option appears only if this version is installed on this computer.
Modifications include:
  • Adding or removing SOLIDWORKS product components
  • Changing to a different SOLIDWORKS package (for example, SOLIDWORKS Professional, SOLIDWORKS Premium, and so on)
  • Changing the SOLIDWORKS serial number setting
    If you already specified a SOLIDWORKS serial number during a prior installation, SOLIDWORKS Installation Manager might not prompt for it again. To change the serial number, you must select this option.

Repair the Individual Installation

Repair the existing SOLIDWORKS installation on this computer.

This option appears only if this version is installed on this computer.
Repair verifies that all the files are present and registered properly and fixes any problems that are found. Data you have created is not affected.
  • To repair a product, ensure that it is selected.
  • Clear the check boxes for products you do not want to repair.
You can repair an individual installation. You cannot repair an administrative image installation; you must reinstall using the administrative image.

Administrative Image

Create or update an administrative image to deploy to multiple computers.

For details about installing SOLIDWORKS on multiple clients using administrative images, see Using Administrative Images.

When creating or updating administrative images:
  • You can use installation settings from an existing image to configure the new or updated image, or you can use the default SOLIDWORKS installations settings.
  • If you are updating an existing image:
    • SOLIDWORKS Installation Manager creates a new copy of the image, even if you are updating. The original image is not modified.
    • You can create the updated image using files from the existing image you are updating. This results in a smaller download.
    If you do not specify an image for which a Service Pack release is available to update the previous image, you cannot take advantage of the smaller download.

Server Products

SOLIDWORKS server products include SOLIDWORKS Electrical, SOLIDWORKS PDM, and SolidNetWork License Manager.

For SOLIDWORKS Electrical and SOLIDWORKS PDM, you can choose to install the client and server tools on the same computer or on different computers.

For details about installing these servers, see corresponding topics in the Help.

Download and Share All Files

Download the installation files for selected SOLIDWORKS products without installing the products.

This option does not appear if you are installing from DVD.
The content of the downloaded files is the same as the files that are available on the SOLIDWORKS installation DVDs. Selecting this option downloads the full set of installation files, regardless of what files might already be installed on your computer. You can then copy the files to a portable device or network directory, and use them to install the SOLIDWORKS software on other computers. You can also use this method to set up a server from which your users can perform installations.
This method is different from creating an administrative image.
Parent topic SOLIDWORKS Installation Manager Application Help
Using Administrative Images
SOLIDWORKS PDM
Administering Licenses Using a SolidNetWork License Manager
SOLIDWORKS Electrical


Installing and Managing Multiple Computers

SOLIDWORKS Installation Manager provides the following tools to install and manage multiple SOLIDWORKS computers.

SOLIDWORKS Administrative Images

If you are installing SOLIDWORKS on multiple computers, you can create an administrative image and then deploy the application to other computers.

SOLIDWORKS PDM

SOLIDWORKS PDM is a document management product based on the same client/server architecture as SOLIDWORKS Enterprise PDM. It is available in two versions: Standard and Professional. SOLIDWORKS PDM uses a Microsoft SQL Server database to manage file vaults.

SolidNetWork License Manager

The SolidNetWork License Manager allows the number of users to exceed the number of licenses by floating the use of licenses. When a client license is not in use, it is available for another SOLIDWORKS user.

You can also use the SolidNetWork License Manager to distribute licenses for SOLIDWORKS core add-in products (for example, FeatureWorks).

Parent topic SOLIDWORKS Installation Manager Application Help


Manual Download

You have chosen to download files manually (or you might have chosen to download manually the last time you ran SOLIDWORKS Installation Manager).

Click the link to open an automatically generated Web page that contains a complete list of the files you need to complete your download.

You must download to the folder specified on the Summary page. Installation cannot begin until all the files are downloaded into that folder.

Once you have completed the manual downloads, click Next to continue.

If you want to download automatically, you can change the option by going back to the Summary Page and changing Download Options.

Parent topic SOLIDWORKS Installation Manager Application Help


Newer Version Available

The Installation Manager has detected a newer version of SOLIDWORKS products. You can choose to install the version contained in the original installation DVD or download, or you can choose to download and install the newer version.

If You Are Installing from a Download

Choose one of the following:
  • Continue installing version.

    Select this option to continue installing the version contained in the initial download.

  • Download and install a new version: version.

    Select this option to download and install the new version. If there are multiple new versions available, you can select the version to download and install.

If You Are Installing from a DVD

Under Would you like to use the newer version?, choose one of the following:
  • No, continue installing version from this DVD. You can update afterwards.

    Select this option to continue with the installation using the current Installation Manager.

    After the installation completes, you can check for and install updates using the Installation Manager. To check for updates, run Start > SOLIDWORKS Installation Manager > Check for Updates.
    Check for Updates is only available if you have administrative privileges on the machine.

    The advantage is that this results in a smaller download. The disadvantages are that this is a two-step process and the files that you download are version-specific (and cannot be shared by other users using different versions).

  • Yes, perform installation using this DVD, then download and update to version.

    Select this option to download and run a later version of the Installation Manager to install SOLIDWORKS products for that version.

    If a small Service Pack release is available to update the DVD version, Installation Manager installs the original version from the DVD and then applies the Service Pack update. This results in a smaller download.

    You can achieve the same result by selecting the option to continue installing from the DVD and then applying the update at a later date.

    The advantage of this option is that it is a one-step process.

Parent topic SOLIDWORKS Installation Manager Application Help


No New Versions Available

There are no newer versions available for download. Proceed with installing the specified version.

To proceed with the installation, click Next.

Parent topic SOLIDWORKS Installation Manager Application Help


Processes Detected

SOLIDWORKS Installation Manager has detected processes on this computer that might prevent a successful installation.

  • To continue the installation do one of the following:
    • Close these processes (for example, using Microsoft Windows Task Manager) and then press Retry.
    • Click Ignore to proceed without closing the processes.
  • To stop the installation, press Cancel.
Parent topic SOLIDWORKS Installation Manager Application Help


Product Selection

You can specify the product components to install, modify, download, or remove.

In the product listing:
  • The product listing is the complete listing of products that are available in the package specified above the product listing.
  • To view the projected action for a particular component, click the component name (but not the check box). The intended installation action appears in the information field below the product listing.
  • You can click the check box next to the product component to change the installation action for that component. (For example, if you are installing or removing components, selecting the check box specifies that the component is to be installed or removed and clearing the check box specifies that the component is not to be installed or removed.)
  • If you are performing a Modify installation, an asterisk (*) appears to the left of components when you make any change in the product selection.
  • If a component has optional installation subcomponents in it, a + icon appears next to the component. To see the available subcomponents for a component, click the + icon.
  • If a component has been expanded to show optional subcomponents, a - icon appears next to the component. To collapse the subcomponent listing, click the - icon.

If you are applying a Service Pack, you cannot select features of SOLIDWORKS appearing under SOLIDWORKS (for example, FeatureWorks). This is because you cannot add or remove a feature when performing this type of upgrade.

The actions performed by SOLIDWORKS Installation Manager are controlled by a set of product coexistence rules. For details, see Product Coexistence Rules.

SOLIDWORKS Installation Manager selects these product components by default:
  • If you are performing an upgrade or a Service Pack update, SOLIDWORKS Installation Manager selects the products currently installed.
  • Otherwise, SOLIDWORKS Installation Manager selects all products to which you are entitled.
To reduce your installation or download time and disk space requirements, expand the product components and clear the check box for those components you do not need.

If SOLIDWORKS Installation Manager was unable to verify the products to which you are entitled, you can click Select different packages or products to change the product package (such as SOLIDWORKS Professional or SOLIDWORKS Premium) listing to install or modify. SOLIDWORKS Installation Manager lists all SOLIDWORKS products on your installation media that are compatible with the package you select. You can select any products you purchased or are entitled to evaluate.

SOLIDWORKS Search

SOLIDWORKS Search provides a powerful full text search of SOLIDWORKS documents and 3D ContentCentral. Search displays a preview and the file location and name.

After the installation, SOLIDWORKS Search indexes SOLIDWORKS documents for faster searches. Only SOLIDWORKS files are indexed by default.

Installing SOLIDWORKS Search automatically installs Windows Desktop Search if it is not already installed on your computer.

Language Support

Expand the SOLIDWORKS product and the Languages component to see the languages you can install.

The Languages specification limits the languages that are installed for the SOLIDWORKS product only. Other product installations are not affected by this specification. For example, eDrawings®, and SOLIDWORKS PDM install all languages.

Space Needed

SOLIDWORKS Installation Manager reports either total installation size or total download size at the bottom of the page.

  • If you selected the Download Only option, download size appears. Download size is the total amount of disk space required for all of the downloaded files (not including extra space required to unzip the files after the download completes). This figure is an estimate.
    All files needed for installation are included in the total download size. If some files already were downloaded into the current download folder, they are not downloaded again. As a result, your actual download size might be smaller than the total download size shown, or you might not need to download any files.
  • Otherwise, installation size appears. Installation size is the change in disk space usage that will occur when you complete this installation. Due to file compression, these figures are estimates.

    If you are upgrading or removing an existing installation, the installation size could be zero.

    The figure shown does not include any space needed to download or extract files if required for the installation.

    If downloads are required and you are downloading to the same drive, the actual disk space requirements could be significantly greater than the installation size that appears.

    To reduce download or installation time for future modifications, do not delete the downloaded files after installation. Subsequent updates and patches typically require access to the last full installation file set.

Parent topic SOLIDWORKS Installation Manager Application Help
Product Coexistence Rules


Products to Download

Select SOLIDWORKS products to download to a specified location.

The products available for download are determined by the serial number you supplied:

  • The action to be performed for each component appears to the right of each item.
  • If a component has optional installation sub-components in it, a + icon appears next to the component. To see the available sub-components for a component, click the + icon.
  • If a component has been expanded to show optional sub-components, a - icon appears next to the component. To collapse the sub-component listing, click the - icon.
  • Click the check box to the left of each component to select how it is handled by SOLIDWORKS Installation Manager.
SOLIDWORKS Installation Manager downloads all product components to which you are entitled, unless you specify otherwise. To reduce your download time and disk space requirements, expand the product components and select those components you do not need.

If SOLIDWORKS Installation Manager was unable to verify the products to which you are entitled, you can select a SOLIDWORKS package to download. SOLIDWORKS Installation Manager lists all SOLIDWORKS products that are compatible with the package you select.

If SOLIDWORKS Installation Manager was unable to verify the products to which you are entitled, you can click Select different packages or products to change the product package (such as SOLIDWORKS Professional or SOLIDWORKS Premium) listing to install or modify. SOLIDWORKS Installation Manager lists all SOLIDWORKS products on your installation media that are compatible with the package you select. You can select any products you purchased or are entitled to evaluate.

Language Support

The Languages specification limits the languages that are installed for the SOLIDWORKS product only. Other product installations are not affected by this specification. For example, eDrawings®, and SOLIDWORKS Explorer install all languages.

Space Needed

Based on the products you select, the space needed to perform the download is shown. Download size is the total amount of disk space required for all of the downloaded files (not including extra space required to unzip the files after the download completes). This figure is an estimate.

To reduce download or installation time for future updates and patches, do not delete the downloaded files after installation. Subsequent updates and patches typically require access to the last full installation file set.
Parent topic SOLIDWORKS Installation Manager Application Help


Products to Repair

When you specify Repair this installation, this screen displays the SOLIDWORKS products, with version numbers, that can be repaired by this version of SOLIDWORKS Installation Manager.

Repair verifies that all the files are present and registered properly and fixes any problems that are found. Data you have created is not affected.
  • To repair a product, ensure that it is selected.
  • Clear the check boxes for products you do not want to repair.

Click Repair to begin repairing the selected products.

You can repair an individual installation. You cannot repair an administrative image installation; you must reinstall the administrative image.
Parent topic SOLIDWORKS Installation Manager Application Help


Serial Numbers

Serial numbers, found on the distribution box, associate your computer with the SOLIDWORKS products you have purchased.

If SOLIDWORKS products are already installed on your computer, their serial numbers are displayed by default:
  • Enter your SOLIDWORKS serial number if it is not already displayed.
  • If you have serial numbers for products not included with your SOLIDWORKS license, enter them in the appropriate fields.
  • If your SOLIDWORKS Administrator has assigned products to you in the SOLIDWORKS Admin Portal, use the Login feature at the top of the page to automatically populate your assigned Serial Numbers.

If you have an internet connection, the serial numbers you provide will determine the products to which you are entitled as you continue through the installation process.

Because there are multiple ways to purchase SOLIDWORKS products, some serial numbers can cover two or more products. For example, a SOLIDWORKS serial number might enable you to install SOLIDWORKS Simulation without entering a separate SOLIDWORKS Simulation serial number. In addition, some products do not require a serial number. If you have any questions about your serial numbers, contact your VAR.

Parent topic SOLIDWORKS Installation Manager Application Help


Server Installation

The server products you are attempting to install are listed, with the results of the installations.

Server Installation Status

Server product installations are performed by an external installation application. If you are not currently in that application, you must switch to it to complete the installation.

Click Cancel to stop the server product installations.

Server Installation Complete

The external installation application has completed successfully.

Click Finish or Next.
  • If you are installing other administrative products (for example, a SOLIDWORKS administrative image), that installation continues.
  • If the server product installations were the only installation operation, SOLIDWORKS Installation Manager closes.

Server Installation Cancelled or Failed

If a server product installation failed or was cancelled after it was begun, servers that were not installed are listed.

Click Close or Next.
  • If you specified other administrative product installations, SOLIDWORKS Installation Manager will resume.
  • If the server product installations were the only installation operation, SOLIDWORKS Installation Manager closes.
Parent topic SOLIDWORKS Installation Manager Application Help


SolidNetWork License Manager

Specify installation options for the SolidNetWork License Manager server product.

Serial Numbers

Specify SolidNetWork License serial numbers. You can specify multiple serial numbers by separating them using commas.
SolidNetWork serial numbers are different from SOLIDWORKS serial numbers.

Installation Location

Specify the installation location for the SolidNetWork License Manager.

If you are updating an existing SolidNetWork License Manager, you must install to the existing installation location.

For More Information

For details about installing, configuring, and using SolidNetWork License Manager, see Administering Licenses Using a SolidNetWork License Manager.

Parent topic SOLIDWORKS Installation Manager Application Help
Administering Licenses Using a SolidNetWork License Manager


Summary

SOLIDWORKS Installation Manager has all of the information needed to complete the installation operation.

To continue: | Click the action Now button to initiate the installation operation (for example, Install Now, Create Now, Download Now, Modify Now).
To change installation settings: | Click CHANGE [image] for the section you want to change (for example, Products, Installation Location, Toolbox Options).
To cancel: | Click Cancel to exit SOLIDWORKS Installation Manager without changing installation components.
To revert to a previous page: | Click Back to return to a previous page in SOLIDWORKS Installation Manager.
For information about a particular set of installation options (for example, Products, Installation Location, Toolbox Options, and so on):
  1. Click CHANGE [image] next to the section for which you want information.
  2. In the detail page that appears, click Help to get information about those installation option settings.
Parent topic SOLIDWORKS Installation Manager Application Help


System Check Warnings

System Check reported issues that could impact how you continue with the installation. In most cases, you should be able to proceed with SOLIDWORKS Installation Manager.

The warnings you can encounter at this stage are listed below with suggestions about how to proceed.

Serial Number Validation Problems

The Installation Manager was not able to check for new versions because it could not validate your serial number. If you are connected and entered a valid serial number, this could indicate a temporary problem on our server. Try again later.

Serial Number Validation: The Installation Manager could not validate your serial number to determine which products you are entitled to install. You will still be able to choose the products you want to install, but you will not be able to download any installation files. You will need to provide a complete set of download source files or a DVD from which to install.

Resolution:
  • Check the internet connection. The serial number check requires a valid internet connection.
  • Check that the serial number you entered is valid for the products you are trying to install.
  • Some installations require that you have a valid subscription in place at the time the version was released. For details, consult your SOLIDWORKS reseller.
  • In most cases, you can proceed with the installation, provided you are installing from a DVD or a previously downloaded file set.

Newer Version Available

Newer Version Available

New Versions Available

A newer version of this product is available for download.

Resolution: When performing a Check for Updates operation, the installation might prompt you to install a later version that is available by downloading from SOLIDWORKS. You can continue this operation using the version you initially specified or you can download this newer version and continue the operation using that version instead.

Latest Version Available

This is the latest version available. Click Next to continue.

No New Downloads Available

Resolution: This message can appear when you are checking for updates during an installation or modification. It indicates that you are currently installing (or have installed) the latest version available.

Internet Connection Problems

Internet Connection: The Installation Manager could not connect to the SOLIDWORKS server to determine which products you are entitled to install. You will still be able to choose the products you want to install, but you will not be able to download any installation files. You need to provide source files on DVD or a previously downloaded file set.

Unable to Check for New Versions

The Installation Manager was not able to check for new versions because it could not connect to the server.

Resolution:
  • Check the internet connection.
  • You can proceed with the installation, provided you are installing from a DVD or a previously downloaded file set.

Parent topic SOLIDWORKS Installation Manager Application Help


Hole Wizard/Toolbox Options

If SOLIDWORKS Toolbox is installed, SOLIDWORKS includes a standard library of hole types and hardware.

For details about configuring, extending, and using SOLIDWORKS Toolbox, click Help > Toolbox Help in SOLIDWORKS.
To view this help, you might have to start the Toolbox add-in, using Tools > Add-Ins.

Before using a SOLIDWORKS Toolbox, make sure it is properly configured according to your company or group policy. In many cases, a group will configure and maintain a central Toolbox. Check with the SOLIDWORKS administrator for guidance on how to specify a Toolbox during SOLIDWORKS installation.

You can change the selected SOLIDWORKS Toolbox after installation. In SOLIDWORKS, click Tools > Options. On the System Options tab, click Hole Wizard/Toolbox.

The following sections describe all options you can encounter on this screen for all configurations. The actual Toolbox options you see depends on the pre-existing SOLIDWORKS and Toolbox configurations on this computer and SOLIDWORKS Installation Manager choices you have specified to this point.

Create a New new-version Toolbox

Create a new version of SOLIDWORKS Toolbox on this computer.

When you create a new version, in the Product Selection screen, expand SOLIDWORKS > SOLIDWORKS Toolbox and select which standards to support for the Toolbox. All standards are selected by default.

Any existing Toolboxes on this computer are not modified.

Reference or Upgrade an Existing Toolbox

Use an existing Toolbox. Click Browse to specify the location of the Toolbox you want to use with this installation.

  • If the Toolbox is configured for a previous SOLIDWORKS major release version, it is upgraded to this version. Any customizations made to that Toolbox are preserved in the upgraded Toolbox.
    Upgrading a Toolbox to a new SOLIDWORKS major release version makes that Toolbox incompatible with computers running prior major release SOLIDWORKS versions.
  • If the Toolbox is configured for this SOLIDWORKS version (as might be the case if you specify a shared network Toolbox that has already been upgraded), no upgrade to that Toolbox occurs.
  • If you are upgrading a Toolbox in a SOLIDWORKS PDM environment, additional procedures are required. For details, see Notes About Configuring SOLIDWORKS Toolbox.

This option appears in all installation scenarios except creating an administrative image.

Upgrade a previous-version Toolbox

Copy a Toolbox configured for a previous major release version to a new location and upgrade that copy to this version.

This option appears if a previous SOLIDWORKS major release version is installed on this computer, but you have chosen not to upgrade that installation to this release.
The purpose of this option is to upgrade a Toolbox for a previous major release SOLIDWORKS version that is installed without impacting users that are using the older version of Toolbox.

If you are upgrading a Toolbox in a SOLIDWORKS PDM environment, additional procedures are required. For details, see Notes About Configuring SOLIDWORKS Toolbox.

Upgrade This Installed previous-version Toolbox

Upgrade this Toolbox to the newer version.
Upgrading a Toolbox to a new SOLIDWORKS major release version makes that Toolbox incompatible with computers running prior major release SOLIDWORKS versions.

This option appears if you are upgrading a previous SOLIDWORKS major release version to this version and a Toolbox configured for that release is found on this computer.

If you are upgrading a Toolbox in a SOLIDWORKS PDM environment, additional procedures are required. For details, see Notes About Configuring SOLIDWORKS Toolbox.

Use the Installed current-version Toolbox

SOLIDWORKS Installation Manager has detected on this computer a Toolbox configured for this SOLIDWORKS major release version.

If you select this option, SOLIDWORKS will use this Toolbox. No upgrade occurs.

This option appears if a previous SOLIDWORKS major release version is installed on this computer, but a Toolbox is configured for this version. This might occur if a shared Toolbox is created on a computer that is still running an older SOLIDWORKS version.

Specify the Toolbox Location for the Client Computer

Specify a network or directory location as the default Toolbox location when clients install from an administrative image.
If the location contains a Toolbox configured for a previous SOLIDWORKS major release version at the time the client installation occurs, SOLIDWORKS Installation Manager upgrades that Toolbox.

This option appears when you are creating a new administrative image.

Upgrade or Use the Toolbox Referenced in the Existing Image for the Client Computer

Use the Toolbox location specified in an existing administrative image you are updating.
If the location contains a Toolbox configured for a previous SOLIDWORKS major release version at the time the client installation occurs, SOLIDWORKS Installation Manager upgrades that Toolbox.

Select a Different Toolbox Location for the Client Computer

Specify a different Toolbox location from that specified in an existing administrative image you are updating.
If the location contains a Toolbox configured for a previous SOLIDWORKS major release version at the time the client installation occurs, SOLIDWORKS Installation Manager upgrades that Toolbox.

Contents

  • Notes About Configuring SOLIDWORKS Toolbox

    SOLIDWORKS Toolbox is a powerful and complex feature. This topic summarizes some concepts to consider before configuring a Toolbox using SOLIDWORKS Installation Manager.

  • UNC Format

    Uniform (or Universal) Naming Convention format specifies a file name syntax format to describe a shared file location.

Parent topic SOLIDWORKS Installation Manager Application Help
Notes About Configuring SOLIDWORKS Toolbox


Notes About Configuring SOLIDWORKS Toolbox

SOLIDWORKS Toolbox is a powerful and complex feature. This topic summarizes some concepts to consider before configuring a Toolbox using SOLIDWORKS Installation Manager.

Finding More Information About SOLIDWORKS Toolbox

For details about configuring, extending, and using SOLIDWORKS Toolbox, click Help > Toolbox Help in SOLIDWORKS.
To view this help, you might have to start the Toolbox add-in, using Tools > Add-Ins.

Using a Shared Toolbox

When you install Toolbox, you can have Toolbox data on the local computer or in a shared network location. Storing Toolbox data in a network location is recommended. By using a common location, all SOLIDWORKS users share a consistent set of fastener information.

If this is the first time installing, browse to the new shared location where you would like to install the Toolbox.

Upgrading an Existing Toolbox

Upgrading a Toolbox to a new SOLIDWORKS major release version makes that Toolbox incompatible with computers running prior major release SOLIDWORKS versions.

If other computers remain at that prior major release and continue to require a Toolbox configured for that release, you should make a copy of that Toolbox and upgrade that copy. The new SOLIDWORKS installation will upgrade the copy of the Toolbox and the previous SOLIDWORKS installations will continue using the old Toolbox.

Configuring Toolbox Access

After installation, when you access Toolbox components SOLIDWORKS checks how you have configured Toolbox and makes suggestions to improve access and performance.

For accessing the shared network Toolbox (recommended), use a UNC path to the server on which the shared Toolbox was installed. For details, see UNC Format.

An administrator can create a password for Toolbox and set permissions and preferences for the workgroup. Restricting access to configuration and setting common preferences ensures consistent Toolbox data.

Upgrading Toolbox in a SOLIDWORKS PDM Environment

When you upgrade the SOLIDWORKS software, Toolbox is upgraded if parts have been added. If the Toolbox root folder is in a SOLIDWORKS PDM vault, before you start the SOLIDWORKS upgrade, you must prepare the Toolbox folder.

On the first system to perform the upgrade, you must use Get Latest Version to download the Toolbox files to the local cache and check out the Toolbox database file. On other systems that are upgraded, the only requirement is to download the Toolbox files.

Before you upgrade:
  • Ensure that there is a full recent back up of the vault database and archive.
  • Make sure that the Toolbox parts are not checked out or in use by any currently checked out assemblies.

To upgrade Toolbox:

  1. In File Explorer, log in to the vault as a user with full permissions (check out, check in, add, delete).
  2. Right-click the Toolbox folder and click Get Latest Version to copy all Toolbox files and the toolbox database to the local cache.
    If your archive server is remote, this may take several minutes.
  3. Check out the Toolbox database file (SWBrowser.mdb) from \Toolbox_folder_name\lang\your_lang.
  4. Run the SOLIDWORKS Installation Manager to perform the upgrade.
  5. On the Summary screen, ensure that the Toolbox Options installation location is the location in the vault.

    If it is not, click Change, select Reference or upgrade an existing Toolbox, and browse to the Toolbox location in the vault.

  6. When the upgrade completes, in File Explorer, check in the Toolbox folder to add any new or updated files to the vault so that other users can work with Toolbox.
  7. For upgrades to SOLIDWORKS 2012 or later, navigate to your Toolbox folder in the vault and ensure that the following are present:
    • \Toolbox_folder_name\Updates
    • \Toolbox_folder_name\ToolboxStandards.xml
    • \Toolbox_folder_name\Browser\ToolboxFiles.index

      If they are not, contact your Value Added Reseller.

  8. Upgrade the rest of the computers that use SOLIDWORKS PDM integration with Toolbox:
    1. In File Explorer, log in to the vault as a user with at least read permission to the Toolbox folder.
    2. Right-click the Toolbox folder and click Get Latest Version to copy the Toolbox files to your local cache.
    3. Run the SOLIDWORKS Installation Manager to upgrade.

      The installer detects that Toolbox is already upgraded.

For details about Toolbox configuration in SOLIDWORKS PDM, see Configuring Toolbox in the SOLIDWORKS PDM Administration Tool help.

Parent topic Hole Wizard/Toolbox Options
UNC Format


UNC Format

Uniform (or Universal) Naming Convention format specifies a file name syntax format to describe a shared file location.

\\server\volume\path

For example:

\\Disk_Server\SOLIDWORKS\AdminImage

Parent topic Hole Wizard/Toolbox Options
Notes About Configuring SOLIDWORKS Toolbox


Uninstall Products

When you select to Remove or Uninstall programs from the Control Panel, this screen displays the SOLIDWORKS products (with version numbers) that can be uninstalled by this version of SOLIDWORKS Installation Manager. You can choose to perform a standard, custom or complete uninstall.

The standard uninstall removes Program Files and Folders of a SOLIDWORKS product. By default, all SOLIDWORKS products for the selected release are specified for a standard uninstall.

A custom uninstall removes one or more of the following items: Program Files and Folders, registry keys and data folders, such as the SOLIDWORKS Toolbox, and files and folders from the original download location.

A complete uninstall removes the install directories, registry keys and data folders.

To uninstall a product:
  1. On the Uninstall screen, ensure that the product is selected.

    If you uninstall all products, the Solidworks Installation Manager is also uninstalled.

  2. Clear the products you do not want to remove.

    If you retain any product, SOLIDWORKS Installation Manager is not removed.

  3. Choose whether to perform a custom or complete uninstall.
    1. Click Change in Advanced Options.

      The Advanced Options screen appears. The Program Files and Folders option is checked.

    2. Select one or more options to perform a custom uninstall, or select all options to perform a complete uninstall.
    3. Click Back to Summary.
    4. On the Summary screen, expand Advanced Options to display the uninstall method and entries.
  4. Click Remove Items.
When you click Remove Items, SOLIDWORKS Installation Manager starts removing products immediately.
Parent topic SOLIDWORKS Installation Manager Application Help


Legal Notices

© 1995-2019, Dassault Systemes SolidWorks Corporation, a Dassault Systèmes SE company, 175 Wyman Street, Waltham, Mass. 02451 USA. All Rights Reserved.

The information and the software discussed in this document are subject to change without notice and are not commitments by Dassault Systemes SolidWorks Corporation (DS SolidWorks).

No material may be reproduced or transmitted in any form or by any means, electronically or manually, for any purpose without the express written permission of DS SolidWorks.

The software discussed in this document is furnished under a license and may be used or copied only in accordance with the terms of the license. All warranties given by DS SolidWorks as to the software and documentation are set forth in the license agreement, and nothing stated in, or implied by, this document or its contents shall be considered or deemed a modification or amendment of any terms, including warranties, in the license agreement.

Patent Notices

SOLIDWORKS® 3D mechanical CAD and/or Simulation software is protected by U.S. Patents 6,611,725; 6,844,877; 6,898,560; 6,906,712; 7,079,990; 7,477,262; 7,558,705; 7,571,079; 7,590,497; 7,643,027; 7,672,822; 7,688,318; 7,694,238; 7,853,940; 8,305,376; 8,581,902; 8,817,028; 8,910,078; 9,129,083; 9,153,072; 9,262,863; 9,465,894; 9,646,412; 9,870,436; 10,055,083; 10,073,600; 10,235,493 and foreign patents, (e.g., EP 1,116,190 B1 and JP 3,517,643).

eDrawings® software is protected by U.S. Patent 7,184,044; U.S. Patent 7,502,027; and Canadian Patent 2,318,706.

U.S. and foreign patents pending.

Trademarks and Product Names for SOLIDWORKS Products and Services

SOLIDWORKS, 3D ContentCentral, 3D PartStream.NET, eDrawings, and the eDrawings logo are registered trademarks and FeatureManager is a jointly owned registered trademark of DS SolidWorks.

CircuitWorks, FloXpress, PhotoView 360, and TolAnalyst are trademarks of DS SolidWorks.

FeatureWorks is a registered trademark of HCL Technologies Ltd.

SOLIDWORKS 2020, SOLIDWORKS Standard, SOLIDWORKS Professional, SOLIDWORKS Premium, SOLIDWORKS PDM Professional, SOLIDWORKS PDM Standard, SOLIDWORKS Simulation Standard, SOLIDWORKS Simulation Professional, SOLIDWORKS Simulation Premium, SOLIDWORKS Flow Simulation, SOLIDWORKS CAM, SOLIDWORKS Manage, eDrawings Viewer, eDrawings Professional, SOLIDWORKS Sustainability, SOLIDWORKS Plastics, SOLIDWORKS Electrical Schematic Standard, SOLIDWORKS Electrical Schematic Professional, SOLIDWORKS Electrical 3D, SOLIDWORKS Electrical Professional, CircuitWorks, SOLIDWORKS Composer, SOLIDWORKS Inspection, SOLIDWORKS MBD, SOLIDWORKS PCB powered by Altium, SOLIDWORKS PCB Connector powered by Altium, and SOLIDWORKS Visualize are product names of DS SolidWorks.

Other brand or product names are trademarks or registered trademarks of their respective holders.

COMMERCIAL COMPUTER SOFTWARE - PROPRIETARY

The Software is a “commercial item” as that term is defined at 48 C.F.R. 2.101 (OCT 1995), consisting of “commercial computer software” and “commercial software documentation” as such terms are used in 48 C.F.R. 12.212 (SEPT 1995) and is provided to the U.S. Government (a) for acquisition by or on behalf of civilian agencies, consistent with the policy set forth in 48 C.F.R. 12.212; or (b) for acquisition by or on behalf of units of the Department of Defense, consistent with the policies set forth in 48 C.F.R. 227.7202-1 (JUN 1995) and 227.7202-4 (JUN 1995)

In the event that you receive a request from any agency of the U.S. Government to provide Software with rights beyond those set forth above, you will notify DS SolidWorks of the scope of the request and DS SolidWorks will have five (5) business days to, in its sole discretion, accept or reject such request. Contractor/Manufacturer: Dassault Systemes SolidWorks Corporation, 175 Wyman Street, Waltham, Massachusetts 02451 USA.

Copyright Notices for SOLIDWORKS Standard, Premium, Professional, and Education Products

Portions of this software © 1986-2018 Siemens Product Lifecycle Management Software Inc. All rights reserved.

This work contains the following software owned by Siemens Industry Software Limited:

D-Cubed® 2D DCM © 2019. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed® 3D DCM © 2019. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed® PGM © 2019. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed® CDM © 2019. Siemens Industry Software Limited. All Rights Reserved.

D-Cubed® AEM © 2019. Siemens Industry Software Limited. All Rights Reserved.

Portions of this software © 1998-2019 HCL Technologies Ltd.

Portions of this software incorporate PhysX™ by NVIDIA 2006-2010.

Portions of this software © 2001-2019 Luxology, LLC. All rights reserved, patents pending.

Portions of this software © 2007-2019 DriveWorks Ltd.

© 2012, Microsoft Corporation. All rights reserved.

Includes Adobe® PDF Library technology.

Copyright 1984-2016 Adobe Systems Inc. and its licensors. All rights reserved. Protected by U.S. Patents 6,563,502; 6,639,593; 6,754,382; Patents Pending.

Adobe, the Adobe logo, Acrobat, the Adobe PDF logo, Distiller and Reader are registered trademarks or trademarks of Adobe Systems Inc. in the U.S. and other countries.

For more DS SolidWorks copyright information, see Help > About SOLIDWORKS.

Copyright Notices for SOLIDWORKS Simulation Products

Portions of this software © 2008 Solversoft Corporation.

PCGLSS © 1992-2017 Computational Applications and System Integration, Inc. All rights reserved.

Copyright Notices for SOLIDWORKS PDM Professional Product

Outside In® Viewer Technology, © 1992-2012 Oracle

© 2012, Microsoft Corporation. All rights reserved.

Copyright Notices for eDrawings Products

Portions of this software © 2000-2014 Tech Soft 3D.

Portions of this software © 1995-1998 Jean-Loup Gailly and Mark Adler.

Portions of this software © 1998-2001 3Dconnexion.

Portions of this software © 1998-2017 Open Design Alliance. All rights reserved.

The eDrawings® for Windows® software is based in part on the work of the Independent JPEG Group.

Portions of eDrawings® for iPad® copyright © 1996-1999 Silicon Graphics Systems, Inc.

Portions of eDrawings® for iPad® copyright © 2003 – 2005 Apple Computer Inc.

Copyright Notices for SOLIDWORKS PCB Products

Portions of this software © 2017-2018 Altium Limited.

Copyright Notices for SOLIDWORKS Visualize Products

NVIDIA GameWorks™ Technology provided under license from NVIDIA Corporation. Copyright © 2002-2015 NVIDIA Corporation. All rights reserved.


Administrative Image Option Editor

SOLIDWORKS Administrative Image Option Editor is enhanced.

  • Administrators can use new uninstall options to perform a complete or custom uninstall on client computers. The uninstall options are available in the Client Installation Options section of the Option Editor. To view the options, click Yes, perform a custom uninstall and then select items for removal.
  • Administrators can also preselect SOLIDWORKS Toolbox standards from a list.


SOLIDWORKS PDM

SOLIDWORKS PDM is a document management product based on the client/server architecture known formerly as SOLIDWORKS Enterprise PDM.

SOLIDWORKS PDM is available in two types:
  • SOLIDWORKS PDM Standard
  • SOLIDWORKS PDM Professional

SOLIDWORKS PDM uses a Microsoft SQL Server database to manage file vaults.

This table lists the database systems, server components, and client options available for each product type.
 | PDM Standard | PDM Professional
Designed for | Small to medium office networks, generally with less than 20 concurrent users. | Large office networks, large numbers of concurrent users
Limits | Lesser of 1 socket or 4 cores, 1 GB of RAM, and 10 GB database size | SQL Standard limits: Lesser of 4 sockets or 16 cores, 128 GB of RAM, and 524 PB database size
Database Management System | Microsoft SQL Server Express 2014 Service Pack 3 or later (included and installed with SOLIDWORKS) | Microsoft SQL Server 2014 Service Pack 3 or later (included separately with SOLIDWORKS), or previously installed instances of Microsoft SQL Server 2014 Service Pack 3 or later.
Requires SolidNetWork License Manager? | Yes | Yes
Includes Archive Server and Database Server? | Yes | Yes
Includes SOLIDWORKS PDM Web Server, Web2 Server, and Web API Server? | No | Yes
Client types | Native | Native, browser-based
Client add-ins for CAD Editors | SOLIDWORKS, DraftSight | SOLIDWORKS, DraftSight, Microsoft Office Integration, Autodesk Inventor, AutoCAD
Client add-ins for Contributors | DraftSight | DraftSight, Microsoft Office Integration
Client add-ins for Viewers |  | Microsoft Office Integration


Tips for Using SOLIDWORKS with Microsoft Windows 8

The user interface of Windows 8 (and later) departs significantly from earlier versions of Windows. Not only are navigation techniques different, but several methods have been added to access key commands.

The following topics provide instructions on how to access three of the most basic functions with Windows 8. Refer to these topics when using Windows 8 to install SOLIDWORKS.
These steps may vary depending on how your Windows system is configured. Consult Microsoft Windows documentation for additional instructions and options, especially for systems later than Windows 8.
Installation on Individual Computers


Initiating SOLIDWORKS Installation

You can initiate SOLIDWORKS installation from loading a DVD on the local computer, accessing a shared installation directory, or downloading from SOLIDWORKS.

To initiate SOLIDWORKS installation, do one of the following:

  • To install on a local computer from disk, insert the appropriate disk into the computer's disk drive.
  • To install from a download directory, navigate to the directory and double-click setup.exe.
  • To install by downloading from SOLIDWORKS:
    1. Browse to the SOLIDWORKS Web site.
    2. Login as a Subscription Service Customer, using your email address and password, or your SOLIDWORKS serial number.
    3. Under Self Service, click Download Software and Updates.
    4. Under Download Software (Windows, Mac, Linux), select the SOLIDWORKS version and service pack to download.